%
%           Programa Automatico de calculo XFEM para FEAP
% ============================================================
%  Crea los archivos archivos 'input' automaticamente para que
%  sean procesados por el generador de archivos FileGen.
%  Calcula en FEAP estos archivos y almacena los 
%  resultados en carpetas 'caso i' en cada ciclo
%   
%=============================================================




clear all

deltaa=3.5;

niteracioninicio=1;
nincrpropag=5;


meshgenera=0; %Flag para generar malla o importarla 
             %  0 =>no genera, 1 => s genera

numoverlay=100000; %Para aadir a la numeracin de elem overlay


if niteracioninicio~=1
 for ig=1:numgrie   % indice de grieta
  XYGr(:,:,ig)=load(['../Result\','XYGrPropag_MC',int2str(ig),'.prn']);
  npg(ig)=size(XYGr,1)
  RESULT=load(['../Result\','RESULT_MC',int2str(ig),'.prn']);
  thetaMCS(ig)=RESULT(npg-1,9)
 end
end






for propag=niteracioninicio:nincrpropag


% Aqu empieza el autoXAbq clsico, como estaba antes:

% Para que no d la tabarra con el mensaje de error
warning off MATLAB:MKDIR:DirectoryExists

% Definicion de parametros del problema
%---------------------------------------

ancho=2.0;            %Ancho de la placa
largo=12.0;           %Largo de la placa

Carga=[0 100];          %NO hace falta para ABAQUS



%Refinamiento EG en nodo
NX=[20	40	80]';       %Numero de elementos en x      
NY=[40	80	160]';      %Numero de elementos en y


% Dibuja malla con gdl enriquecidos
dibujomalla=1;
           % 1=Dibuja


%Dibujar deformada
deformada=0;
escala=0;  
            % 0=Dibuja con escala automatica cada iteracion
            % 1=Dibuja con la primer escala calculada
            % 2=Dibuja con una escala fija siempre
escalafija=1000; 

tensiones=0;
            % 0=No dibuja las tensiones
            % 1=Dibuja tension 1
            % 2=Dibuja tension 2 ...

%Generacion de puntos de grieta
%------------------------------
%   (El primer punto es el origen, los siguientes son diferentes
%   extremos de grieta 

if propag==1

    
%-----------------------------------------------
% Con las grietas ejemplo de JE     
%  XYGr=[2 3 6; 2 2 3]; % 1 fila: X, 2 fila: Y
%  NumPGs(1)=size(XYGr,2);
%  XYGrietas(:,1:NumPGs(1),1)= XYGr;
%  XYGr=[9 13; 3 2];
%  NumPGs(2)=size(XYGr,2);
%  XYGrietas(:,1:NumPGs(2),2)= XYGr;
%  XYGr=[6 9; 1 1];
%  NumPGs(3)=size(XYGr,2);
%  XYGrietas(:,1:NumPGs(3),3)= XYGr;
%  XYGr=[0 2; 4 4];
%  NumPGs(4)=size(XYGr,2);
%  XYGrietas(:,1:NumPGs(4),4)= XYGr;
 
   
%-----------------------------------------------
% Para grietas con slo punto inicial y final (sin inflexin)
%
% numgrie=4; %nmero total de grietas
% xinicio=[0  2  1   0.1]; % Datos de inicio, longitud y ngulo de cada grieta
% yinicio=[6.1 6.1   3  2];
% longprimertramo=[0.5 0.5 0.4 1];
% angulo=[0  180  45   -20];


%  numgrie=1; %nmero total de grietas
%  xinicio=[0]; % Datos de inicio, longitud y ngulo de cada grieta
%  yinicio=[6.1];
%  longprimertramo=[0.5];
%  angulo=[0];

 
%  **** DOS GRIETAS INCLINADAS **** 
%  numgrie=2; %nmero total de grietas
%  xinicio=[0  2]; % Datos de inicio, longitud y ngulo de cada grieta
%  yinicio=[6.3  5.3];
%  longprimertramo=[0.53  0.53];
%  angulo=[30  210];

 
 
%  numgrie=2; %nmero total de grietas
%  xinicio=[0  2]; % Datos de inicio, longitud y ngulo de cada grieta
%  yinicio=[6.0  6.0];
%  longprimertramo=[0.5  0.5];
%  angulo=[0  180];
%  inicioactivo=[0   0];  % Puntos de inicio de cada grieta: Si est en el contorno (inactivo) ==> 0; De lo contrario ==> 1 
 
 
%  numgrie=1; %nmero total de grietas
%  xinicio=[-50]; % Datos de inicio, longitud y ngulo de cada grieta
%  yinicio=[-17.5];
%  longprimertramo=[10.0];
%  angulo=[0];
%  inicioactivo=[0];  % Puntos de inicio de cada grieta: Si est en el contorno (inactivo) ==> 0; De lo contrario ==> 1 

numgrie=9; %nmero total de grietas

xinicio=[       35   -20.5    -40    -40      24.95    10.05    10      -5   -15   ]; % Datos de inicio, longitud y ngulo de cada grieta
yinicio=[       5   -16.5    -4.95    9.95   -15      -15       10     10    10     ];
longprimertramo=[8     8      4       4       4       4        4        4     4     ];
angulo=[        -165    40    -45   +10      +25     +165     -145    +35   180   ];
inicioactivo=[    1     1       0     0      0        0        0       0     0     ];  % Puntos de inicio de cada grieta: Si est en el contorno (inactivo) ==> 0; De lo contrario ==> 1


%     numgrie=1; %nmero total de grietas
%   xinicio=[       -20.5]; % Datos de inicio, longitud y ngulo de cada grieta
%   yinicio=[       -16.5];
%   longprimertramo=[     8];
%   angulo=[         40];
%   inicioactivo=[        1];  % Puntos de inicio de cada grieta: Si est en el contorno (inactivo) ==> 0; De lo contrario ==> 1 

  
% 
%  
 

for ig=1:numgrie
% XYGrietas: 1er ndice: x o y;  2 ndice: N punto de grieta; 
%            3er ndice: N de grieta
 XYGrietas(1,:,ig)= [xinicio(ig)  xinicio(ig)+longprimertramo(ig)*cos(angulo(ig)*pi/180)];
 XYGrietas(2,:,ig)= [yinicio(ig)  yinicio(ig)+longprimertramo(ig)*sin(angulo(ig)*pi/180)];
 NumPGs(ig)=size(XYGrietas,2); % De momento pongo esto, pues las grietas son de punto inicial y final (sin inflexin)
end

for ig=1:numgrie
 fid = fopen(['../Result\','XYGrPropagMC',int2str(ig),'.prn'],'w');
 fprintf(fid,'%3.15f   %3.15f\n',XYGrietas(:,:,ig));    
 fclose(fid);
end

%-----------------------------------------------
% Como estaba para una grieta 
% xinicio=5e-3;
% yinicio=0;
% longprimertramo=deltaa;
% angulo=60;
% XYGrieta(1,:)= [xinicio  xinicio+longprimertramo*cos(angulo*pi/180)];
% XYGrieta(2,:)= [yinicio  yinicio-longprimertramo*sin(angulo*pi/180)];

%fid = fopen(['../Result\','XYGrPropag.prn'],'w');
%fprintf(fid,'%3.15f   %3.15f\n',XYGrieta);    
%fclose(fid);
%-----------------------------------------------
else
    for ig=1:numgrie
        % Inclinacin ltimo tramo de grieta:
        long=sqrt((XYGrietas(1,NumPGs(ig),ig)-XYGrietas(1,NumPGs(ig)-1,ig))^2+(XYGrietas(2,NumPGs(ig),ig)-XYGrietas(2,NumPGs(ig)-1,ig))^2);
        cosalfa=(XYGrietas(1,NumPGs(ig),ig)-XYGrietas(1,NumPGs(ig)-1,ig))/long;
        sinalfa=(XYGrietas(2,NumPGs(ig),ig)-XYGrietas(2,NumPGs(ig)-1,ig))/long;
        % Matriz transformacin de globales a locales:
        T=[cosalfa sinalfa; -sinalfa cosalfa];
        % Clculo extensin de grieta en sist local con el ngulo criterio propag:
        deltaXYlocal(1)=deltaa*cos(thetaMCS(ig)*pi/180);
        deltaXYlocal(2)=deltaa*sin(thetaMCS(ig)*pi/180);
        % Paso de extensiones en sistema local a sistema global:
        deltaXYglobal= T'*deltaXYlocal';
        % Nuevos puntos finales de grieta en sistema global:
        nuevoXgr=XYGrietas(1,NumPGs(ig),ig)+deltaXYglobal(1);
        nuevoYgr=XYGrietas(2,NumPGs(ig),ig)+deltaXYglobal(2);
        % Ficheros
        fid = fopen(['../Result\','XYGrPropagMC',int2str(ig),'.prn'],'a');
        fprintf(fid,'%3.15f   %3.15f\n',nuevoXgr,nuevoYgr);
        fclose(fid);
        % Actualizo la matriz XYGrietas
        XYGrietas(1,NumPGs(ig)+1,ig)=nuevoXgr;
        XYGrietas(2,NumPGs(ig)+1,ig)=nuevoYgr;
        NumPGs(ig)=NumPGs(ig)+1; %Nueva cantidad de puntos de grieta
        
        if (inicioactivo(ig)==1)
            % Inclinacin PRIMER tramo de grieta:
            long=sqrt((XYGrietas(1,1,ig)-XYGrietas(1,2,ig))^2+(XYGrietas(2,1,ig)-XYGrietas(2,2,ig))^2);
            cosalfa=(XYGrietas(1,1,ig)-XYGrietas(1,2,ig))/long;
            sinalfa=(XYGrietas(2,1,ig)-XYGrietas(2,2,ig))/long;
            % Matriz transformacin de globales a locales:
            T=[cosalfa sinalfa; -sinalfa cosalfa];
            % Clculo extensin de grieta en sist local con el ngulo criterio propag:
            deltaXYlocal(1)=deltaa*cos(thetaMCS_ExtrInic(ig)*pi/180);
            deltaXYlocal(2)=deltaa*sin(thetaMCS_ExtrInic(ig)*pi/180);
            % Paso de extensiones en sistema local a sistema global:
            deltaXYglobal= T'*deltaXYlocal';
            % Nuevos puntos finales de grieta en sistema global:
            nuevoXgr=XYGrietas(1,1,ig)+deltaXYglobal(1);
            nuevoYgr=XYGrietas(2,1,ig)+deltaXYglobal(2);
            % Actualizo la matriz XYGrietas, CORRIENDO UNA COLUMNA A LA
            % DERECHA, para meter un nuevo primer punto de grieta
            CopiaXYGrietas=XYGrietas;
            for nfila=1:NumPGs(ig)
                XYGrietas(1,nfila+1,ig)=CopiaXYGrietas(1,nfila,ig);
                XYGrietas(2,nfila+1,ig)=CopiaXYGrietas(2,nfila,ig);
            end    
            % Meto el nuevo primer punto de grieta en la primera fila
            XYGrietas(1,1,ig)=nuevoXgr;
            XYGrietas(2,1,ig)=nuevoYgr;
            NumPGs(ig)=NumPGs(ig)+1; %Nueva cantidad de puntos de grieta                    
            % Vuelvo a escribir todo el fichero de propagacin (no puedo hacer append)
            fid = fopen(['../Result\','XYGrPropagMC',int2str(ig),'.prn'],'w');
            fprintf(fid,'%3.15f   %3.15f\n',XYGrietas(:,:,ig));    
            fclose(fid);
        end
    end
end


%npg=size(XYGrieta,2);
npx=size(NX); %nmero de mallas preparadas


%Solucion para diferentes extremos de grieta parametrizados:
%------------------------------
%for i=2:npg

             
for i=1:1 %Esto de momento lo dejo solo para la primera y nica malla
   

    %Escritura del archivo input
    %XYGr=XYGrieta';

    fid = fopen('input','w');
    fprintf(fid,'NelmX =\n');
    
    %fprintf(fid,'%3.0f\n',NX(1));
    fprintf(fid,'%3.0f\n',NX(i));
    
    fprintf(fid,'Nelmy =\n');
    
    %fprintf(fid,'%3.0f\n',NY(1));
    fprintf(fid,'%3.0f\n',NY(i));    
    
    fprintf(fid,'w =\n');
    fprintf(fid,'%3.15f\n',ancho);
    fprintf(fid,'l =\n');
    fprintf(fid,'%3.15f\n',largo);
    fprintf(fid,'CargasL =\n');
    fprintf(fid,'%3.15f %3.15f\n',Carga);
    fprintf(fid,'XYG =\n');
    fprintf(fid,'%d\n',size(XYGrietas,3));
    for ig=1:size(XYGrietas,3)
      XYGrieta=XYGrietas(1:2,1:NumPGs(ig),ig);
      fprintf(fid,'%d\n',NumPGs(ig));
      fprintf(fid,'%3.15f %3.15f\n',XYGrieta);    
    end
    fclose(fid);

 
%   Llamada a la rutina filegen

    FileGenAbqMC(dibujomalla,i,propag,meshgenera,numoverlay);
    
    
    %Ejecucion de FEAP con los archivos generados
%    dos('../OBJ\feap\Debug\feap.exe -iixfem');
    
    %Almacenamiento de los resultados en directorios separados
    
       
    caso=['caso', int2str(i-1),'/files'];
    mkdir('../Workdir',caso);

    debug=['caso', int2str(i-1),'/debug'];
    mkdir('../Workdir',debug);
    postproc=['caso', int2str(i-1),'/postproc'];
    postprocMSDOS=['caso', int2str(i-1),'\postproc'];
    mkdir('../Workdir',postproc);
    

    casosinficheros=['caso', int2str(i-1)];

    
    %Dibujo de la deformada
    if deformada==1 
       [factor,escalafija]= deformadaX(escala,escalafija,(i-1));
    end
    
    if tensiones~=0
        dibtension(tensiones);
    end    

%%% Comento lo que No hace falta para ABAQUS    
    
    
    movefile('infoXFEM',['../Workdir\',caso]);
%    movefile('ixfem',['../Workdir\',caso]);
%    movefile('oxfem',['../Workdir\',caso]);    
    movefile('input',['../Workdir\',caso]);  
%    movefile('BCX',['../Workdir\',caso]);
%    movefile('FORCEX',['../Workdir\',caso]);
%    movefile('Sol',['../Workdir\',caso]);
%    movefile('NodeStress',['../Workdir\',caso]);
%    movefile('SubEleStress',['../Workdir\',caso]);

    movefile('TopNoX',['../Workdir\',caso]);
    movefile('TopX',['../Workdir\',caso]);
    movefile('TopXTypeX',['../Workdir\',caso]);
    movefile('TopXoverlay',['../Workdir\',caso]);
   
    movefile('FilaElemX',['../Workdir\',caso]);
    movefile('FilaNodoX',['../Workdir\',caso]);


    movefile('SETladoizq',['../Workdir\',caso]);
    movefile('SETladoder',['../Workdir\',caso]);
    movefile('SETladoarr',['../Workdir\',caso]);
    movefile('SETladoaba',['../Workdir\',caso]);
    movefile('SETnodoabaizq',['../Workdir\',caso]);
    movefile('SETnodoabadch',['../Workdir\',caso]);
    movefile('SETnodoarrdch',['../Workdir\',caso]);
    movefile('SETnodoarrizq',['../Workdir\',caso]);
    movefile('SETnodocen',['../Workdir\',caso]);
    movefile('SETigrieta',['../Workdir\',caso]);
    movefile('SETfgrieta',['../Workdir\',caso]);
    movefile('SETelemarr',['../Workdir\',caso]);
    movefile('SETelemaba',['../Workdir\',caso]);

    movefile('SETNodeX2dof',['../Workdir\',caso]);
    movefile('SETNodeX4dof',['../Workdir\',caso]);
    movefile('SETNodeX10dof',['../Workdir\',caso]);
 
 %  Por si hay que imponer algunas cdc sobre nodos enriquecidos
 %   No hace falta este si la grieta es interna. S,si es externa
  %  movefile('SETrestrgdl3',['../Workdir\',caso]);
    
    movefile('GGinfoX',['../Workdir\',caso]);
    movefile('GGXYC',['../Workdir\',caso]);
    movefile('GGnodeX',['../Workdir\',caso]);
    movefile('GGelemX',['../Workdir\',caso]);


  %  copyfile('../InputABQ\abaCAE.bat',['../Workdir\',casosinficheros]);
    copyfile('../InputABQ\abaXFEM.bat',['../Workdir\',casosinficheros]);
    copyfile('../InputABQ\grXFEM.inp',['../Workdir\',casosinficheros]);
    copyfile('../InputABQ\leerdatos.txt',['../Workdir\',postproc]);
    copyfile('../InputABQ\m0Top.prn',['../Workdir\',caso]);
    copyfile('../InputABQ\m0XY.prn',['../Workdir\',caso]);
    copyfile('../InputABQ\m0sets.prn',['../Workdir\',caso]);
%    copyfile('../InputABQ\m0surfaces.prn',['../Workdir\',caso]);

 
%return

      
    %Ejecucion de ABAQUS con los archivos generados

    rutaabaXFEMbat=['cd ..\Workdir\',casosinficheros];
    fid = fopen('runABQ.bat','w');
      fprintf(fid,'%s\n',rutaabaXFEMbat);
      fprintf(fid,'%s','abaXFEM.bat');
    fclose(fid);
    dos('runABQ.bat');
    
%    Para borrar ficheros de ABQ que ocupan y no uso    
         
    fid = fopen('rundelABQ.bat','w');
      fprintf(fid,'%s\n',rutaabaXFEMbat);
      fprintf(fid,'%s\n','del grXFEM.stt');
      fprintf(fid,'%s\n','del grXFEM.res');
      fprintf(fid,'%s\n','del grXFEM.mdl');
      fprintf(fid,'%s','del grXFEM.prt');
    fclose(fid);
    dos('rundelABQ.bat');

%    No se por que, lo que sigue no va. Asi que he hecho lo de arriba
%    dos('../Workdir\caso0\abaXFEM.bat');
%    dos('../OBJ\feap\Debug\feap.exe -iixfem');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    PARA POSTPROCESAR EL VALOR DE IJ
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
% Movimiento de ficheros

    %copyfile(['../Workdir\',casosinficheros,'\grXFEM.fil'],['../Workdir\',postproc]);  
    movefile(['../Workdir\',casosinficheros,'\grXFEM.fil'],['../Workdir\',postproc]);  
    
    copyfile(['../../ULTIMOIJAREA\','ijarea.exe'],['../Workdir\',postproc]);
    copyfile(['../../ULTIMOIJAREA\','ijareaEXE.bat'],['../Workdir\',postproc]);
    copyfile(['../../ULTIMOIJAREA\','delfichijarea.bat'],['../Workdir\',postproc]);

% copyfile(['../../IJarea-PaperEFM/IJarea-postproc\','ijarea.exe'],['../Workdir\',postproc]);
% copyfile(['../../IJarea-PaperEFM/IJarea-postproc\','ijareaEXE.bat'],['../Workdir\',postproc]);
% copyfile(['../../IJarea-PaperEFM/IJarea-postproc\','delfichijarea.bat'],['../Workdir\',postproc]);

    rutaIJAREA=['cd ..\Workdir\',postprocMSDOS];
    fid = fopen('runIJAREA.bat','w');
      fprintf(fid,'%s\n',rutaIJAREA);
      fprintf(fid,'%s\n','ijareaEXE.bat');
    fclose(fid);

    fid = fopen('rundelfichIJAREA.bat','w');
      fprintf(fid,'%s\n',rutaIJAREA);
      fprintf(fid,'%s','delfichijarea.bat');
    fclose(fid);


%Bucle para cada grieta, incluyendo los extremos de inicio si estn activos
%(es decir, si no estn en el contorno)

for ig=1:numgrie
 

% Generacin ficheros contienen el inicio y final del ltimo tramo de grieta, para calcular
% cos directores en la rutina IJarea


%  Punto inicio ltimo tramo:
    fid = fopen(['../Workdir\',postproc,'\coorIniUltimTramo'],'w');
      fprintf(fid,'%22.15e  %22.15e  %22.15e  %4g',XYGrietas(1,NumPGs(ig)-1,ig),XYGrietas(2,NumPGs(ig)-1,ig),0,9999);
    fclose(fid);

%  Punto final ltimo tramo:
    fid = fopen(['../Workdir\',postproc,'\coorFinUltimTramo'],'w');
      fprintf(fid,'%22.15e  %22.15e  %22.15e  %4g',XYGrietas(1,NumPGs(ig),ig),XYGrietas(2,NumPGs(ig),ig),0,9999);
    fclose(fid);
 
%  Ejecucin de rutinas:    
    dos('runIJAREA.bat');   
    dos('rundelfichIJAREA.bat');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    PARA ESCRIBIR FICHERO COMPACTO DE RESULTADOS PARA IJ
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


    if ((i==1)&(propag==1))
     fid1= fopen(['../Workdir\',postproc,'\J_RESULT.prn'],'r');
     fid2 = fopen(['../Result\','\RESULT_MC',int2str(ig),'.prn'],'w');    
     fprintf(fid2,'%s\n','%Tramo  XfinGr             YfinGr              J FEM               J XFEM              J Suma               KI                  KII               Angulo local MCS' );    
    else
      fid1= fopen(['../Workdir\',postproc,'\J_RESULT.prn'],'r');
      fid2 = fopen(['../Result\','\RESULT_MC',int2str(ig),'.prn'],'a');
    end

    for jj=1:29
       tline = fgetl(fid1); 
    end
    basu=fscanf(fid1,'%s',[4]);
    JFEM=fscanf(fid1,'%g\n');
    basu=fscanf(fid1,'%s',[4]);
    JXFEM=fscanf(fid1,'%g\n');
    basu=fscanf(fid1,'%s',[4]);
    JSUMA=fscanf(fid1,'%g\n');
    for jj=1:9
      tline = fgetl(fid1); 
    end
    basu=fscanf(fid1,'%s',[3]);
    KI=fscanf(fid1,'%g\n');
    basu=fscanf(fid1,'%s',[3]);
    KII=fscanf(fid1,'%g\n');
    basu=fscanf(fid1,'%s',[3]);
    thetaMCS(ig)=fscanf(fid1,'%g\n');

    % Escritura
    fprintf(fid2,'%i     %3.15f   %3.15f   %3.15f   %3.15f  %3.15f  %3.15f  %3.15f  %3.15f\n',propag,XYGrietas(1,NumPGs(ig),ig),XYGrietas(2,NumPGs(ig),ig),JFEM,JXFEM,JSUMA,KI,KII,thetaMCS(ig));  
     
    fclose(fid1);
    fclose(fid2);
   
    %  Si el inicio de grieta es activo
    
    if (inicioactivo(ig)==1)
        %  Punto inicio Primer tramo (segundo punto):
            fid = fopen(['../Workdir\',postproc,'\coorIniUltimTramo'],'w');
              fprintf(fid,'%22.15e  %22.15e  %22.15e  %4g',XYGrietas(1,2,ig),XYGrietas(2,2,ig),0,9999);
            fclose(fid);
        %  Punto final Primer tramo (primer punto):
            fid = fopen(['../Workdir\',postproc,'\coorFinUltimTramo'],'w');
              fprintf(fid,'%22.15e  %22.15e  %22.15e  %4g',XYGrietas(1,1,ig),XYGrietas(2,1,ig),0,9999);
            fclose(fid);
        %  Ejecucin de rutinas:    
            dos('runIJAREA.bat');   
            dos('rundelfichIJAREA.bat');

        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        %    PARA ESCRIBIR FICHERO COMPACTO DE RESULTADOS PARA IJ
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

            if ((i==1)&(propag==1))
             fid1= fopen(['../Workdir\',postproc,'\J_RESULT.prn'],'r');
             fid2 = fopen(['../Result\','\RESULT_MC',int2str(ig),'_ExtrInic.prn'],'w');    
             fprintf(fid2,'%s\n','%Tramo  XfinGr             YfinGr              J FEM               J XFEM              J Suma               KI                  KII               Angulo local MCS' );    
            else
              fid1= fopen(['../Workdir\',postproc,'\J_RESULT.prn'],'r');
              fid2 = fopen(['../Result\','\RESULT_MC',int2str(ig),'_ExtrInic.prn'],'a');
            end

            for jj=1:29
               tline = fgetl(fid1); 
            end
            basu=fscanf(fid1,'%s',[4]);
            JFEM=fscanf(fid1,'%g\n');
            basu=fscanf(fid1,'%s',[4]);
            JXFEM=fscanf(fid1,'%g\n');
            basu=fscanf(fid1,'%s',[4]);
            JSUMA=fscanf(fid1,'%g\n');
            for jj=1:9
              tline = fgetl(fid1); 
            end
            basu=fscanf(fid1,'%s',[3]);
            KI=fscanf(fid1,'%g\n');
            basu=fscanf(fid1,'%s',[3]);
            KII=fscanf(fid1,'%g\n');
            basu=fscanf(fid1,'%s',[3]);
            thetaMCS_ExtrInic(ig)=fscanf(fid1,'%g\n'); % ngulo para el extremo inicial

            % Escritura
            fprintf(fid2,'%i     %3.15f   %3.15f   %3.15f   %3.15f  %3.15f  %3.15f  %3.15f  %3.15f\n',propag,XYGrietas(1,1,ig),XYGrietas(2,1,ig),JFEM,JXFEM,JSUMA,KI,KII,thetaMCS_ExtrInic(ig));  

            fclose(fid1);
            fclose(fid2);
    end    

end
 
end    

end


%%% Solucin referencia KI infinitas grietas colineales:

sigma=100
aa=1.0
bb=2.0
KIreferenciaInfGrieColin=sqrt(2*bb/pi/aa*tan(pi*aa/2/bb))*sigma*sqrt(pi*aa)
