function grafgdln(gdln,XYGrietas,NumPGs,caso,propag)
% ----------------------------------------------------------------------
% comando grafgdln(gdln,XYG) 
% Graficar los gdln en la malla para comprobar enriquecimiento aplicado
% Entradas:
% 
% gdln    Grados de libertad nodal
% XYG     Coord Grieta    
% XY      Malla de EF    
% TOP
% caso  Num. de caso en el refinamiento
% propag  Step en la propagacin
% -----------------------------------------------------------------------

load XY;XY=XY(:,2:3);
load TOP;TOP=TOP(:,2:5);
Nel=size(TOP,1);
NNpe=4;
N=size(XY,1);

figure(caso)

% Escalas de dibujo
colormap(jet)
clf
axis equal
Xmin=min(XY(:,1:1));
Xmax=max(XY(:,1:1));
Ymin=min(XY(:,2:2));
Ymax=max(XY(:,2:2));
Xplot=[(Xmin-(Xmax-Xmin)/2) (Xmax+(Xmax-Xmin)/2) ];
Yplot=[(Ymin-(Ymax-Ymin)/8) (Ymax+(Ymax-Ymin)/8) ];

% Dibujo de la malla
% ------------------
axis([Xplot Yplot]);
hold on
titulo=['MALLA DE ELEMENTOS FINITOS - MALLA ',int2str(caso-1),'  PROPAG ',int2str(propag)];
title(titulo)
%for i= 9500:10500 
for i=1:Nel
	for j= 1:NNpe
		Xe(j)= XY(TOP(i,j),1);
		Ye(j)= XY(TOP(i,j),2); 
	end
	fill(Xe,Ye,'w');
end

% Dibujo del enriquecimiento
% ------------------
for i=1:N
	if gdln(i,1)==4
		x(1)= XY(i,1) ; x(2)= x(1);
		y(1)= XY(i,2) ; y(2)= y(1);
		line(x,y,'Marker','o');
	elseif gdln(i,1)==10
		x(1)= XY(i,1) ; x(2)= x(1);
		y(1)= XY(i,2) ; y(2)= y(1);
		line(x,y,'Marker','s');
	end
end
% Dibujo de la grieta
% -------------------
for ig=1:size(XYGrietas,3)
    XYG=XYGrietas(1:2,1:NumPGs(ig),ig)';
    line(XYG(:,1),XYG(:,2),'Color','red','LineStyle','-');
end
