function [N,Nel,XY,Top,NNpe]= meshgen(NelX,NelY,w,l,XYG) 
%   Generacion de la malla de elementos finitos 
% 
%   NelX   : Numero de elementos en x 
%   NelY   : Numero de elementos en y 
%   XYG    : Puntos de Grieta 
%   w      : Ancho de placa 
%   l      : Largo de placa 
%   N      : Numero de nodos 
%   XY     : Coordenadas Nodales 
%   NNpe   : Numero de nodos por elemento = 4 
 
% --- generacin de nodos 
X0=0; 
X1=w; 
Y0=0; 
Y1=l; 
 
 
N= (NelX+1)*(NelY+1); 
XY= zeros(N,2); 
for i= 1:NelX+1 
  for j= 1:NelY+1 
    ii= (j-1)*(NelX+1)+i; 
    XY(ii,1)=ii; 
%    XY(ii,2)=0;  Comentado para Abaqus
    XY(ii,2)= X0+(X1-X0)*(i-1)/NelX; 
    XY(ii,3)= Y0+(Y1-Y0)*(j-1)/NelY; 
  end 
end 
 
% --- generacin de elementos 
 
NNpe= 4; 
Nel= NelX*NelY; 
Top= zeros(Nel,NNpe); 
for i= 1:NelX 
  for j= 1:NelY 
    Ie= i+(j-1)*NelX; 
    ii= i+(j-1)*(NelX+1); 
    Top(Ie,1)= Ie; 
%    Top(Ie,2)= 1; %Eliminado para ABAQUS
%    Top(Ie,3)= 2; %Eliminado para ABAQUS
    Top(Ie,2)= ii; 
    Top(Ie,3)= ii+1; 
    Top(Ie,4)= ii+1+NelX+1; 
    Top(Ie,5)= ii+NelX+1; 
  end 
end 
 

fid = fopen('XY','w'); 
fprintf(fid,'%3.0f,  %0.8e,  %0.8e\n',XY'); 
fclose(fid);    
 
 
fid = fopen('Top','w'); 
fprintf(fid,'%4.0f,  %4.0f,  %4.0f,  %4.0f,  %4.0f\n',Top'); 
fclose(fid);    
    
