function filegenAbq(dibujomalla,caso,propag,meshgenera,numoverlay)
%           Programa Generador de Archivos XFEM para ABAQUS
% ============================================================
%  Crea los archivos para la rutina XFEM:
%   infoXFEM
%   ixfem   %%% No hace falta para ABAQUS
%   BCX     %%% Lo cambio para ABAQUS
%   FORCEX  %%% No hace falta para ABAQUS
%   TOP
%   XY
%=============================================================

% Leer dimensiones placa y NelX, NelY y XYG del archivo input

fid = fopen('input','rt');
tline = fgets(fid);

NelmX = fscanf(fid,'%g\n',[1]);
tline = fgets(fid);

NelmY= fscanf(fid,'%g\n',[1]);
tline = fgets(fid);

w= fscanf(fid,'%g\n',[1]);
tline = fgets(fid);

l= fscanf(fid,'%g\n',[1]);
tline = fgets(fid);

CargasL= fscanf(fid,'%g %g\n',[2]);
tline = fgets(fid);

XYG= fscanf(fid,'%g %g\n',[2,inf]);
XYG=XYG';
fclose(fid);



% Generador de la Malla

%[N,Nel,XY,Top,NNpe]=meshgenAbq(NelmX,NelmY,w,l);
[N,Nel,XY,Top,NNpe]=meshgenAbq(NelmX,NelmY,w,l,XYG);

% Algoritmo LSM
NumEG= 1;
Eps= 1e-6;
integra=1;
NumPG= size(XYG,1);


%[VdisNG MdisNEG gdln gdltot ElemGG NelG ElemFG]= LSM(N,Nel,XY,Top,NNpe,NumPG,XYG,NumEG,Eps,integra);
[VdisNG MdisNEG gdln gdltot ElemGG NelG ElemFG]= LSMAbq(N,Nel,XY,Top,NNpe,NumPG,XYG,NumEG,Eps,integra);


%Para dibujar los gdl enriquecidos: (Eugenio)

if (dibujomalla==1)
   grafgdln(gdln(:,1),XYG,caso);

   nombrefigura=['malla',num2str(caso-1)];  

   print('-depsc',nombrefigura)  

end 

% Eug: Quitable para ABAQUS

% % Asignacion del tipo de material en Top
% fid = fopen('TOP','w');
% for i=1:NelG
%     Top(ElemGG(i,1),3)=1;
% end    
% fprintf(fid,'%4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f\n',Top');
% fclose(fid);   



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
%   Escribir el archivo infoxfem 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

% Escribir el archivo infoxfem

NelementosX=size(ElemGG,1);
NodosX=[];
for i=1:NelementosX
    Ie=ElemGG(i,1);
%    NodosXe=Top(Ie,4:7);
    NodosXe=Top(Ie,2:5);
    NodosX=union(NodosX,NodosXe);
end    
NnodX=size(NodosX,2);

fid = fopen('infoXFEM','w');
fprintf(fid,'!NPG NelmX NnodX\n');
fprintf(fid,'%3.0f  %3.0f  %3.0f\n\n',NumPG,NelementosX,NnodX);

fprintf(fid,'!XYG\n');
fprintf(fid,'%0.8e  %0.8e\n',XYG');
fprintf(fid,'\n\n');

% Eug: Lo compacto con el siguiente

% Distancias de los nodos X a grieta (Vdist) y a normales en extremo de grieta (Mdist) 

% fprintf(fid,'!Nodo        Vdist	  Mdist\n');
% for i=1:NnodX
%     n=NodosX(i);
%     %linea=sprintf('%3.0f      %0.12e       %0.12e\n',n,VdisNG(n),MdisNEG(n));
%     %fprintf(fid,strrep(linea,'e','*1.e'));
%     fprintf(fid,'%3.0f      %0.8e       %0.8e\n',n,VdisNG(n),MdisNEG(n));
% end
% fprintf(fid,'\n\n');




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Para generar ficheros de infoXfem "troceados" y sin cabeceras
%  ver tb. mas adelante
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555

fidnodoXGG = fopen('GGnodoX','w');



% Imprime el tipo de nodo (0 si tiene 2 gdl/nodo, 1 si tiene 4 gdl/nodo o 2 si tiene 10 gdl/nodo) 
% Ademas crea vectores con los nodos 2, 4, o 10 gdl para luego restringir
% comodamente


i2=1;
i4=1;
i10=1;


fprintf(fid,'!Nodo	TipoX        Vdist	  Mdist\n');
for i=1:NnodX
    n=NodosX(i);
    switch(gdln(n,1))
        case 2
            x=0;
            nx2gdl(i2)=n;
            i2=i2+1;
        case 4
            x=1;
            nx4gdl(i4)=n;
            i4=i4+1;
        case 10
            x=2;
            nx10gdl(i10)=n;
            i10=i10+1;
    end
    matrizTipoX(i,1)=n;
    matrizTipoX(i,2)=x;
    fprintf(fid,'%3.0f  %3.0f      %0.8e       %0.8e\n',n,x,VdisNG(n),MdisNEG(n));
    fprintf(fidnodoXGG,'%3.0f  %3.0f      %0.8e       %0.8e\n',n,x,VdisNG(n),MdisNEG(n));
end
fprintf(fid,'\n\n');

fclose(fidnodoXGG);


fprintf(fid,'!ElemGG\n');
%linea=sprintf('%3.0f  %3.0f  %0.12e  %0.12e  %0.12e  %0.12e  %0.12e  %0.12e\n',ElemGG');
%fprintf(fid,strrep(linea,'e','*1.e'));
fprintf(fid,'%3.0f  %3.0f  %0.8e  %0.8e  %0.8e  %0.8e  %0.8e  %0.8e\n',ElemGG');
fprintf(fid,'\n\n');
fclose(fid);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Para generar ficheros de infoXfem "troceados" y sin cabeceras
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555


fidinfoXGG = fopen('GGinfoX','w');
fprintf(fidinfoXGG,'%3.0f  %3.0f  %3.0f\n',NumPG,NelementosX,NnodX);
fclose(fidinfoXGG);

fidXYGGG = fopen('GGXYG','w');
fprintf(fidXYGGG,'%0.8e  %0.8e\n',XYG');
fclose(fidXYGGG);

fidelemXGG = fopen('GGelemX','w');
fprintf(fidelemXGG,'%3.0f  %3.0f  %0.8e  %0.8e  %0.8e  %0.8e  %0.8e  %0.8e\n',ElemGG');
fclose(fidelemXGG);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Para generar los NSETS para ABAQUS segun los nodos a enriquecer
%  y luego restringir los gdl no afectados:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555


fidNodoX2gdl=fopen('SETNodoX2gdl','w');
fprintf(fidNodoX2gdl,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',nx2gdl'); 
fclose(fidNodoX2gdl);


fidNodoX4gdl=fopen('SETNodoX4gdl','w');
fprintf(fidNodoX4gdl,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',nx4gdl'); 
fclose(fidNodoX4gdl);

fidNodoX10gdl=fopen('SETNodoX10gdl','w');
fprintf(fidNodoX10gdl,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',nx10gdl'); 
fclose(fidNodoX10gdl);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Generacin de tablas NodoX - fila  y ElemGG - fila
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555

% PARA NodoX-FIla

NodoXFila=zeros(N,2);
for i=1:N
    NodoXFila(i,1)=i;
end      
for i=1:NnodX
    n=NodosX(i); 
    NodoXFila(n,2)=i;    
end  

fid = fopen('FilaNodoX','w'); 
fprintf(fid,'%5.0f %5.0f\n',NodoXFila');
fclose(fid); 



% PARA ElemX-Fila

ElemXFila=zeros(Nel,2);
for i=1:Nel
    ElemXFila(i,1)=i;
end      
for i=1:NelementosX
    e=ElemGG(i,1); 
    ElemXFila(e,2)=i;    
end  

fid = fopen('FilaElemX','w'); 
fprintf(fid,'%5.0f %5.0f\n',ElemXFila');
fclose(fid); 


 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Generacin de Elem Sets para elementos usuario de ABAQUS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555

% flagU1=0;
% 
% 
% for e=1:NelementosX
%   numel=ElemGG(e,1);
%   tipoel=ElemGG(e,2);
%   if (tipoel~=-1)
%   
%     if (tipoel==1)
%        if (flagU1==0)
%          fidU1=fopen('./meshXFEM/U1','w');
%          fidU1Hpos=fopen('./meshXFEM/U1Hpos','w');
%          fidU1Hneg=fopen('./meshXFEM/U1Hneg','w');
%          flagU1=1;
%        end
%        lado=ElemGG(e,3);
%        NodosXe=Top(numel,2:5);
% %         Para que los nodos sean los dos ltimos
%        if (lado==1)
%          numpermu=2;
%        elseif (lado==2)    
%          numpermu=1;
%        elseif (lado==4)
%          numpermu=3;
%        elseif (lado==3)
%          numpermu=0;
%        end
%        for permu=1:numpermu
%             NodosXe(5)=NodosXe(4); 
%             NodosXe(4)=NodosXe(3);
%             NodosXe(3)=NodosXe(2);
%             NodosXe(2)=NodosXe(1);
%             NodosXe(1)=NodosXe(5);
%        end   
%        fprintf(fidU1,'%5.0f, %5.0f, %5.0f, %5.0f, %5.0f\n',numel,NodosXe(1:4)); 
% %      --- Para saber si est por el lado de distancias positivas o no
%        sumadist=0;
%        for (nn=1:4)
% %          sumadist=sumadist+VdisNG(NodoXFila(NodosXe(nn),2),2); 
%           sumadist=sumadist+VdisNG(NodosXe(nn)); 
%        end
%        if (sumadist<0)
%          fprintf(fidU1Hneg,'%5.0f\n',numel); 
%        elseif (sumadist>0)
%          fprintf(fidU1Hpos,'%5.0f\n',numel);
%        else
%          fprintf('Problema con las distancias a la grieta\n');
%        end                             
%     end 
%   
%   
%   end
% end


%fclose('all');


 



 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Para quitar de la topologa top los elementos que son X y generar los elem overlay:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555



fidTopSinX=fopen('TopSinX','w');
fidTopConX=fopen('TopConX','w');
fidTopConXoverlay=fopen('TopConXoverlay','w');

for e=1:Nel
  NumeroEl=Top(e,1);
  NodosEl=Top(e,2:5); 
  filaElemGG=ElemXFila(NumeroEl,2);
  tipoel=0;
  if (filaElemGG==0)
    fprintf(fidTopSinX,'%6.0f,%6.0f,%6.0f,%6.0f,%6.0f\n',NumeroEl,NodosEl(1:4));      
  else    
    fprintf(fidTopConX,'%6.0f,%6.0f,%6.0f,%6.0f,%6.0f\n',NumeroEl,NodosEl(1:4)); 
    fprintf(fidTopConXoverlay,'%6.0f,%6.0f,%6.0f,%6.0f,%6.0f\n',NumeroEl+numoverlay,NodosEl(1:4)); 
  end
end

fclose(fidTopSinX);
fclose(fidTopConX);
fclose(fidTopConXoverlay);




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555 
%  Para crear una tabla de conectividades, donde el numero de nodo sea sustituido por su tipoX:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555




fidTopConXTipoX=fopen('TopConXTipoX','w');

for i=1:NelementosX
    Ie=ElemGG(i,1);
    NodosXe=Top(Ie,2:5);
    for j=1:4
      TipoXe(j)=matrizTipoX(NodoXFila(NodosXe(j),2),2);   
    end    
    fprintf(fidTopConXTipoX,'%5.0f  %5.0f  %5.0f  %5.0f  %5.0f\n',Ie,TipoXe(1:4));    
end    


fclose(fidTopConXTipoX);





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5555 
% --- Para ABAQUS: generacin de otros elsets y nsets tpicos del problema 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5555
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5555

tol=1e-13;

X0=0; 
X1=w; 
Y0=0; 
Y1=l; 

% Generacin de sets para restricciones
jizq=1;
jder=1;
jaba=1;
jarr=1;

nodocen=0;

iflag=0;
fflag=0;

for i=1:N
  if abs(XY(i,2)-X0)<tol
    ladoizq(jizq)=XY(i,1);
    jizq=jizq+1;
  elseif abs(XY(i,2)-X1)<tol
    ladoder(jder)=XY(i,1);
    jder=jder+1;
  end    

  if abs(XY(i,3)-Y0)<tol
    ladoaba(jaba)=XY(i,1);
    jaba=jaba+1;
  elseif abs(XY(i,3)-Y1)<tol
    ladoarr(jarr)=XY(i,1);
    jarr=jarr+1;
  end    

  if abs(XY(i,2)-X0)<tol & abs(XY(i,3)-Y0)<tol
    nodoabaizq=XY(i,1);
  elseif abs(XY(i,2)-X1)<tol & abs(XY(i,3)-Y0)<tol
    nodoabadch=XY(i,1);
  elseif abs(XY(i,2)-X1)<tol & abs(XY(i,3)-Y1)<tol
    nodoarrdch=XY(i,1);
  elseif abs(XY(i,2)-X0)<tol & abs(XY(i,3)-Y1)<tol
    nodoarrizq=XY(i,1);
  end


  if abs(XY(i,2)-X1)<tol & abs(XY(i,3)-Y1/2)<tol
    nodocen=XY(i,1);
  end
  if abs(XY(i,2)-XYG(1,1))<tol & abs(XY(i,3)-XYG(1,2))<tol
    nodocen=XY(i,1);
  end
  if abs(XY(i,2)-XYG(1,1))<tol & abs(XY(i,3)-XYG(1,2))<tol
    igr=XY(i,1);
    iflag=1;
  elseif (iflag==0)
    igr=0;
  end
  if abs(XY(i,2)-XYG(2,1))<tol & abs(XY(i,3)-XYG(2,2))<tol
    fgr=XY(i,1);
    fflag=1;
  elseif (fflag==0);
    fgr=0;
  end

end

%if (igr==0)
%    fprintf('Cuidado con igrieta. La gr. no empieza en nodo. Revisar en FileGenAbq.m\n')
%    fprintf('En principio est solucionado. No hace falta revisar.\n')  
%end

%if (fgr==0)
%    fprintf('Cuidado con fgrieta. La gr. no acaba en nodo. Revisar en FileGenAbq.m\n') 
%    fprintf('En principio est solucionado. No hace falta revisar.\n')  
%end



% Elementos cara inferior y superior

for i=1:NelmX
  elemaba(i)=i;
  elemarr(i)=Nel-NelmX+i;
end

% Escritura en ficheros

fid = fopen('SETladoizq','w'); 
fprintf(fid,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',ladoizq'); 
fclose(fid);    

fid = fopen('SETladoder','w'); 
fprintf(fid,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',ladoder'); 
fclose(fid);    

fid = fopen('SETladoarr','w'); 
fprintf(fid,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',ladoarr'); 
fclose(fid);    

fid = fopen('SETladoaba','w'); 
fprintf(fid,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',ladoaba'); 
fclose(fid);    

fid = fopen('SETnodoabaizq','w'); 
fprintf(fid,'%3.0f',nodoabaizq); 
fclose(fid);    

fid = fopen('SETnodoabadch','w'); 
fprintf(fid,'%3.0f',nodoabadch); 
fclose(fid);    

fid = fopen('SETnodoarrdch','w'); 
fprintf(fid,'%3.0f',nodoarrdch); 
fclose(fid);    

fid = fopen('SETnodoarrizq','w'); 
fprintf(fid,'%3.0f',nodoarrizq); 
fclose(fid);    



fid = fopen('SETnodocen','w'); 
fprintf(fid,'%3.0f',nodocen); 
fclose(fid);    

fid = fopen('SETigrieta','w'); 
fprintf(fid,'%3.0f',igr); 
fclose(fid);    

fid = fopen('SETfgrieta','w'); 
fprintf(fid,'%3.0f',fgr); 
fclose(fid);    

fid = fopen('SETelemaba','w'); 
fprintf(fid,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',elemaba'); 
fclose(fid);    

fid = fopen('SETelemarr','w'); 
fprintf(fid,'%3.0f,  %3.0f,  %3.0f, %3.0f, %3.0f, %3.0f, %3.0f, %3.0f \n',elemarr'); 
fclose(fid);    




%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%QUITABLE PARA ABAQUS%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%


% % Ensamblado de BCX con las condiciones de contorno y XFEM en el formato para FEAP
% 
% % Condiciones de contorno de los nodos X
% fid = fopen('BCX','w');
% BCX=ones(NnodX,14);
% BCX(:,2:4)=0;
% for i=1:NnodX
%     n=NodosX(i);
%     BCX(i,1)=n;
%     if gdln(n,1)==4
%         BCX(i,5:6)=0;
%     end    
%     if gdln(n,1)==10
%         BCX(i,7:14)=0;
%     end
% end
% % Condiciones de contorno del problema
% for n=1:N
%     if XY(n,3)==0 | XY(n,3)==2
%       i=find(BCX(:,1)==n);
%       if size(i,1)==0
%         i=size(BCX,1)+1;
%         BCX(i,1)=n;
%         BCX(i,2:4)=0;
%         BCX(i,5:14)=1;
%       end
%       BCX(i,3:2:13)=1;
% %      BCX(i,3)=1;
%       BCX(i,4)=0;
%     end
%     if XY(n,3)==2 & XY(n,4)==round(NelmY/2)*l/NelmY
%       i=find(BCX(:,1)==n);
%       if size(i,1)==0
%         i=size(BCX,1)+1;
%         BCX(i,1)=n;
%         BCX(i,2:4)=0;
%         BCX(i,5:14)=1;
%       end
%       BCX(i,4:2:14)=1;
%     end
% end
% fprintf(fid,'%4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f %4.0f\n',BCX');
% fclose(fid); 


%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%QUITABLE PARA ABAQUS%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%


% Ensamblado de FORCEX con las cargas en formato FEAP

%[ForceX]=FuerzasX(NelmX,w,N,CargasL);

%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%QUITABLE PARA ABAQUS%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Escribir el archivo de entrada ixfem  

% fid = fopen('ixfem','w');
% fprintf(fid,'FEAP * * Prueba XFEM \n');
% fprintf(fid,'%3.0f,%3.0f,2,2,12,4\n',N,Nel);
% fprintf(fid,'MATErial,1\n');
% fprintf(fid,'  USER 1\n');
% fprintf(fid,'    PLANe STRAin\n');
% fprintf(fid,'    ELAStic ISOTtropic 10000000.0 0.333\n');
% fprintf(fid,'		  ! Definicion del material y tipo de elemento y parametros del material \n');
% fprintf(fid,'MATErial,2\n');
% fprintf(fid,'  USER 2\n');
% fprintf(fid,'    PLANe STRAin\n');
% fprintf(fid,'    ELAStic ISOTropic 10000000.0 0.333\n');
% fprintf(fid,'		  ! Definicion del material y tipo de elemento y parametros del material\n\n');
% fprintf(fid,'COORdinates\n');
% fprintf(fid,' INCLude, XY\n\n');
% fprintf(fid,'ELEMents\n');
% fprintf(fid,' INCLude, TOP\n\n');
% fprintf(fid,'BOUNdary\n');
% fprintf(fid,' Include, BCX\n\n');
% fprintf(fid,'FORCes\n');
% fprintf(fid,' Include, FORCEX\n\n');
% fprintf(fid,'XINPut\n');
% fprintf(fid,' Include, infoXFEM\n\n');
% fprintf(fid,'END\n\n');
% fprintf(fid,'BATCh\n');
% fprintf(fid,'  FORM residual\n');
% fprintf(fid,'  TANGent\n');
% fprintf(fid,'  SOLVe\n');
% fprintf(fid,'  DISPlacement ALL\n');
% %fprintf(fid,'  STREss ALL\n');
% fprintf(fid,'  XDATos,solu\n');
% fprintf(fid,'  XDATos,stre\n');
% fprintf(fid,'  INTJ,plateau,0.3\n');
% fprintf(fid,'  INTJ,plateau,0.4\n');
% fprintf(fid,'  INTJ,plateau,0.5\n');
% fprintf(fid,'  INTJ,plateau,0.6\n');
% fprintf(fid,'  INTJ,plateau,0.7\n');
% fprintf(fid,'  INTJ,plateau,0.8\n');
% fprintf(fid,'  INTJ,plateau,0.9\n');
% fprintf(fid,'END\n\n');
% %fprintf(fid,'INTEractive\n\n');
% fprintf(fid,'STOP \n');
% fclose(fid);
