       SUBROUTINE UEL(RHS,AMATRX,SVARS,ENERGY,NDOFEL,NRHS,NSVARS,
     * PROPS,NPROPS,COORDS,MCRD,NNODE,U,DU,V,A,JTYPE,TIME,DTIME,
     * KSTEP,KINC,JELEM,PARAMS,NDLOAD,JDLTYP,ADLMAG,PREDEF,NPREDF,
     * LFLAGS,MLVARX,DDLMAG,MDLOAD,PNEWDT,JPROPS,NJPROP,PERIOD)
C
       INCLUDE 'ABA_PARAM.INC'
C
C      Subrutina de calculo de la matriz de rigidez y el vector de
C      fuerzas de elementos finitos
C
C      Definicion de variables que utiliza ABAQUS
C
       DIMENSION RHS(MLVARX,*), AMATRX(NDOFEL,NDOFEL), PROPS(*),
     * SVARS(NSVARS), ENERGY(8), COORDS(MCRD,NNODE), U(NDOFEL),
     * DU(MLVARX,*), V(NDOFEL), A(NDOFEL), TIME(2), PARAMS(*),
     * JDLTYP(MDLOAD,*), ADLMAG(MDLOAD,*), DDLMAG(MDLOAD,*),
     * PREDEF(2,NPREDF,NNODE), LFLAGS(*), JPROPS(*)
C
C      Variables que utiliza la subrutina
C           JELEM  Nm. de elemento actual
C           F      Vector de fzas equivalentes en nodos del elmento
C	      AMSTRX Matriz de rigidez del elemento
C           E:     Modulo de Young del elemento
C           Nu:    Coeficiente de Poisson
C           TDP:   1 - Tension plana
C                  2 - Deformacion plana
C           orderC Vector que guarda los siguientes rdenes de cuadratura:

c		  orderC(1) orden de cuadratura (n ptos en cada direccin en cuadril)
c                   OJO, slo para los elementos cuadrilteros XFEM no intersectados
C           orderC(2) orden de cuadratura en tringulos (n ptos totales)
c                   OJO, slo para los elementos tringulos XFEM 
c           orderC(3) = orden de cuadr. (n ptos en cada direccin en cuadril)
c             OJO, slo elem cuadrilt XFEM intersectados en 2 porciones (elemX tipo 4)

c           dimens dimensin del espacio fsico del problema (dimens=2 para 2D y 
c                  dimens=3 para 3D. En realidad, debera bastar con MCRD, pero automticamente
c                  pone que MCRD=3 aunque sea un problema 2D si el num gdl de un nodo es 
c                  mayor o igual que 3 (como es el caso de XFEM, que es 12)

C           NPG    Nm.de puntos del camino de grieta
C           NelmX  Nm. de elementos X
C           NnodX  Nm. de nodos X 
C           TipoXe(NNODE) Vector que contiene los TipoX de los nodos presentes 
c                         en la conectividad del elemento
c           ix(NNODE)  Vector que guarda los num de nodos del elemto (conectividad)
C           XYG   Matrz con coord. de puntos de grieta  
             
C           lint  Nm total ptos integracin en elmto (tanto subdividido o no)
C		  flag  Indicador de subdivisin 
C           mpg   mpg=50 Nm. mx. ptos Gauss esperado
C           sg    Matriz que guarda coord. y pesos de cada punto de Gauss 
c           Xe(8)	Coordenadas nodales x de los nodos del elemento
c		  Ye(8) Coordenadas nodales y de los nodos del elemento
c				(Se utilizan duplicados para facilitar los contadores
c					 en el salto del cuarto nodo al primero)
c		  flag  Indicador de que el elemento se ha subdividido
c						para integracin (si flag=1)


		    
C      &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C      &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C      &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

 
C      Declaracin de variables definidas por m para XFEM
C
       REAL*8 E, Nu
       REAL*8 F(NDOFEL)
       INTEGER i,j,k,TDP,orderC(3),lint,flag,dimens
       integer NPG,NelmX,NnodX,TipoXe(NNODE),ix(NNODE)
C      Para tener un "buffer" para almacenar un num. ptos Gauss suficiente
       integer,parameter :: mpg=1650 !Nm. mx. ptos Gauss esperado por elemento
c                                    (1600 puntos de Gauss en 40x40)
       real*8 sg(3,mpg),xypg(2,mpg),Xe(8),Ye(8) 
C
C      Para leer el directorio en el que se est trabajando
       character*256 OUTDIR 
       integer LENOUTDIR  !Longitud de la cadena
	 INTEGER,ALLOCATABLE:: TipoX(:,:)
	 REAL*8, ALLOCATABLE:: XYG(:,:),Dist(:,:),ElemGG(:,:)
       REAL*8, ALLOCATABLE:: BenG(:,:),DBenG(:,:),JenG(:)
 
       integer dfich,dfich2
       common /debugfich/ dfich,dfich2

c	integer epssigPG,dNdxyPG,listNPG
c	common /outputfich/ epssigPG,dNdxyPG,listNPG **no uso ya esto


C      &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C      &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C      &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


C23456789012345678901234567890123456789012345678901234567890123456789012 
 

C        Lee el valor de propiedades que define ABAQUS
       E = PROPS(1)
       Nu = PROPS(2)
       TDP = JPROPS(1)
       orderC(1) = JPROPS(2)
       orderC(2) = JPROPS(3)
       orderC(3) = JPROPS(4)
       dimens = JPROPS(5)


C      Para leer el directorio en el que se est trabajando
       CALL GETOUTDIR(OUTDIR,LENOUTDIR)
 
       OPEN(68,FILE=OUTDIR(1:LENOUTDIR)//'\ficheros\GGInfoX')
	 READ(68,*) NPG,NelmX,NnodX
	 CLOSE(68)
            	   
c      Para leer infoXFEM

       allocate (TipoX(NnodX,2))
       allocate (XYG(NPG,2), Dist(NnodX,3), ElemGG(NelmX,8))

	 OPEN(68,FILE=OUTDIR(1:LENOUTDIR)//'\ficheros\GGXYG')
       do i=1,NPG
	   READ(68,*) (XYG(i,j),j=1,2)  
       end do   	  
	 CLOSE(68)

	 OPEN(68,FILE=OUTDIR(1:LENOUTDIR)//'\ficheros\GGnodoX')
       do i=1,NNodX
	   READ(68,*) (TipoX(i,j),j=1,2),(Dist(i,j),j=2,3)
	   Dist(i,1)=TipoX(i,1)
	 end do   	  
	 CLOSE(68)

       OPEN(68,FILE=OUTDIR(1:LENOUTDIR)//'\ficheros\GGelemX')
       do i=1,NelmX
	   READ(68,*) (ElemGG(i,j),j=1,8)
	 end do   	  
	 CLOSE(68)


       
C
C      Inicializa la matriz K y el vector F del elemento...

c       DO 10 I=1,NDOFEL
c          DO 20 J=1,NRHS
c              RHS(I,J) = 0.0D0
c 20       CONTINUE
c          DO 30 J=1,NDOFEL
c              AMATRX(I,J) = 0.0D0
c 30	  CONTINUE
c 10    CONTINUE
c       DO 40 I=1,8
c           ENERGY(I) = 0.0d0
c 40    CONTINUE
c       DO 41 I=1,NSVARS
c           SVARS(I) = 0.0d0
 
      call inicializaM(RHS,NDOFEL,NRHS)
      call inicializaM(AMATRX,NDOFEL,NDOFEL) 
      call inicializaV(ENERGY,8)
      call inicializaV(SVARS,NSVARS)


c      Para tener un fichero donde escribir los debug 
      dfich=78  
      OPEN(dfich,FILE=OUTDIR(1:LENOUTDIR)//'\debug\debug78.prn')
 
      WRITE(dfich,*) '---------------------------' 
      WRITE(dfich,*) E, Nu, 'TDP=',TDP
      WRITE(dfich,*) 'NDOFEL=',NDOFEL,' NNODE=',NNODE,' MCRD=',MCRD
      WRITE(dfich,*) '---------------------------' 
      WRITE(dfich,*)
	WRITE(dfich,*) 'NPG=',NPG,'  NelmX=',NelmX,'   NnodX=',NnodX  

	WRITE(dfich,*) 'JTYPE=',JTYPE,'LFLAGS(1)=',LFLAGS(1), 
     .         	'LFLAGS(3)=',LFLAGS(3), '  JELEM=',JELEM

	WRITE(dfich,*) 'orderC=',(orderC(j),j=1,3)

	WRITE(dfich,*) 'MLVARX=',MLVARX
C 
c
c      Para tener otro fichero donde escribir los debug, que se abra con 
c      el primer elemto XFEM y se cierre con el ltimo
 
      dfich2=79
      if (JELEM.eq.int(ElemGG(1,1))) then
       OPEN(dfich2,FILE=OUTDIR(1:LENOUTDIR)//'\debug\debug79.prn')
      end if  

C
       IF (JTYPE.EQ.12) THEN
C       *************************************************
C       *  ELEMENTO CUADRILTERO LINEAL DE 12 GDL/NODO  *
C       *  ENRIQUECIDO EN GENERAL PARA XFEM             *			
C       *************************************************

C
       
C         IF (LFLAGS(1).EQ.1) THEN
C	   Anlisis esttico
	   IF (LFLAGS(3).EQ.1) THEN

C	     Definicin de K y F

c          Llamada a la rutina que define posicin ptos integracin haciendo subdivisin
           call int2d_X(JELEM,NelmX,ElemGG,MCRD,NNODE,COORDS,orderC,
     *        		 NPG,XYG,lint,sg,Xe,Ye,flag,mpg,xypg)

c          Ahora ya se sabe el nm. total de ptos integracin lint 
		 ALLOCATE(BenG(3*lint,NDOFEL),DBenG(3*lint,NDOFEL),JenG(lint))
           call inicializaM(BenG,3*lint,NDOFEL)
		 call inicializaM(DBenG,3*lint,NDOFEL) 
		 call inicializaV(JenG,lint)

c          Clculo de TipoX de los nodos del elemento y los almacena en TipoXe
           call TipoXelemento(OUTDIR,LENOUTDIR,JELEM,NNODE,NelmX,
     *        		 ix,TipoXe)            

c		 Clculo de la matriz de rigidez	
	     CALL K_L4U12stiffc4(E,Nu,AMATRX,NDOFEL,NNODE,dimens,MCRD,
     *              COORDS,TDP,NnodX,ix,TipoXe,Dist,NPG,XYG,lint,sg,
     *               Xe,Ye,flag,BenG,DBenG,JenG)


c	     CALL MULT_V(AMATRX,NDOFEL,NDOFEL,DU,F,NDOFEL)
	     CALL MULT_V(AMATRX,NDOFEL,NDOFEL,U,F,NDOFEL)

	     DO I=1,NDOFEL
c              RHS(I,1) = -F(I)
	         RHS(I,1) = RHS(I,1) - F(I)
           END DO

C            Clculo de las def, tens, etc. en puntos de Gauss


           CALL  SVARS_L4U12(JTYPE,JELEM,SVARS,NSVARS,U,NDOFEL,BenG,
     .                    DBenG,JenG,lint,mpg,xypg)
          END IF

C23456789012345678901234567890123456789012345678901234567890123456789012
         
       ELSEIF (JTYPE.EQ.19) THEN
C       ****************************************
C       *  ELEMENTO CUADRILTERO LINEAL        *
C       *  ENRIQUECIDO EN UN NODO (EL LTIMO) *			
C       ****************************************

C
         IF (LFLAGS(1).EQ.1) THEN
C	   Anlisis esttico
	   IF (LFLAGS(3).EQ.1) THEN
C	     Definicin de K y F
cccccc	     CALL K_L4U19(E,Nu,AMATRX,NDOFEL,NNODE,COORDS,
cccccc     .                   MCRD,TDP,orderC,BenG,DBenG,JenG)
	     CALL MULT_V(AMATRX,NDOFEL,NDOFEL,DU,F,NMAXDIM)
	     DO 51 I=1,NDOFEL
               RHS(I,1) = -F(I)
 51          CONTINUE

C            Clculo de las def, tens, etc. en puntos de Gauss
             CALL  SVARS_L4U19(SVARS,NSVARS,U,NDOFEL,BenG,DBenG,
     .                    JenG,NTPG)
           END IF
         END IF

C23456789012345678901234567890123456789012345678901234567890123456789012
         
       ELSEIF (JTYPE.EQ.1) THEN
C       ****************************************
C       *  ELEMENTO CUADRILTERO LINEAL        *
C       *  ENRIQUECIDO EN 2 NODOS (LOS LTIMOS) *			
C       ****************************************

C
         IF (LFLAGS(1).EQ.1) THEN
C	   Anlisis esttico
	   IF (LFLAGS(3).EQ.1) THEN
C	     Definicin de K y F
	     CALL K_L4U1(E,Nu,AMATRX,NDOFEL,NNODE,COORDS,
     .                   MCRD,TDP,Haar,NTPG,BenG,DBenG,JenG)
	     CALL MULT_V(AMATRX,NDOFEL,NDOFEL,DU,F,NMAXDIM)
	     DO 52 I=1,NDOFEL
               RHS(I,1) = -F(I)
 52          CONTINUE

C            Clculo de las def, tens, etc. en puntos de Gauss
             CALL  SVARS_L4U1(SVARS,NSVARS,U,NDOFEL,BenG,DBenG,
     .                    JenG,NTPG)

           END IF
         END IF

C23456789012345678901234567890123456789012345678901234567890123456789012
         
C23456789012345678901234567890123456789012345678901234567890123456789012
         
       ELSEIF (JTYPE.EQ.100) THEN
C       ****************************************
C       *  ELEMENTO CUADRILTERO LINEAL        *
C       *  CLON DEL CPS4  (SLO PARA COMPROBAR TENSIONES) *			
C       ****************************************
         write(dfich,*) '========'
         write(dfich,*) 'LFLAGS(1)=',LFLAGS(1)
         write(dfich,*) 'LFLAGS(3)=',LFLAGS(3)
         write(dfich,*) '========'

         NTPG=orderC(1)
         write(dfich,*) 'NTPG=',NTPG

         lint=NTPG
c          Ahora ya se sabe el nm. total de ptos integracin lint 
		 ALLOCATE(BenG(3*lint,NDOFEL),DBenG(3*lint,NDOFEL),JenG(lint))
           call inicializaM(BenG,3*lint,NDOFEL)
		 call inicializaM(DBenG,3*lint,NDOFEL) 
		 call inicializaV(JenG,lint)

      write(dfich2,*)
      write(dfich2,*) '======================================='
	write(dfich2,*) '======================================='
	write(dfich2,*) '======================================='
	write(dfich2,*)
	   
	   write(dfich2,*) 'LFLAGS(1) =',LFLAGS(1), ' (Procedure Type)'
         write(dfich2,*) 'LFLAGS(2) =',LFLAGS(2), 
     .   ' (If 0, small displacements)'
         write(dfich2,*) 'LFLAGS(3) =',LFLAGS(3), 
     .'(If 1, normal implicit time incrementation. Define RHS,AMATRX)',
     .'(If 2, Define AMATRX only)',
     .'(If 5, Define residual RHS only)'         
         write(dfich2,*) 'LFLAGS(4) =',LFLAGS(4), 
     .'(If 0, the step is a general step)'
         write(dfich2,*) 'LFLAGS(5) =',LFLAGS(5), 
     .'(If 0, Current approx to u were based on Newton corrections)',
     .'(If 1, Current approx to u found by extrapol. from previous inc)'
         write(dfich2,*) 
	   write(dfich2,*) 

      write(dfich2,*) 'TIME(1) Current value step time = ',TIME(1)
      write(dfich2,*) 'TIME(2) Current value total time = ',TIME(2)
      write(dfich2,*) 'DTIME time increment= ',DTIME
      write(dfich2,*) 'PERIOD time period of current step= ',PERIOD
      
      write(dfich2,*) '======================================='
	write(dfich2,*) 'Valores al entrar, con t=',TIME(1)
	write(dfich2,*) '======================================='
        write(dfich2,*) 
      write(dfich2,*) 'U(NDOFEL)= ',(U(i),i=1,NDOFEL)
        write(dfich2,*) 
      write(dfich2,*) 'DU(MLVARX,*)= ',(DU(i,1),i=1,MLVARX)
       write(dfich2,*) 
      write(dfich2,*) 'RHS(MLVARX,*)= ',(RHS(i,1),i=1,MLVARX)



C
         IF (LFLAGS(1).EQ.1) THEN
C	   Anlisis esttico
	   IF (LFLAGS(3).EQ.1) THEN
C             write(dfich,*) 'ENTRO en K...........'
C	     Definicin de K y F
            write(dfich2,*) '  JELEM=',JELEM
            write(dfich2,*) 'LFLAGS(1)=',LFLAGS(1)
            write(dfich2,*) 'LFLAGS(3)=',LFLAGS(3)
            write(dfich2,*) 'ENTRO en K...........'
	     CALL K_L4(E,Nu,AMATRX,NDOFEL,NNODE,COORDS,
     .       	              MCRD,TDP,NTPG,BenG,DBenG,JenG)
c	     CALL MULT_V(AMATRX,NDOFEL,NDOFEL,DU,F,NMAXDIM)
		     CALL MULT_V(AMATRX,NDOFEL,NDOFEL,U,F,NMAXDIM)
	     DO 5100 I=1,NDOFEL
c               RHS(I,1) = -F(I)
	         RHS(I,1) = RHS(I,1) - F(I)
 5100        CONTINUE

C            Clculo de las def, tens, etc. en puntos de Gauss
             CALL  SVARS_L4(SVARS,NSVARS,U,NDOFEL,BenG,DBenG,JenG,NTPG)
           END IF
         END IF


      write(dfich2,*) '======================================='
	write(dfich2,*) 'Valores al salir, con t=',TIME(1)
	write(dfich2,*) '======================================='
        write(dfich2,*) 
      write(dfich2,*) 'U(NDOFEL)= ',(U(i),i=1,NDOFEL)
        write(dfich2,*) 
      write(dfich2,*) 'DU(MLVARX,*)= ',(DU(i,1),i=1,MLVARX)
       write(dfich2,*) 
      write(dfich2,*) 'RHS(MLVARX,*)= ',(RHS(i,1),i=1,MLVARX)



C23456789012345678901234567890123456789012345678901234567890123456789012



       ELSEIF (JTYPE.EQ.3) THEN
C       *********************************
C       *  ELEMENTO      *			
C       *********************************

C
       END IF


       CLOSE(dfich) 
       if (JELEM.eq.int(ElemGG(NelmX,1))) then
        close(dfich2)
       end if  


       RETURN
       END



C23456789012345678901234567890123456789012345678901234567890123456789012
C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
COOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C								 C
C	DEFINICIN DE SUBRUTINAS NECESARIAS PARA LA OBTENCIN	 C
C	DE LA MATRIZ DE RIGIDEZ K Y VECTOR DE FUERZAS F PARA	 C
C	UN ELEMENTO CUADRILTERO LINEAL DE 4 NODOS		 C
C								 C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      REAL*8 FUNCTION DER_L4(psi,eta,Der,Fun)
      INTEGER Der, Fun
      REAL*8 psi, eta
C
cc      WRITE(dfich,*) psi, eta, Der, Fun
      IF (Der.EQ.1) THEN
          IF (Fun.EQ.1) THEN
              DER_L4 = -(1-eta) / 4.0d0
          ELSEIF (Fun.EQ.2) THEN
              DER_L4 = (1-eta) / 4.0d0
          ELSEIF (Fun.EQ.3) THEN
              DER_L4 = (1+eta) / 4.0d0
          ELSEIF (Fun.EQ.4) THEN
              DER_L4 = -(1+eta) / 4.0d0
          END IF
      ELSE
          IF (Fun.EQ.1) THEN
              DER_L4 = -(1-psi) / 4.0d0
          ELSEIF (Fun.EQ.2) THEN
              DER_L4 = -(1+psi) / 4.0d0
          ELSEIF (Fun.EQ.3) THEN
              DER_L4 = (1+psi) / 4.0d0
          ELSEIF (Fun.EQ.4) THEN
              DER_L4 = (1-psi) / 4.0d0
          END IF
      END IF         
      RETURN
      END
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE C_J_L4(J,dJ,Xe,Ye,Nne,Ngdl,psi,eta)
      INTEGER Nne, Ngdl
      REAL*8 psi, eta, dJ, Xe(Nne), Ye(Nne), J(Ngdl,Ngdl)
C
      INTEGER I, K
      REAL*8 DN(2,4), X(4,2), DER_L4
      DO 10 I=1,Nne
          X(I,1) = Xe(I)
          X(I,2) = Ye(I)
 10   CONTINUE
      DO 20 I=1,Ngdl
          DO 30 K=1,Nne
              DN(I,K) = DER_L4(psi,eta,I,K)
 30       CONTINUE
 20   CONTINUE
      CALL MULT_M(J,DN,Ngdl,Nne,X,Nne,Ngdl)
      dJ = J(1,1)*J(2,2) - J(2,1)*J(1,2)
      RETURN
      END 

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE C_J_L4U1(J,dJ,Xe,Ye,Nne,Ngdl,Ngdlfis,psi,eta)
      INTEGER Nne, Ngdl, Ngdlfis
      REAL*8 psi, eta, dJ, Xe(Nne), Ye(Nne), J(Ngdlfis,Ngdlfis)
C
      INTEGER I, K
      REAL*8 DN(2,4), X(4,2), DER_L4
      DO 10 I=1,Nne
          X(I,1) = Xe(I)
          X(I,2) = Ye(I)
 10   CONTINUE
      DO 20 I=1,Ngdlfis
          DO 30 K=1,Nne
              DN(I,K) = DER_L4(psi,eta,I,K)
 30       CONTINUE
 20   CONTINUE
      CALL MULT_M(J,DN,Ngdlfis,Nne,X,Nne,Ngdlfis)
      dJ = J(1,1)*J(2,2) - J(2,1)*J(1,2)
      RETURN
      END 



C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      REAL*8 FUNCTION D_L4_XY(Xe,Ye,Nne,Ngdl,psi,eta,Der,Fun)
      INTEGER Nne, Ngdl, Der, Fun
      REAL*8 Xe(Nne), Ye(Nne), psi, eta
C
      REAL*8 Y(2), J(2,2), dJ, DR(2)
CC      WRITE(dfich,*) Nne, psi, eta, Der, Fun
      IF (Fun.EQ.1) THEN
          Y(1) = -(1-eta) / 4.0d0
          Y(2) = -(1-psi) / 4.0d0
	ELSEIF (Fun.EQ.2) THEN
          Y(1) = (1-eta) / 4.0d0
          Y(2) = -(1+psi) / 4.0d0
      ELSEIF (Fun.EQ.3) THEN
          Y(1) = (1+eta) / 4.0d0
          Y(2) = (1+psi) / 4.0d0
      ELSEIF (Fun.EQ.4) THEN
          Y(1) = -(1+eta) / 4.0d0
          Y(2) = (1-psi) / 4.0d0
      END IF
      CALL C_J_L4(J,dJ,Xe,Ye,Nne,Ngdl,psi,eta)
      CALL INV_J(J,Ngdl)
      CALL MULT_V(J,Ngdl,Ngdl,Y,DR,Ngdl)

      IF (Der.EQ.1) THEN
          D_L4_XY = DR(1)
      ELSE
          D_L4_XY = DR(2)
      END IF
      
      RETURN
      END
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE C_B_L4(B,Xe,Ye,Nte,Nne,Ngdl,Psi,Eta)
      INTEGER Nne, Nte, Ngdl
      REAL*8 B(Nte,Nne*2), Xe(Nne), Ye(Nne), Psi, Eta
C      
      REAL*8 D_L4_XY
      INTEGER Der, Fun
      Der = 1
      Fun = 1
      B(1,1) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,2) = 0.0D0
      Fun = 2
      B(1,3) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,4) = 0.0D0
      Fun = 3
      B(1,5) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,6) = 0.0D0
      Fun = 4
      B(1,7) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,8) = 0.0D0
      Der = 2
      B(2,1) = 0.0D0
      Fun = 1
      B(2,2) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,3) = 0.0D0
      Fun = 2
      B(2,4) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,5) = 0.0D0
      Fun = 3
      B(2,6) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,7) = 0.0D0
      Fun = 4
      B(2,8) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 1
      B(3,1) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,2) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 2
      B(3,3) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,4) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 3
      B(3,5) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,6) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 4
      B(3,7) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,8) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)   
      RETURN
      END


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE C_B_L4U1(B,Xe,Ye,Nte,Dof,Nne,Ngdl,Psi,Eta,Haar)
      INTEGER Nne, Nte, Ngdl, Dof
      REAL*8 B(Nte,Dof), Xe(Nne), Ye(Nne), Psi, Eta, Haar
C      
      REAL*8 D_L4_XY
      INTEGER Der, Fun
      Der = 1
      Fun = 1
      B(1,1) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,2) = 0.0D0
      Fun = 2
      B(1,3) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,4) = 0.0D0
      Fun = 3
      B(1,5) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,6) = 0.0D0
      Fun = 4
      B(1,7) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,8) = 0.0D0
      Der = 2
      B(2,1) = 0.0D0
      Fun = 1
      B(2,2) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,3) = 0.0D0
      Fun = 2
      B(2,4) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,5) = 0.0D0
      Fun = 3
      B(2,6) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,7) = 0.0D0
      Fun = 4
      B(2,8) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 1
      B(3,1) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,2) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 2
      B(3,3) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,4) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 3
      B(3,5) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,6) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 2
      Fun = 4
      B(3,7) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,8) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)   

C      ***** Aado las que enrriquecen XFEM con Haar

      B(1,9) = B(1,7)*Haar
      B(1,10) = B(1,8)*Haar
      B(2,9) = B(2,7)*Haar
      B(2,10) = B(2,8)*Haar
      B(3,9) = B(3,7)*Haar
      B(3,10) = B(3,8)*Haar



      RETURN
      END


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE C_B_L4U2(B,Xe,Ye,Nte,Dof,Nne,Ngdl,Psi,Eta,Haar)
      INTEGER Nne, Nte, Ngdl, Dof, nel,tipo
      REAL*8 B(Nte,Dof), Xe(Nne), Ye(Nne), Psi, Eta, Haar, valor
C      
      REAL*8 D_L4_XY
      INTEGER Der, Fun
      Der = 1
      Fun = 1
      B(1,1) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,2) = 0.0D0
      Fun = 2
      B(1,3) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,4) = 0.0D0
      Fun = 3
      B(1,5) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,6) = 0.0D0
C      *** Enriquezco con Haar:
      B(1,7) = B(1,5)*Haar
      B(1,8) = 0.0D0
      Fun = 4
      B(1,9) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(1,10) = 0.0D0
C      *** Enriquezco con Haar:
      B(1,11) = B(1,9)*Haar
      B(1,12) = 0.0D0


      Der = 2
      B(2,1) = 0.0D0
      Fun = 1
      B(2,2) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,3) = 0.0D0
      Fun = 2
      B(2,4) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      B(2,5) = 0.0D0
      Fun = 3
      B(2,6) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
C      *** Enriquezco con Haar:
      B(2,7) = 0.0D0
      B(2,8) = B(2,6)*Haar
      Fun = 4
      B(2,9) = 0.0D0
      B(2,10) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
C      *** Enriquezco con Haar:
      B(2,11) = 0.0D0
      B(2,12) = B(2,10)*Haar





      Der = 2
      Fun = 1
      B(3,1) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,2) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)

      Der = 2
      Fun = 2
      B(3,3) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,4) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)

      Der = 2
      Fun = 3
      B(3,5) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,6) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
C      ***** Aado las que enriquecen XFEM con Haar
      B(3,7) = B(3,5)*Haar
      B(3,8) = B(3,6)*Haar

      Der = 2
      Fun = 4
      B(3,9) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)
      Der = 1
      B(3,10) = D_L4_XY(Xe,Ye,Nne,Ngdl,Psi,Eta,Der,Fun)   

C      ***** Aado las que enriquecen XFEM con Haar
      B(3,11) = B(3,9)*Haar
      B(3,12) = B(3,10)*Haar

      RETURN
      END



C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      REAL*8 FUNCTION C_N_L4(psi,eta,I)
      INTEGER I
      REAL*8 psi, eta
C
      IF (I.EQ.1) THEN
          C_N_L4 = (1-psi)*(1-eta)/4.0d0
      END IF
      IF (I.EQ.2) THEN
          C_N_L4 = (1+psi)*(1-eta)/4.0d0
      END IF
      IF (I.EQ.3) THEN
          C_N_L4 = (1+psi)*(1+eta)/4.0d0
      END IF
      IF (I.EQ.4) THEN
          C_N_L4 = (1-psi)*(1+eta)/4.0d0
      END IF
      RETURN
      END
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE K_L4(E,Nu,K,Dof,NNpe,XYe,Ngdl,TDP,NTPG,BenG,DBenG,JenG)
	IMPLICIT NONE

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2

	INTEGER Dof, NNpe, Ngdl, TDP,NTPG
        REAL*8 E, Nu
	REAL*8 K(Dof,Dof), XYe(Ngdl,NNpe)
C
        INTEGER NGauss, I, Ig, Jg, Nte, ii, jj,NTPGcont,M,N
        REAL*8 Psi(2), Eta(2), H(2), Xe(4), Ye(4)
	REAL*8 dJ, J(2,2)
	REAL*8 DB(3,8), BT(8,3), K1(8,8), B(3,8), D(3,3)
	REAL*8 BenG(3*NTPG,8),DBenG(3*NTPG,8),JenG(NTPG)
       

        
c	WRITE(dfich2,*) 'Dof=',Dof, 'NNpe=',NNpe,'Ngdl=',Ngdl,'TDP=',TDP
c	WRITE(dfich2,*)	'NTPG=', NTPG
c	WRITE(dfich2,*)
c	WRITE(dfich2,*) 'XYe(I,1)=',(XYe(I,1), I=1,2)
c	WRITE(dfich2,*) 'XYe(I,2)=',(XYe(I,2), I=1,2)
c	WRITE(dfich2,*) 'XYe(I,3)=',(XYe(I,3), I=1,2)
c	WRITE(dfich2,*) 'XYe(I,4)=',(XYe(I,4), I=1,2)
c     WRITE(dfich2,*)
	
	CALL CALC_D(TDP,D,E,Nu)

c	WRITE(dfich2,*) (D(1,I), I=1,3)
c	WRITE(dfich2,*) (D(2,I), I=1,3)
c	WRITE(dfich2,*) (D(3,I), I=1,3)

	Nte = 3

        

C	INTEGRACIN EN 2x2 PUNTOS DE GAUSS O EN 1 PUNTO DE GAUSS
	
	if (NTPG.eq.4) then
	 NGauss = 2
	 Psi(1) = -1.0d0 / DSQRT(3.0d0)
	 Psi(2) = 1.0d0 / DSQRT(3.0d0)
	 Eta(1) = -1.0d0 / DSQRT(3.0d0)
 	 Eta(2) = 1.0d0 / DSQRT(3.0d0)
	 H(1) = 1.0d0
	 H(2) = 1.0d0
        else if (NTPG.eq.1) then
	 NGauss = 1
	 Psi(1) = 0.0d0
	 Eta(1) = 0.0d0
	 H(1) = 2.0d0      
        endif


	DO 10 I=1,NNpe
		Xe(I) = XYe(1,I)
		Ye(I) = XYe(2,I)
 10	CONTINUE
        
        NTPGcont=1
        
	DO 20 Ig=1,NGauss
		DO 30 Jg=1,NGauss
			CALL C_B_L4(B,Xe,Ye,Nte,NNpe,Ngdl,Psi(Ig),Eta(Jg))
			CALL C_J_L4(J,dJ,Xe,Ye,NNpe,Ngdl,Psi(Ig),Eta(Jg))
c			WRITE(dfich2,*) Ig, Jg
c			WRITE(dfich2,*) Psi(Ig), Eta(Jg)
c			WRITE(dfich2,*) (B(1,I), I=1,8)
c			WRITE(dfich2,*) (B(2,I), I=1,8)
c			WRITE(dfich2,*) (B(3,I), I=1,8)
c			WRITE(dfich2,*) (J(1,I), I=1,2)
c			WRITE(dfich2,*) (J(2,I), I=1,2)
			CALL MULT_M(DB,D,Nte,Nte,B,Nte,Ngdl*NNpe)
C                        Almaceno en puntos de Gauss para ms tarde calcular eps y sig
			JenG(NTPGcont)=dJ
                        DO 205 M=1,3
                          DO 205 N=1,8
                            BenG(3*(NTPGcont-1)+M,N)=B(M,N)
                            DBenG(3*(NTPGcont-1)+M,N)=DB(M,N) 
205                     CONTINUE
                        NTPGcont=NTPGcont+1
			CALL CALC_BT(B,BT,Nte,Ngdl*NNpe)
			CALL MULT_M(K1,BT,Ngdl*NNpe,Nte,DB,Nte,Ngdl*NNpe)
			DO 40 ii=1,Dof
				DO 50 jj=1,Dof
					K(ii,jj) = K(ii,jj) + dJ*H(Ig)*H(Jg)*K1(ii,jj)
 50				CONTINUE
 40			CONTINUE
 30		CONTINUE		
 20   CONTINUE		

 	WRITE(dfich2,*)
	WRITE(dfich2,*) 'K(1,I)=',(K(1,I), I=1,Dof)


                
        RETURN
	END


CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
	SUBROUTINE SVARS_L4(SVARS,NSVARS,U,Dof,BenG,DBenG,JenG,NTPG)
	IMPLICIT NONE

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


	INTEGER NSVARS, Dof, NTPG
	REAL*8  SVARS(NSVARS), U(Dof),BenG(3*NTPG,8),DBenG(3*NTPG,8)
        REAL*8  JenG(NTPG),B(3,Dof),DB(3,Dof),Bdvdx(3,DOF)
        REAL*8  EPS(3),SIG(3),W,dvdx(3),JAC
C
        INTEGER i,j,k
C       ------------------------------------------------------------

        DO 10 i=1,NTPG
           JAC=JenG(i)
           DO 20 k=1,3
             DO 20 j=1,8    
               B(k,j)=BenG(3*(i-1)+k,j)
               Bdvdx(k,j)=B(k,j)
               DB(k,j)=DBenG(3*(i-1)+k,j) 
20         CONTINUE
           CALL MULT_V(B,3,Dof,U,EPS,3)
           CALL MULT_V(DB,3,Dof,U,SIG,3)
           W=0.5d0*(EPS(1)*SIG(1)+EPS(2)*SIG(2)+EPS(3)*SIG(3))

C          Para el clculo de dv/dx
           Bdvdx(3,1)=0.0d0
           Bdvdx(3,3)=0.0d0
           Bdvdx(3,5)=0.0d0
           Bdvdx(3,7)=0.0d0
           CALL MULT_V(Bdvdx,3,Dof,U,dvdx,3)                                 
C                (slo vale la tercera componente)

C          Escritura en SVARS
           SVARS(17*(i-1)+1)=EPS(1)
           SVARS(17*(i-1)+2)=EPS(2)
           SVARS(17*(i-1)+3)=EPS(3)
           SVARS(17*(i-1)+4)=SIG(1)
           SVARS(17*(i-1)+5)=SIG(2)
           SVARS(17*(i-1)+6)=SIG(3)
           SVARS(17*(i-1)+7)=W
           SVARS(17*(i-1)+8)=dvdx(3)
           SVARS(17*(i-1)+9)=JAC
C          Guardo tambin las derivadas de N  (dN/dx, dN/dy) para calcular luego dq/dx, dq/dy
           SVARS(17*(i-1)+10)=B(1,1)
           SVARS(17*(i-1)+11)=B(1,3)
           SVARS(17*(i-1)+12)=B(1,5)
           SVARS(17*(i-1)+13)=B(1,7)
           SVARS(17*(i-1)+14)=B(2,2)
           SVARS(17*(i-1)+15)=B(2,4)
           SVARS(17*(i-1)+16)=B(2,6)
           SVARS(17*(i-1)+17)=B(2,8)

           
10      CONTINUE


        RETURN
	END



C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
	SUBROUTINE MATRIZ_K_L4_DOF(E,Nu,K,Dof,NNpe,XYe,Ngdl,TDP)
	IMPLICIT NONE
	INTEGER Dof, Dofverdadero,NNpe, Ngdl, TDP
        REAL*8 E, Nu
	REAL*8 K(Dof,Dof), Kinter(Dof,Dof)
        REAL*8  XYe(Ngdl,NNpe)
        
        INTEGER NGauss, I, Ig, Jg, Nte, ii, jj
        REAL*8 Psi(2), Eta(2), H(2), Xe(4), Ye(4)
	REAL*8 dJ, J(2,2)
	REAL*8 DB(3,8), BT(8,3), K1(8,8), B(3,8), D(3,3)
        INTEGER debug2
       

        do 5 ii=1,Dof
         do 5 jj=1,Dof
            K(ii,jj)=0.0d0
            Kinter(ii,jj)=0.0d0       
5       continue



        debug2=79    
        OPEN(debug2,FILE='c:\usr\eugenio\XFEMAbaqus\DEBUG\debug2')	

	WRITE(debug2,*) 'Dof=',Dof, 'NNpe=',NNpe,'Ngdl=',Ngdl,'TDP=',TDP
	WRITE(debug2,*)
	WRITE(debug2,*) 'XYe(I,1)=',(XYe(I,1), I=1,Ngdl)
	WRITE(debug2,*) 'XYe(I,2)=',(XYe(I,2), I=1,Ngdl)
	WRITE(debug2,*) 'XYe(I,3)=',(XYe(I,3), I=1,Ngdl)
	WRITE(debug2,*) 'XYe(I,4)=',(XYe(I,4), I=1,Ngdl)
        WRITE(debug2,*)


C         Ajusto a pelo esto, porque Ngdl llega con valor 4	
        Ngdl=Ngdl-2	
        
        Dofverdadero=Dof
        Dof=8
	
	
	CALL CALC_D(TDP,D,E,Nu)

CC	WRITE(debug2,*) (D(1,I), I=1,3)
CC	WRITE(debug2,*) (D(2,I), I=1,3)
CC	WRITE(debug2,*) (D(3,I), I=1,3)

C       Lo que sigue es el nmero de cptes de tensiones y deformaciones
C       (dimensiones de la matriz D)  
	Nte = 3
	
C	INTEGRACIN EN 2x2 PUNTOS DE GAUSS
	NGauss = 2
	Psi(1) = -1.0d0 / DSQRT(3.0d0)
	Psi(2) = 1.0d0 / DSQRT(3.0d0)
	Eta(1) = -1.0d0 / DSQRT(3.0d0)
	Eta(2) = 1.0d0 / DSQRT(3.0d0)
	H(1) = 1.0d0
	H(2) = 1.0d0

	DO 10 I=1,NNpe
		Xe(I) = XYe(1,I)
		Ye(I) = XYe(2,I)
 10	CONTINUE
	DO 20 Ig=1,NGauss
		DO 30 Jg=1,NGauss
			CALL C_B_L4(B,Xe,Ye,Nte,NNpe,Ngdl,Psi(Ig),Eta(Jg))
			CALL C_J_L4(J,dJ,Xe,Ye,NNpe,Ngdl,Psi(Ig),Eta(Jg))
CC			WRITE(debug2,*) Ig, Jg
CC			WRITE(debug2,*) Psi(Ig), Eta(Jg)
CC			WRITE(debug2,*) (B(1,I), I=1,8)
CC			WRITE(debug2,*) (B(2,I), I=1,8)
CC			WRITE(debug2,*) (B(3,I), I=1,8)
CC			WRITE(debug2,*) (J(1,I), I=1,2)
CC			WRITE(debug2,*) (J(2,I), I=1,2)
			CALL MULT_M(DB,D,Nte,Nte,B,Nte,Ngdl*NNpe)
			CALL CALC_BT(B,BT,Nte,Ngdl*NNpe)
			CALL MULT_M(K1,BT,Ngdl*NNpe,Nte,DB,Nte,Ngdl*NNpe)
			DO 40 ii=1,Dof
		           DO 50 jj=1,Dof
			      K(ii,jj) = K(ii,jj) + dJ*H(Ig)*H(Jg)*K1(ii,jj)
                              Kinter(ii,jj)=K(ii,jj)
 50			   CONTINUE
 40			CONTINUE
 30		CONTINUE		
 20   CONTINUE		

	WRITE(debug2,*)
	WRITE(debug2,*) 'K(1,I)=',(K(1,I), I=1,Dof)


C          Modificacin para incluir nuevos gdl en nodo 1 del elemento
C          Primero desplazo lo calculado en la matriz de rigidez para dejar espacio
C             al tercer y cuarto gdl asociados al nodo 1

        Dof=Dofverdadero   
	WRITE(debug2,*) 'La verdadera K con 10 gdl es:'
	WRITE(debug2,*) 'K(1,I)=',(K(1,I), I=1,Dof)



C       Aado ahora las relaciones impuestas con el 9 y 10 gdl para ver si va. 

        K(9,9)=1.0d0
        K(10,10)=-1.0d0 
 
        K(1,9)=1.0d0
        K(1,10)=-1.0d0 
        K(2,9)=1.0d0
        K(2,10)=-1.0d0 
  
        K(9,1)=K(1,9)
        K(10,1)=K(1,10) 
        K(9,2)=K(2,9)
        K(10,2)=K(2,10)

	WRITE(debug2,*) 'La nueva K incluyendo las modificaciones:'
	WRITE(debug2,*) 'K(1,I)=', (K(1,I), I=1,Dof)






        CLOSE(debug2)

	RETURN
	END



C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
COOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C       Matriz de rigidez para un Cuad 4 con el ltimo nodo enrriquecido con Haar
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

	SUBROUTINE K_L4U19(E,Nu,K,Dof,NNpe,XYe,Ngdl,TDP,Haar,NTPG,BenG,                      	
     .           	DBenG,JenG)
	IMPLICIT NONE
	INTEGER Dof, NNpe, Ngdl, TDP, NTPGcont,NTPG,N,M
        REAL*8 E, Nu, Haar
	REAL*8 K(Dof,Dof), K1(Dof,Dof)
        REAL*8  XYe(Ngdl,NNpe)
        
        INTEGER NGauss, I, Ig, Jg, Nte, ii, jj, Ngdlfisicos
        REAL*8 Psi(2), Eta(2), H(2), Xe(NNpe), Ye(NNpe)
	REAL*8 dJ, J(2,2)
	REAL*8 DB(3,Dof), BT(Dof,3), B(3,Dof), D(3,3)
        REAL*8 BenG(3*NTPG,Dof),DBenG(3*NTPG,Dof),JenG(NTPG)
        INTEGER debug2
       

        do 5 ii=1,Dof
         do 5 jj=1,Dof
            K(ii,jj)=0.0d0
            K1(ii,jj)=0.0d0       
5       continue

C       *** gdl que tienen que ver con las coordenadas reales (2D)                
        Ngdlfisicos=2
        

        debug2=79    
      OPEN(debug2,FILE='c:\usr\eugenio\XFEMAbaqus\DEBUG\debug2')	

C23456789012345678901234567890123456789012345678901234567890123456789012
 

	WRITE(debug2,*) 'Dof=',Dof,'NNpe=',NNpe,'Ngdl=',Ngdl,'TDP=',TDP
	WRITE(debug2,*)
	WRITE(debug2,*) 'XYe(I,1)=',(XYe(I,1), I=1,Ngdl)
	WRITE(debug2,*) 'XYe(I,2)=',(XYe(I,2), I=1,Ngdl)
	WRITE(debug2,*) 'XYe(I,3)=',(XYe(I,3), I=1,Ngdl)
	WRITE(debug2,*) 'XYe(I,4)=',(XYe(I,4), I=1,Ngdl)
        WRITE(debug2,*)


        
	
	CALL CALC_D(TDP,D,E,Nu)

CC	WRITE(debug2,*) (D(1,I), I=1,3)
CC	WRITE(debug2,*) (D(2,I), I=1,3)
CC	WRITE(debug2,*) (D(3,I), I=1,3)

C       Lo que sigue es el nmero de cptes de tensiones y deformaciones
C       (dimensiones de la matriz D)  
	Nte = 3
	
C	INTEGRACIN EN 2x2 PUNTOS DE GAUSS
	NGauss = 2
	Psi(1) = -1.0d0 / DSQRT(3.0d0)
	Psi(2) = 1.0d0 / DSQRT(3.0d0)
	Eta(1) = -1.0d0 / DSQRT(3.0d0)
	Eta(2) = 1.0d0 / DSQRT(3.0d0)
	H(1) = 1.0d0
	H(2) = 1.0d0

	DO 10 I=1,NNpe
		Xe(I) = XYe(1,I)
		Ye(I) = XYe(2,I)
 10	CONTINUE

        NTPGcont=1

	DO 20 Ig=1,NGauss
		DO 30 Jg=1,NGauss
			CALL C_B_L4U1(B,Xe,Ye,Nte,Dof,NNpe,Ngdlfisicos,
     .           			Psi(Ig),Eta(Jg),Haar)
			CALL C_J_L4U1(J,dJ,Xe,Ye,NNpe,Ngdl,Ngdlfisicos,
     .                          	Psi(Ig),Eta(Jg))
CC			WRITE(debug2,*) Ig, Jg
CC			WRITE(debug2,*) Psi(Ig), Eta(Jg)
CC			WRITE(debug2,1001) (B(1,I), I=1,Dof)
CC			WRITE(debug2,1001) (B(2,I), I=1,Dof)
CC			WRITE(debug2,1001) (B(3,I), I=1,Dof)
CC			WRITE(debug2,1001) (J(1,I), I=1,Ngdlfisicos)
CC			WRITE(debug2,1001) (J(2,I), I=1,Ngdlfisicos)
			CALL MULT_M(DB,D,Nte,Nte,B,Nte,Dof)
C                  Almaceno en puntos de Gauss para ms tarde calcular eps y sig
			JenG(NTPGcont)=dJ
                        DO 205 M=1,3
                          DO 205 N=1,Dof
                            BenG(3*(NTPGcont-1)+M,N)=B(M,N)
                            DBenG(3*(NTPGcont-1)+M,N)=DB(M,N) 
205                     CONTINUE
                        NTPGcont=NTPGcont+1		
			CALL CALC_BT(B,BT,Nte,Dof)
			CALL MULT_M(K1,BT,Dof,Nte,DB,Nte,Dof)
			DO 40 ii=1,Dof
		           DO 50 jj=1,Dof
			      K(ii,jj) = K(ii,jj) + dJ*H(Ig)*H(Jg)*K1(ii,jj)
 50			   CONTINUE
 40			CONTINUE
 30		CONTINUE		
 20   CONTINUE		

	WRITE(debug2,*)
	WRITE(debug2,*) 'K(1,I)=',(K(1,I), I=1,Dof)
	WRITE(debug2,*) 'K(2,I)=',(K(2,I), I=1,Dof)
	WRITE(debug2,*) 'K(3,I)=',(K(3,I), I=1,Dof)
	WRITE(debug2,*) 'K(4,I)=',(K(4,I), I=1,Dof)

        CLOSE(debug2)

1001    format(10E12.5)

	RETURN
	END





CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
	SUBROUTINE SVARS_L4U19(SVARS,NSVARS,U,Dof,BenG,DBenG,JenG,NTPG)
	IMPLICIT NONE
	INTEGER NSVARS, Dof, NTPG
	REAL*8  SVARS(NSVARS), U(Dof),BenG(3*NTPG,Dof),DBenG(3*NTPG,Dof)
        REAL*8  JenG(NTPG),B(3,Dof),DB(3,Dof),Bdvdx(3,Dof)
        REAL*8  EPS(3),SIG(3),W,dvdx(3),JAC
C
        INTEGER i,j,k
C       ------------------------------------------------------------

        DO 10 i=1,NTPG
           JAC=JenG(i)
           DO 20 k=1,3
             DO 20 j=1,Dof    
               B(k,j)=BenG(3*(i-1)+k,j)
               Bdvdx(k,j)=B(k,j)
               DB(k,j)=DBenG(3*(i-1)+k,j) 
20         CONTINUE
           CALL MULT_V(B,3,Dof,U,EPS,3)
           CALL MULT_V(DB,3,Dof,U,SIG,3)
           W=0.5d0*(EPS(1)*SIG(1)+EPS(2)*SIG(2)+EPS(3)*SIG(3))

C          Para el clculo de dv/dx
           Bdvdx(3,1)=0.0d0
           Bdvdx(3,3)=0.0d0
           Bdvdx(3,5)=0.0d0
           Bdvdx(3,7)=0.0d0
           Bdvdx(3,9)=0.0d0
           CALL MULT_V(Bdvdx,3,Dof,U,dvdx,3)                                 
C                (slo vale la tercera componente)

C          Escritura en SVARS
           SVARS(17*(i-1)+1)=EPS(1)
           SVARS(17*(i-1)+2)=EPS(2)
           SVARS(17*(i-1)+3)=EPS(3)
           SVARS(17*(i-1)+4)=SIG(1)
           SVARS(17*(i-1)+5)=SIG(2)
           SVARS(17*(i-1)+6)=SIG(3)
           SVARS(17*(i-1)+7)=W
           SVARS(17*(i-1)+8)=dvdx(3)
           SVARS(17*(i-1)+9)=JAC
C          Guardo tambin las derivadas de N  (dN/dx, dN/dy) para calcular luego dq/dx, dq/dy
C                    (slo interesan las que estn sin enriquecer)
           SVARS(17*(i-1)+10)=B(1,1)
           SVARS(17*(i-1)+11)=B(1,3)
           SVARS(17*(i-1)+12)=B(1,5)
           SVARS(17*(i-1)+13)=B(1,7)
           SVARS(17*(i-1)+14)=B(2,2)
           SVARS(17*(i-1)+15)=B(2,4)
           SVARS(17*(i-1)+16)=B(2,6)
           SVARS(17*(i-1)+17)=B(2,8)

           
10      CONTINUE


        RETURN
	END






C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
COOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C       Matriz de rigidez para un Cuad 4 con los 2 ltimos nodos enriquecidos con Haar
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

	SUBROUTINE K_L4U1(E,Nu,K,Dof,NNpe,XYe,Ngdl,TDP,Haar,NTPG,BenG,
     .           	DBenG,JenG)
	IMPLICIT NONE
	INTEGER Dof, NNpe, Ngdl, TDP, NTPGcont,N,M,NTPG
        REAL*8 E, Nu, Haar
	REAL*8 K(Dof,Dof), K1(Dof,Dof)
        REAL*8  XYe(Ngdl,NNpe)
        
        INTEGER NGauss, I, Ig, Jg, Nte, ii, jj, Ngdlfisicos
        REAL*8 Psi(2), Eta(2), H(2), Xe(NNpe), Ye(NNpe)
	REAL*8 dJ, J(2,2)
	REAL*8 DB(3,Dof), BT(Dof,3), B(3,Dof), D(3,3)
        REAL*8 BenG(3*NTPG,Dof),DBenG(3*NTPG,Dof),JenG(NTPG)
        INTEGER debug82
       

        do 5 ii=1,Dof
         do 5 jj=1,Dof
            K(ii,jj)=0.0d0
            K1(ii,jj)=0.0d0       
5       continue

C       *** gdl que tienen que ver con las coordenadas reales (2D)                
        Ngdlfisicos=2
        

        debug82=82    
       OPEN(debug82,FILE='c:\usr\eugenio\XFEMAbaqus\DEBUG\debug82')	

C23456789012345678901234567890123456789012345678901234567890123456789012


	WRITE(debug82,*) 'Dof=',Dof,'NNpe=',NNpe,'Ngdl=',Ngdl,'TDP=',TDP
	WRITE(debug82,*)
	WRITE(debug82,*) 'XYe(I,1)=',(XYe(I,1), I=1,Ngdl)
	WRITE(debug82,*) 'XYe(I,2)=',(XYe(I,2), I=1,Ngdl)
	WRITE(debug82,*) 'XYe(I,3)=',(XYe(I,3), I=1,Ngdl)
	WRITE(debug82,*) 'XYe(I,4)=',(XYe(I,4), I=1,Ngdl)
        WRITE(debug82,*)


        
	
	CALL CALC_D(TDP,D,E,Nu)

CC	WRITE(debug82,*) (D(1,I), I=1,3)
CC	WRITE(debug82,*) (D(2,I), I=1,3)
CC	WRITE(debug82,*) (D(3,I), I=1,3)

C       Lo que sigue es el nmero de cptes de tensiones y deformaciones
C       (dimensiones de la matriz D)  
	Nte = 3
	
C	INTEGRACIN EN 2x2 PUNTOS DE GAUSS
	NGauss = 2
	Psi(1) = -1.0d0 / DSQRT(3.0d0)
	Psi(2) = 1.0d0 / DSQRT(3.0d0)
	Eta(1) = -1.0d0 / DSQRT(3.0d0)
	Eta(2) = 1.0d0 / DSQRT(3.0d0)
	H(1) = 1.0d0
	H(2) = 1.0d0

	DO 10 I=1,NNpe
		Xe(I) = XYe(1,I)
		Ye(I) = XYe(2,I)
 10	CONTINUE
 
        NTPGcont=1
 
	DO 20 Ig=1,NGauss
		DO 30 Jg=1,NGauss
			CALL C_B_L4U2(B,Xe,Ye,Nte,Dof,NNpe,Ngdlfisicos,
     .           			Psi(Ig),Eta(Jg),Haar)
			CALL C_J_L4U1(J,dJ,Xe,Ye,NNpe,Ngdl,Ngdlfisicos,
     .                          	Psi(Ig),Eta(Jg))
CC			WRITE(debug82,*) Ig, Jg
CC			WRITE(debug82,*) Psi(Ig), Eta(Jg)
CC			WRITE(debug82,1001) (B(1,I), I=1,Dof)
CC			WRITE(debug82,1001) (B(2,I), I=1,Dof)
CC			WRITE(debug82,1001) (B(3,I), I=1,Dof)
CC			WRITE(debug82,1001) (J(1,I), I=1,Ngdlfisicos)
CC			WRITE(debug82,1001) (J(2,I), I=1,Ngdlfisicos)
			CALL MULT_M(DB,D,Nte,Nte,B,Nte,Dof)	
C                  Almaceno en puntos de Gauss para ms tarde calcular eps y sig
			JenG(NTPGcont)=dJ
                        DO 205 M=1,3
                          DO 205 N=1,Dof
                            BenG(3*(NTPGcont-1)+M,N)=B(M,N)
                            DBenG(3*(NTPGcont-1)+M,N)=DB(M,N) 
205                     CONTINUE
                        NTPGcont=NTPGcont+1
			CALL CALC_BT(B,BT,Nte,Dof)
			CALL MULT_M(K1,BT,Dof,Nte,DB,Nte,Dof)
			DO 40 ii=1,Dof
		           DO 50 jj=1,Dof
			      K(ii,jj) = K(ii,jj) + dJ*H(Ig)*H(Jg)*K1(ii,jj)
 50			   CONTINUE
 40			CONTINUE
 30		CONTINUE		
 20   CONTINUE		

	WRITE(debug82,*)
	WRITE(debug82,*) 'K(1,I)=',(K(1,I), I=1,Dof)
	WRITE(debug82,*) 'K(2,I)=',(K(2,I), I=1,Dof)
	WRITE(debug82,*) 'K(3,I)=',(K(3,I), I=1,Dof)
	WRITE(debug82,*) 'K(4,I)=',(K(4,I), I=1,Dof)

        CLOSE(debug82)

1001    format(10E12.5)

	RETURN
	END



CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
	SUBROUTINE SVARS_L4U1(SVARS,NSVARS,U,Dof,BenG,DBenG,JenG,NTPG)
	IMPLICIT NONE
	INTEGER NSVARS, Dof, NTPG
	REAL*8  SVARS(NSVARS), U(Dof),BenG(3*NTPG,Dof),DBenG(3*NTPG,Dof)
        REAL*8  JenG(NTPG),B(3,Dof),DB(3,Dof),Bdvdx(3,Dof)
        REAL*8  EPS(3),SIG(3),W,dvdx(3),JAC
C
        INTEGER i,j,k
C       ------------------------------------------------------------

        DO 10 i=1,NTPG
           JAC=JenG(i)
           DO 20 k=1,3
             DO 20 j=1,Dof    
               B(k,j)=BenG(3*(i-1)+k,j)
               Bdvdx(k,j)=B(k,j)
               DB(k,j)=DBenG(3*(i-1)+k,j) 
20         CONTINUE
           CALL MULT_V(B,3,Dof,U,EPS,3)
           CALL MULT_V(DB,3,Dof,U,SIG,3)
           W=0.5d0*(EPS(1)*SIG(1)+EPS(2)*SIG(2)+EPS(3)*SIG(3))

C          Para el clculo de dv/dx
           Bdvdx(3,1)=0.0d0
           Bdvdx(3,3)=0.0d0
           Bdvdx(3,5)=0.0d0
           Bdvdx(3,7)=0.0d0
           Bdvdx(3,9)=0.0d0
           Bdvdx(3,11)=0.0d0
           CALL MULT_V(Bdvdx,3,Dof,U,dvdx,3)                                 
C                (slo vale la tercera componente)

C          Escritura en SVARS
           SVARS(17*(i-1)+1)=EPS(1)
           SVARS(17*(i-1)+2)=EPS(2)
           SVARS(17*(i-1)+3)=EPS(3)
           SVARS(17*(i-1)+4)=SIG(1)
           SVARS(17*(i-1)+5)=SIG(2)
           SVARS(17*(i-1)+6)=SIG(3)
           SVARS(17*(i-1)+7)=W
           SVARS(17*(i-1)+8)=dvdx(3)
           SVARS(17*(i-1)+9)=JAC
C          Guardo tambin las derivadas de N  (dN/dx, dN/dy) para calcular luego dq/dx, dq/dy
C                    (slo interesan las que estn sin enriquecer)
           SVARS(17*(i-1)+10)=B(1,1)
           SVARS(17*(i-1)+11)=B(1,3)
           SVARS(17*(i-1)+12)=B(1,5)
           SVARS(17*(i-1)+13)=B(1,9)
           SVARS(17*(i-1)+14)=B(2,2)
           SVARS(17*(i-1)+15)=B(2,4)
           SVARS(17*(i-1)+16)=B(2,6)
           SVARS(17*(i-1)+17)=B(2,10)

           
10      CONTINUE


        RETURN
	END





C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
COOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
C&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                         C
C   Contiene subrutinas de calculo utilizadas por         C
C   todos los elementos                                   C
C                                                         C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE CALC_D(TDP,D,E,nu)
      IMPLICIT NONE
      INTEGER TDP
      REAL*8 D(3,3), E, nu
C 
      IF (TDP.EQ.1) THEN
C         Tension plana
          D(1,1) = 1.0d0*E/(1.0d0-nu*nu)
          D(1,2) = nu*E/(1.0d0-nu*nu)
          D(1,3) = 0.0d0
          D(2,1) = nu*E/(1.0d0-nu*nu)
          D(2,2) = 1.0d0*E/(1.0d0-nu*nu)
          D(2,3) = 0.0d0
          D(3,1) = 0.0d0
          D(3,2) = 0.0d0
          D(3,3) = E/((1.0d0+nu)*2.0d0)
      ELSEIF (TDP.EQ.2) THEN
C         Deformacion plana
          D(1,1) = (1.0d0-nu)*E/((1.0d0-2.0d0*nu)*(1.0d0+nu))
          D(1,2) = nu*E/((1.0d0-2.0d0*nu)*(1.0d0+nu))
          D(1,3) = 0.0d0
          D(2,1) = nu*E/((1.0d0-2.0d0*nu)*(1.0d0+nu))
          D(2,2) = (1.0d0-nu)*E/((1.0d0-2.0d0*nu)*(1.0d0+nu))
          D(2,3) = 0.0d0
          D(3,1) = 0.0d0
          D(3,2) = 0.0d0
          D(3,3) = E/((1.0d0+nu)*2.0d0)
      END IF
      END
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE CALC_C(TDP,D,E,nu)
      IMPLICIT NONE
      INTEGER TDP
      REAL*8 D(3,3), E, nu

      IF (TDP.EQ.1) THEN
          D(1,1) = 1.0d0/E
          D(1,2) = -nu/E
          D(1,3) = 0.0d0
          D(2,1) = -nu/E
          D(2,2) = 1.0d0/E
          D(2,3) = 0.0d0
          D(3,1) = 0.0d0
          D(3,2) = 0.0d0
          D(3,3) = 2.0d0*(1.0d0+nu)/E
      ELSEIF (TDP.EQ.2) THEN
          D(1,1) = (1.0d0-nu*nu)/E
          D(1,2) = -nu*(1.0d0+nu)/E
          D(1,3) = 0.0d0
          D(2,1) = -nu*(1.0d0+nu)/E
          D(2,2) = (1.0d0-nu*nu)/E
          D(2,3) = 0.0d0
          D(3,1) = 0.0d0
          D(3,2) = 0.0d0
          D(3,3) = 2.0d0*(1.0d0+nu)/E
      END IF
      RETURN
      END    
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE MULT_M(S,A,FA,CA,B,FB,CB)
      INTEGER FA, FB, CA, CB
      REAL*8 S(FA,CB), A(FA,CA), B(FB, CB)
      INTEGER I, J, K
      DO 10 I=1,FA
          DO 11 J=1,CB
              S(I,J) = 0.0D0
              DO 12 K=1,CA
                  S(I,J) = S(I,J) + A(I,K)*B(K,J)
 12           CONTINUE
 11       CONTINUE
 10   CONTINUE
      RETURN
      END                        
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE MULT_V(A,FA,CA,B,S,MS)
      INTEGER FA, CA
      REAL*8 S(MS), A(FA,CA), B(CA)
      INTEGER I, K
      DO 10 I=1,FA
          S(I) = 0.0D0
          DO 12 K=1,CA
              S(I) = S(I) + A(I,K)*B(K)
 12       CONTINUE
 10   CONTINUE
      RETURN
      END                        
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE INV_J(J,Ngdl)
      INTEGER Ngdl
      REAL*8 J(Ngdl,Ngdl)
C
      REAL*8 V, Det
      IF (Ngdl.EQ.2) THEN
          Det = J(1,1)*J(2,2) - J(2,1)*J(1,2)
          V = J(1,1)/Det
          J(1,1) = J(2,2)/Det
          J(2,2) = V
          J(1,2) = -J(1,2)/Det
          J(2,1) = -J(2,1)/Det
      END IF
      RETURN
      END
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE CALC_BT(B,BT,NF,NC)	
      IMPLICIT NONE
C     Subrutina de calculo de la matriz transpuesta
C
      INTEGER NF, NC
      REAL*8 B(NF,NC), BT(NC,NF)
      INTEGER I, J
C
      DO 10 I=1,NC
          DO 20 J=1,NF
              BT(I,J) = B(J,I)
 20       CONTINUE
 10   CONTINUE
      RETURN
      END
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE inicializaM(M,A,B)	
      IMPLICIT NONE
C     Inicializa matriz
C
      integer A,B,I,J
	Real*8 M(A,B)
      
      DO  I=1,A
         DO  J=1,B
              M(I,J) = 0.0D0 
	   end do	     
      end do
       
	
	RETURN
      END

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
      SUBROUTINE inicializaV(V,A)	
      IMPLICIT NONE
C     Inicializa vector
C
      integer A,I
      Real*8 V(A)

      DO  I=1,A
         V(I) = 0.0D0      
      end do
       
	
	RETURN
      END

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C

      subroutine int2d_X(n,NelmX,ElemGG,MCRD,nel,COORDS,orderC,NPG,XYG,
     *                	lint,sg,Xe,Ye,flag,mpg,xypg)

c-----[--.----+----.----+----.-----------------------------------------]

c     Purpose: Calcular el nmero, coordenadas locales y pesos de los puntos de Gauss.
c		     Distingue entre subdivisin por tringulos y cuadrilteros 
c     --------------------------------------

c      Inputs:

c			ElemGG		Matriz de caracterizacin de elementos X
c			n			Nmero del elemento actual
c			COORDS(MCRD,nel)	Coordenadas Nodales del elemento:  hr(np(44))
c			l			Orden de cuadratura para cada direcc en cuadr (orderC)
c                          y definido en UEL property
c			numpgt		Orden de cuadratura para tringulos (orderC) y definido en UEL property
c			numpgc   	Orden de cuadratura para cada direcc en cuadr (orderC)
c                          y definido en UEL property para elementos tipo 4

c			XYG(NPG,2)	Coordenadas de los puntos de Grieta	
c 		    nel         nm. de nodos del elemento (en principio 4 para cuadrilat)
						
c      Outputs:			
C             l     orden de cuadratura (n ptos en cada direccin en cuadril)
c                   OJO, slo para los elementos cuadrilteros XFEM no intersectados
c			lint		Nmero de Puntos de Gauss
c			sg(3,*)		Coordenadas y pesos
c			Xe(8)		Vector de coordenadas nodales x para el elemento
c			Ye(8)		Vector de coordenadas nodales y para el elemento
c						(Se utilizan duplicados para facilitar los contadores
c						 en el salto del cuarto nodo al primero)
c			flag        Indicador de que el elemento se ha subdividido
c						para integracin (si flag=1)
c             mpg         Nmero mximo de ptos de Gauss esperado (de momento, mpg=50)
c             xypg        Coordenadas globales de los puntos de Gauss 

c-----[--.----+----.----+----.-----------------------------------------]

      implicit  none

c     include  'comblk.h'
c 	include  'eldata.h'
c 	include  'xfem2d.h'
c     include  'iofile.h'

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2
	
c	logical esx
	integer i,j,k,l,m,NumSub,lint,flag,NelmX,NPG,nel,n,MCRD,mpg
	integer numpgt,numpgc,orderC(3)
	real*8  ElemGG(NelmX,8),ElemGGe(8),COORDS(MCRD,nel),XYG(NPG,2),
     &    	XYG0(2),xpg,ypg,
     &		Xe(8),Ye(8),SubXe(10,4),SubYe(10,4),sg(3,*),sgt(:,:),s,t,
     &		Ni(4),Area,dNl(4,2),Jac(2,2),sgc(:,:),xypg(2,mpg)
	allocatable :: sgt,sgc


c     Paso a los nombres de las variables locales para los rdenes de integreacin
      
	l=orderC(1)
      numpgt=orderC(2)
	numpgc=orderC(3)

c	Inicializacion de variables
	
	flag=0

      do i=1,2
	  do j=1,mpg
	    xypg(i,j)=0.0d0
        end do
	end do

c	Elemento estndar
c	if (.not.esx) then
c		call int2d(l,lint,sg)
c		return
c	endif

c	Lectura de caractersticas del elemento actual de ElemGG
c     Notar que ElemGGe es con tipo enteros           
c
	do i=1,NelmX
		if (int(ElemGG(i,1)).eq.n)then
			ElemGGe=ElemGG(i,:)
	        exit
		end if
	end do
	
      write(dfich2,*) 'N elem=',n,'   ElemGGe(1)=',ElemGGe(1)
      write(dfich2,*) '                ElemGGe(2)=',ElemGGe(2)


c	Coordenadas del Extremo de Grieta	
	XYG0=XYG(NPG,1:2)

c	Vectores duplicados de coordenadas nodales
			
	do j=0,1
		do i=1,4
		Xe(i+4*j)=COORDS(1,i)
		Ye(i+4*j)=COORDS(2,i)
		end do
	end do

c     write(dfich2,*)  'En xint2D_X:'
c	write(dfich2,*)
c	write(dfich2,*) 'Xe(i)=', (Xe(i),i=1,8)
c	write(dfich2,*)
c	write(dfich2,*) 'Ye(i)=', (Ye(i),i=1,8)
c	write(dfich2,*)
	

c	Se distinguen 3 posibilidades para el clculo de los PGauss:
c	 Divisin por tringulos, por cuadrilteros o integrar el elemento completo	

c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc    
c	Elementos no intersectados (ElemX con parte entera tipo 1 o -1)
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc    


	if (ElemGGe(2).le.1) then

		call int2d(l,lint,sg,nel) !Cuadratura de orderC x orderC = lxl, en p,5x5

c          -- coordenadas x,y  globales de punto de gauss
		do i= 1,lint
c				  --- Funciones de forma
				  Ni(1)= (1-sg(1,i))*(1-sg(2,i))/4
				  Ni(2)= (1+sg(1,i))*(1-sg(2,i))/4
				  Ni(3)= (1+sg(1,i))*(1+sg(2,i))/4
				  Ni(4)= (1-sg(1,i))*(1+sg(2,i))/4

c                   -- coordenadas x,y  globales de punto de gauss
				  xpg= dot_product(Ni,Xe(1:4))
		          ypg= dot_product(Ni,Ye(1:4))

		          xypg(1,i)=xpg
                    xypg(2,i)=ypg
           end do



c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc    
c	Elementos con tringulos.
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc    


c	(El dominio del elemento se subdivide en tringulos alineados con la 
c	 geometra de la grieta sobre los cuales se calculan las coordenadas  
c	 y pesos de los puntos de Gauss)

	elseif (ElemGGe(2).ne.4)then ! Entonces la subdivisin es a base de tringulos

		flag=1

c		Nmero de puntos de integracin en cada tringulo
c		numpg=-3 !Cuadratura de 3 puntos interiores
c		numpg=7  !Cuadratura de 7 puntos interiores
c		numpg=12 !Cuadratura de 12 puntos interiores

		allocate(sgt(4,abs(numpgt)))

		call tint2d(numpgt,lint,sgt) 

c		Dividir el elemento
		call subelem(ElemGGe,Xe,Ye,XYG0(1),XYG0(2),NumSub,SubXe,
     &                 SubYe,n,nel)

c         Coordenadas globales y locales  de punto de gauss
		do j=1,NumSub
            do i=1,lint
c			--- coordenadas x, y globales de punto de gauss
		    xpg= dot_product(sgt(1:3,i),SubXe(j,1:3))
              ypg= dot_product(sgt(1:3,i),SubYe(j,1:3))		
		    
	        xypg(1,lint*(j-1)+i)=xpg
		    xypg(2,lint*(j-1)+i)=ypg

c		    --- Area del subelemento			  
		    Area= (SubXe(j,2)*SubYe(j,3)+SubXe(j,1)*SubYe(j,2)+
     &		       SubYe(j,1)*SubXe(j,3)-SubYe(j,1)*SubXe(j,2)-
     &               SubXe(j,1)*SubYe(j,3)-SubYe(j,2)*SubXe(j,3))/2.0d0
			

c		    -- coordenadas s,t locales al elemento de pg 
              call invcuad4(Xe(1:4),Ye(1:4),xpg,ypg,s,t,Ni)
		    sg(1,(i+(j-1)*lint))=s
		    sg(2,(i+(j-1)*lint))=t
		    sg(3,(i+(j-1)*lint))=sgt(4,i)*Area

		  end do !i
	    end do !j

c		Nmero de puntos de integracin
	    lint=NumSub*lint


c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc    
c	Elementos subdivididos con cuadrilteros (tipo 4)
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc    

c	(El dominio del elemento se subdivide en dos cuadrilteros alineados con la 
c	 geometra de la grieta sobre los cuales se calculan las coordenadas  
c	 y pesos de los puntos de Gauss)

	elseif (ElemGGe(2).eq.4)then

		flag=1

c		Orden de la cuadratura (puntos de gauss en 1d)
c		numpg=l !La estndar de FEAP
c		numpg=5 !Cuadratura de 5x5
          

		allocate(sgc(3,numpgc*numpgc))

      	call int2d(numpgc,lint,sgc,nel)

	    if (lint.gt.numpgc*numpgc) then
	      write(dfich2,*)
	      write(dfich2,*) '*ERROR* El nmero de columnas de sgc ',
     &                   'en int2d_X.f debe aumentarse a ', lint
	      stop
	    endif

c		Dividir el elemento
		call subelem(ElemGGe,Xe,Ye,XYG0(1),XYG0(2),NumSub,SubXe
     &		,SubYe,n,nel)

c          -- coordenadas x,y  globales de punto de gauss
		do j= 1,NumSub
			do i= 1,lint

c				  --- Funciones de forma
				  Ni(1)= (1-sgc(1,i))*(1-sgc(2,i))/4;
				  Ni(2)= (1+sgc(1,i))*(1-sgc(2,i))/4;
				  Ni(3)= (1+sgc(1,i))*(1+sgc(2,i))/4;
				  Ni(4)= (1-sgc(1,i))*(1+sgc(2,i))/4;

				  dNl(1,1)= -(1-sgc(2,i))/4;
				  dNl(1,2)= -(1-sgc(1,i))/4;
				  dNl(2,1)=  (1-sgc(2,i))/4;
				  dNl(2,2)= -(1+sgc(1,i))/4;
				  dNl(3,1)=  (1+sgc(2,i))/4;
				  dNl(3,2)=  (1+sgc(1,i))/4;
				  dNl(4,1)= -(1+sgc(2,i))/4;
				  dNl(4,2)=  (1-sgc(1,i))/4;

c			      --- Matriz Jacobiana
				  do k= 1,2
					  Jac(k,1)= 0.0;
					  Jac(k,2)= 0.0;
					  do m= 1,nel
						  Jac(k,1)= Jac(k,1) + dNl(m,k)*SubXe(j,m);
						  Jac(k,2)= Jac(k,2) + dNl(m,k)*SubYe(j,m);
					  end do
				  end do
				  
				  Area=Jac(1,1)*Jac(2,2)-Jac(1,2)*Jac(2,1)

c                   -- coordenadas x,y  globales de punto de gauss
				  xpg= dot_product(Ni,SubXe(j,1:4));
		          ypg= dot_product(Ni,SubYe(j,1:4));

		          xypg(1,lint*(j-1)+i)=xpg
                    xypg(2,lint*(j-1)+i)=ypg

				
c				  -- coordenadas s,t locales al elemento de pg
				  call invcuad4(Xe(1:4),Ye(1:4),xpg,ypg,s,t,Ni)

				  sg(1,(i+(j-1)*lint))=s
			   	  sg(2,(i+(j-1)*lint))=t
				  sg(3,(i+(j-1)*lint))=sgc(3,i)*Area

		    end do  !i
	    end do !j

c		Nmero de puntos de integracin
		lint=NumSub*lint

			
	end if

      if (lint.gt.mpg) then
	    write(dfich2,*) '*ERROR* El parmetro mpg=',mpg,
     &                   '  debe aumentarse a mpg=',lint
	    stop
      end if


	return
	end

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C

      subroutine int2d(l,lint,sg,nel)


c-----[--.----+----.----+----.-----------------------------------------]
c      Purpose: Form Gauss points and weights for two dimensions

c      Inputs:
c         l       - Number of points/direction
c         nel     - num. de nodos en el elemento      

c      Outputs:
c         lint    - Total number of points
c         sg(3,*) - Array of points and weights
c-----[--.----+----.----+----.-----------------------------------------]
      implicit  none

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


c      include  'eldata.h'
c      include  'iofile.h'

      integer   i,j,k,l,lint, lr(9),lz(9),lw(9),nel
      real*8    g,h, third, sg(3,*),ss(5),ww(5)

      save

      data      lr/-1,1,1,-1,0,1,0,-1,0/,lz/-1,-1,1,1,-1,0,1,0,0/
      data      lw/4*25,4*40,64/
      data      third / 0.3333333333333333d0 /

c     Set number of total points

      lint = l*l

c     5 pt. integration

      if(l.eq.0) then

        lint = 5
        g    = sqrt(0.6d0)
        do i = 1,4
          sg(1,i) = g*lr(i)
          sg(2,i) = g*lz(i)
          sg(3,i) = 5.d0/9.d0
        end do ! i

        sg(1,5) = 0.0d0
        sg(2,5) = 0.0d0
        sg(3,5) = 16.d0/9.d0

c     1x1 integration

      elseif(l.eq.1) then
        sg(1,1) = 0.d0
        sg(2,1) = 0.d0
        if(nel.eq.3) sg(2,1) = -third
        sg(3,1) = 4.d0

c     2x2 integration

      elseif(l.eq.2) then
        g = sqrt(third)
        do i = 1,4
          sg(1,i) = g*lr(i)
          sg(2,i) = g*lz(i)
          sg(3,i) = 1.d0
        end do ! i

c     3x3 integration

      elseif(l.eq.3) then
        g = sqrt(0.6d0)
        h = 1.d0/81.d0
        do i = 1,9
          sg(1,i) = g*lr(i)
          sg(2,i) = g*lz(i)
          sg(3,i) = h*lw(i)
        end do ! i

c     4x4 integration

      elseif(l.eq.4) then
        g     = sqrt(4.8d0)
        h     = third/g
        ss(1) = sqrt((3.d0+g)/7.d0)
        ss(4) = - ss(1)
        ss(2) = sqrt((3.d0-g)/7.d0)
        ss(3) = -ss(2)
        ww(1) = 0.5d0 - h
        ww(2) = 0.5d0 + h
        ww(3) = 0.5d0 + h
        ww(4) = 0.5d0 - h
        i = 0
        do j = 1,4
          do k = 1,4
            i = i + 1
            sg(1,i) = ss(k)
            sg(2,i) = ss(j)
            sg(3,i) = ww(j)*ww(k)
          end do ! k
        end do ! i

c     5x5 integration

      elseif(l.eq.5) then

        g     =  sqrt(1120.d0)
        ss(1) =  sqrt((70.d0 + g)/126.d0)
        ss(2) =  sqrt((70.d0 - g)/126.d0)
        ss(3) =  0.0d0
        ss(4) = -ss(2)
        ss(5) = -ss(1)

        ww(1) =  (21.d0*g + 117.6d0)/(g*(70.d0 + g))
        ww(2) =  (21.d0*g - 117.6d0)/(g*(70.d0 - g))
        ww(3) =  2.d0*(1.d0 - ww(1) - ww(2))
        ww(4) =  ww(2)
        ww(5) =  ww(1)

        i = 0
        do j = 1,5
          do k = 1,5
            i = i + 1
            sg(1,i) = ss(k)
            sg(2,i) = ss(j)
            sg(3,i) = ww(j)*ww(k)
          end do ! k
        end do ! j

c     Error

      else
        write(dfich2,2000) l
        stop    
      endif

c     Format

2000  format(' *ERROR* INT2D: Illegal quadrature order =',i16)
      
	return
      end


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
C
      subroutine tint2d(l,lint,el)


c-----[--.----+----.----+----.-----------------------------------------]
c      Purpose: Set gauss points and weights for triangular elements

c      Inputs:
c         l       - Number of gauss points indicator

c      Outputs:
c         lint    - Total number of points
c         el(4,*) - Area coordinate points and weights for quadrature
c-----[--.----+----.----+----.-----------------------------------------]
      implicit  none

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


      integer   l, lint,i,j
      real*8    el(4,*), r0,r1,r2, ww, eta
      real*8    Lpt(73,3),W(73)
 

      save

      data ww, eta / 0.3333333333333333d0 , 0.1666666666666667d0 /

c     1-point gauss integration

      if(l.eq.1) then
        el(1,1) = ww
        el(2,1) = ww
        el(3,1) = ww
        el(4,1) = 1.d0
        lint    = 1

c     3-point integration: mid-edge points

      elseif(l.eq.3) then
        el(1,1) = 0.d0
        el(2,1) = 0.5d0
        el(3,1) = 0.5d0
        el(4,1) = ww

        el(1,2) = 0.5d0
        el(2,2) = 0.d0
        el(3,2) = 0.5d0
        el(4,2) = ww

        el(1,3) = 0.5d0
        el(2,3) = 0.5d0
        el(3,3) = 0.d0
        el(4,3) = ww

        lint    = 3

c     3-point integration: interior points

      elseif(l.eq.-3) then

        el(1,1) = 1.0d0 - ww
        el(2,1) = eta
        el(3,1) = eta
        el(4,1) = ww

        el(1,2) = eta
        el(2,2) = 1.0d0 - ww
        el(3,2) = eta
        el(4,2) = ww

        el(1,3) = eta
        el(2,3) = eta
        el(3,3) = 1.0d0 - ww
        el(4,3) = ww

        lint    = 3

c     4-point gauss integration: NOT RECOMMENDED DUE TO NEGATIVE WEIGHT

      elseif(l.eq.4) then
        el(1,1) =  ww
        el(2,1) =  ww
        el(3,1) =  ww
        el(4,1) = -27.d0/48.d0

        el(1,2) =  0.6d0
        el(2,2) =  0.2d0
        el(3,2) =  0.2d0
        el(4,2) =  25.d0/48.d0

        el(1,3) =  0.2d0
        el(2,3) =  0.6d0
        el(3,3) =  0.2d0
        el(4,3) =  el(4,2)

        el(1,4) =  0.2d0
        el(2,4) =  0.2d0
        el(3,4) =  0.6d0
        el(4,4) =  el(4,2)

        lint    =  4

c     6-point nodal integration

      elseif(l.eq.6) then

        el(1,1) =  1.0d0
        el(2,1) =  0.0d0
        el(3,1) =  0.0d0
        el(4,1) =  eta

        el(1,2) =  0.0d0
        el(2,2) =  1.0d0
        el(3,2) =  0.0d0
        el(4,2) =  eta

        el(1,3) =  0.0d0
        el(2,3) =  0.0d0
        el(3,3) =  1.0d0
        el(4,3) =  eta

        el(1,4) =  0.5d0
        el(2,4) =  0.5d0
        el(3,4) =  0.0d0
        el(4,4) =  eta

        el(1,5) =  0.0d0
        el(2,5) =  0.5d0
        el(3,5) =  0.5d0
        el(4,5) =  eta

        el(1,6) =  0.5d0
        el(2,6) =  0.0d0
        el(3,6) =  0.5d0
        el(4,6) =  eta

        lint    =  6

c     6-point order 4 formula

      elseif(l.eq.-6) then

        el(1,1) = 0.816847572980459d0
        el(2,1) = 0.091576213509771d0
        el(3,1) = 0.091576213509771d0
        el(4,1) = 0.109951743655322d0

        el(1,2) = 0.091576213509771d0
        el(2,2) = 0.816847572980459d0
        el(3,2) = 0.091576213509771d0
        el(4,2) = 0.109951743655322d0

        el(2,3) = 0.091576213509771d0
        el(1,3) = 0.091576213509771d0
        el(3,3) = 0.816847572980459d0
        el(4,3) = 0.109951743655322d0

        el(1,4) = 0.108103018168070d0
        el(2,4) = 0.445948490915965d0
        el(3,4) = 0.445948490915965d0
        el(4,4) = 0.223381589678011d0

        el(1,5) = 0.445948490915965d0
        el(2,5) = 0.108103018168070d0
        el(3,5) = 0.445948490915965d0
        el(4,5) = 0.223381589678011d0

        el(1,6) = 0.445948490915965d0
        el(2,6) = 0.445948490915965d0
        el(3,6) = 0.108103018168070d0
        el(4,6) = 0.223381589678011d0

        lint    = 6

c     7-point gauss integration

      elseif(l.eq.7) then
        r0      =  sqrt(15.0d0)
        r1      =  3.d0/7.d0
        r2      =  (r0 + r0)/21.d0

        el(1,1) =  ww
        el(2,1) =  el(1,1)
        el(3,1) =  el(1,1)
        el(4,1) =  0.225d0

        el(1,2) =  r1 + r2
        el(2,2) =  0.5d0 - 0.5d0*el(1,2)
        el(3,2) =  el(2,2)
        el(4,2) =  (155.d0 - r0)/1200.d0

        el(1,3) =  el(2,2)
        el(2,3) =  el(1,2)
        el(3,3) =  el(2,2)
        el(4,3) =  el(4,2)

        el(1,4) =  el(2,2)
        el(2,4) =  el(2,2)
        el(3,4) =  el(1,2)
        el(4,4) =  el(4,2)

        el(1,5) =  r1 - r2
        el(2,5) =  0.5d0 - 0.5d0*el(1,5)
        el(3,5) =  el(2,5)
        el(4,5) =  (155.d0 + r0)/1200.d0

        el(1,6) =  el(2,5)
        el(2,6) =  el(1,5)
        el(3,6) =  el(2,5)
        el(4,6) =  el(4,5)

        el(1,7) =  el(2,5)
        el(2,7) =  el(2,5)
        el(3,7) =  el(1,5)
        el(4,7) =  el(4,5)

        lint    =  7

c     12-point order 6 formula

      elseif(l.eq.12) then

        el(1, 1) = 0.873821971016996d0
        el(2, 1) = 0.063089014491502d0
        el(3, 1) = 0.063089014491502d0
        el(4, 1) = 0.050844906370207d0

        el(1, 2) = 0.063089014491502d0
        el(2, 2) = 0.873821971016996d0
        el(3, 2) = 0.063089014491502d0
        el(4, 2) = 0.050844906370207d0

        el(1, 3) = 0.063089014491502d0
        el(2, 3) = 0.063089014491502d0
        el(3, 3) = 0.873821971016996d0
        el(4, 3) = 0.050844906370207d0

        el(1, 4) = 0.501426509658179d0
        el(2, 4) = 0.249286745170910d0
        el(3, 4) = 0.249286745170910d0
        el(4, 4) = 0.116786275726379d0

        el(1, 5) = 0.249286745170910d0
        el(2, 5) = 0.501426509658179d0
        el(3, 5) = 0.249286745170910d0
        el(4, 5) = 0.116786275726379d0

        el(1, 6) = 0.249286745170910d0
        el(2, 6) = 0.249286745170910d0
        el(3, 6) = 0.501426509658179d0
        el(4, 6) = 0.116786275726379d0

        el(1, 7) = 0.636502499121399d0
        el(2, 7) = 0.310352451033785d0
        el(3, 7) = 0.053145049844816d0
        el(4, 7) = 0.082851075618374d0

        el(1, 8) = 0.636502499121399d0
        el(2, 8) = 0.053145049844816d0
        el(3, 8) = 0.310352451033785d0
        el(4, 8) = 0.082851075618374d0

        el(1, 9) = 0.310352451033785d0
        el(2, 9) = 0.636502499121399d0
        el(3, 9) = 0.053145049844816d0
        el(4, 9) = 0.082851075618374d0

        el(1,10) = 0.053145049844816d0
        el(2,10) = 0.636502499121399d0
        el(3,10) = 0.310352451033785d0
        el(4,10) = 0.082851075618374d0

        el(1,11) = 0.310352451033785d0
        el(2,11) = 0.053145049844816d0
        el(3,11) = 0.636502499121399d0
        el(4,11) = 0.082851075618374d0

        el(1,12) = 0.053145049844816d0
        el(2,12) = 0.310352451033785d0
        el(3,12) = 0.636502499121399d0
        el(4,12) = 0.082851075618374d0

        lint     = 12

c     13-point order 7 formula: NOT RECOMMENDED DUE TO NEGATIVE WEIGHT

      elseif(l.eq.13) then

        el(1, 1) =  ww
        el(2, 1) =  el(1,1)
        el(3, 1) =  el(1,1)
        el(4, 1) = -0.149570044467670d0

        el(1, 2) =  0.479308067841923d0
        el(2, 2) =  0.260345966079038d0
        el(3, 2) =  0.260345966079038d0
        el(4, 2) =  0.175615257433204d0

        el(1, 3) =  0.260345966079038d0
        el(2, 3) =  0.479308067841923d0
        el(3, 3) =  0.260345966079038d0
        el(4, 3) =  0.175615257433204d0

        el(1, 4) =  0.260345966079038d0
        el(2, 4) =  0.260345966079038d0
        el(3, 4) =  0.479308067841923d0
        el(4, 4) =  0.175615257433204d0

        el(1, 5) =  0.869739794195568d0
        el(2, 5) =  0.065130102902216d0
        el(3, 5) =  0.065130102902216d0
        el(4, 5) =  0.053347235608839d0

        el(1, 6) =  0.065130102902216d0
        el(2, 6) =  0.869739794195568d0
        el(3, 6) =  0.065130102902216d0
        el(4, 6) =  0.053347235608839d0

        el(1, 7) =  0.065130102902216d0
        el(2, 7) =  0.065130102902216d0
        el(3, 7) =  0.869739794195568d0
        el(4, 7) =  0.053347235608839d0

        el(1, 8) =  0.638444188569809d0
        el(2, 8) =  0.312865496004875d0
        el(3, 8) =  0.048690315425316d0
        el(4, 8) =  0.077113760890257d0

        el(1, 9) =  0.638444188569809d0
        el(2, 9) =  0.048690315425316d0
        el(3, 9) =  0.312865496004875d0
        el(4, 9) =  0.077113760890257d0

        el(1,10) =  0.312865496004875d0
        el(2,10) =  0.638444188569809d0
        el(3,10) =  0.048690315425316d0
        el(4,10) =  0.077113760890257d0

        el(1,11) =  0.048690315425316d0
        el(2,11) =  0.638444188569809d0
        el(3,11) =  0.312865496004875d0
        el(4,11) =  0.077113760890257d0

        el(1,12) =  0.312865496004875d0
        el(2,12) =  0.048690315425316d0
        el(3,12) =  0.638444188569809d0
        el(4,12) =  0.077113760890257d0

        el(1,13) =  0.048690315425316d0
        el(2,13) =  0.312865496004875d0
        el(3,13) =  0.638444188569809d0
        el(4,13) =  0.077113760890257d0

        lint     = 13


c     73-point order 19 formula

      elseif(l.eq.73) then

        Lpt(1,1)=3.33333333333333D-001
        Lpt(1,2)=3.33333333333333D-001
        Lpt(1,3)=3.33333333333333D-001
        W(1)=3.29063313889190D-002
        Lpt(2,1)=2.07800258539870D-002
        Lpt(2,2)=4.89609987073006D-001
        Lpt(2,3)=4.89609987073006D-001
        W(2)=1.03307318912720D-002
        Lpt(3,1)=4.89609987073006D-001
        Lpt(3,2)=4.89609987073006D-001
        Lpt(3,3)=2.07800258539870D-002
        W(3)=1.03307318912720D-002
        Lpt(4,1)=4.89609987073006D-001
        Lpt(4,2)=2.07800258539870D-002
        Lpt(4,3)=4.89609987073006D-001
        W(4)=1.03307318912720D-002
        Lpt(5,1)=9.09262146042150D-002
        Lpt(5,2)=4.54536892697893D-001
        Lpt(5,3)=4.54536892697893D-001
        W(5)=2.23872472630160D-002
        Lpt(6,1)=4.54536892697893D-001
        Lpt(6,2)=4.54536892697893D-001
        Lpt(6,3)=9.09262146042150D-002
        W(6)=2.23872472630160D-002
        Lpt(7,1)=4.54536892697893D-001
        Lpt(7,2)=9.09262146042150D-002
        Lpt(7,3)=4.54536892697893D-001
        W(7)=2.23872472630160D-002
        Lpt(8,1)=1.97166638701138D-001
        Lpt(8,2)=4.01416680649431D-001
        Lpt(8,3)=4.01416680649431D-001
        W(8)=3.02661258694680D-002
        Lpt(9,1)=4.01416680649431D-001
        Lpt(9,2)=4.01416680649431D-001
        Lpt(9,3)=1.97166638701138D-001
        W(9)=3.02661258694680D-002
        Lpt(10,1)=4.01416680649431D-001
        Lpt(10,2)=1.97166638701138D-001
        Lpt(10,3)=4.01416680649431D-001
        W(10)=3.02661258694680D-002
        Lpt(11,1)=4.88896691193805D-001
        Lpt(11,2)=2.55551654403098D-001
        Lpt(11,3)=2.55551654403098D-001
        W(11)=3.04909678021980D-002
        Lpt(12,1)=2.55551654403098D-001
        Lpt(12,2)=2.55551654403098D-001
        Lpt(12,3)=4.88896691193805D-001
        W(12)=3.04909678021980D-002
        Lpt(13,1)=2.55551654403098D-001
        Lpt(13,2)=4.88896691193805D-001
        Lpt(13,3)=2.55551654403098D-001
        W(13)=3.04909678021980D-002
        Lpt(14,1)=6.45844115695741D-001
        Lpt(14,2)=1.77077942152130D-001
        Lpt(14,3)=1.77077942152130D-001
        W(14)=2.41592127416410D-002
        Lpt(15,1)=1.77077942152130D-001
        Lpt(15,2)=1.77077942152130D-001
        Lpt(15,3)=6.45844115695741D-001
        W(15)=2.41592127416410D-002
        Lpt(16,1)=1.77077942152130D-001
        Lpt(16,2)=6.45844115695741D-001
        Lpt(16,3)=1.77077942152130D-001
        W(16)=2.41592127416410D-002
        Lpt(17,1)=7.79877893544096D-001
        Lpt(17,2)=1.10061053227952D-001
        Lpt(17,3)=1.10061053227952D-001
        W(17)=1.60508035868010D-002
        Lpt(18,1)=1.10061053227952D-001
        Lpt(18,2)=1.10061053227952D-001
        Lpt(18,3)=7.79877893544096D-001
        W(18)=1.60508035868010D-002
        Lpt(19,1)=1.10061053227952D-001
        Lpt(19,2)=7.79877893544096D-001
        Lpt(19,3)=1.10061053227952D-001
        W(19)=1.60508035868010D-002
        Lpt(20,1)=8.88942751496321D-001
        Lpt(20,2)=5.55286242518400D-002
        Lpt(20,3)=5.55286242518400D-002
        W(20)=8.08458026178400D-003
        Lpt(21,1)=5.55286242518400D-002
        Lpt(21,2)=5.55286242518400D-002
        Lpt(21,3)=8.88942751496321D-001
        W(21)=8.08458026178400D-003
        Lpt(22,1)=5.55286242518400D-002
        Lpt(22,2)=8.88942751496321D-001
        Lpt(22,3)=5.55286242518400D-002
        W(22)=8.08458026178400D-003
        Lpt(23,1)=9.74756272445543D-001
        Lpt(23,2)=1.26218637772290D-002
        Lpt(23,3)=1.26218637772290D-002
        W(23)=2.07936202748500D-003
        Lpt(24,1)=1.26218637772290D-002
        Lpt(24,2)=1.26218637772290D-002
        Lpt(24,3)=9.74756272445543D-001
        W(24)=2.07936202748500D-003
        Lpt(25,1)=1.26218637772290D-002
        Lpt(25,2)=9.74756272445543D-001
        Lpt(25,3)=1.26218637772290D-002
        W(25)=2.07936202748500D-003
        Lpt(26,1)=3.61141784841200D-003
        Lpt(26,2)=3.95754787356943D-001
        Lpt(26,3)=6.00633794794645D-001
        W(26)=3.88487690498100D-003
        Lpt(27,1)=3.61141784841200D-003
        Lpt(27,2)=6.00633794794645D-001
        Lpt(27,3)=3.95754787356943D-001
        W(27)=3.88487690498100D-003
        Lpt(28,1)=6.00633794794645D-001
        Lpt(28,2)=3.61141784841200D-003
        Lpt(28,3)=3.95754787356943D-001
        W(28)=3.88487690498100D-003
        Lpt(29,1)=3.95754787356943D-001
        Lpt(29,2)=3.61141784841200D-003
        Lpt(29,3)=6.00633794794645D-001
        W(29)=3.88487690498100D-003
        Lpt(30,1)=3.95754787356943D-001
        Lpt(30,2)=6.00633794794645D-001
        Lpt(30,3)=3.61141784841200D-003
        W(30)=3.88487690498100D-003
        Lpt(31,1)=6.00633794794645D-001
        Lpt(31,2)=3.95754787356943D-001
        Lpt(31,3)=3.61141784841200D-003
        W(31)=3.88487690498100D-003
        Lpt(32,1)=1.34466754530780D-001
        Lpt(32,2)=3.07929983880436D-001
        Lpt(32,3)=5.57603261588784D-001
        W(32)=2.55741606120220D-002
        Lpt(33,1)=1.34466754530780D-001
        Lpt(33,2)=5.57603261588784D-001
        Lpt(33,3)=3.07929983880436D-001
        W(33)=2.55741606120220D-002
        Lpt(34,1)=5.57603261588784D-001
        Lpt(34,2)=1.34466754530780D-001
        Lpt(34,3)=3.07929983880436D-001
        W(34)=2.55741606120220D-002
        Lpt(35,1)=3.07929983880436D-001
        Lpt(35,2)=1.34466754530780D-001
        Lpt(35,3)=5.57603261588784D-001
        W(35)=2.55741606120220D-002
        Lpt(36,1)=3.07929983880436D-001
        Lpt(36,2)=5.57603261588784D-001
        Lpt(36,3)=1.34466754530780D-001
        W(36)=2.55741606120220D-002
        Lpt(37,1)=5.57603261588784D-001
        Lpt(37,2)=3.07929983880436D-001
        Lpt(37,3)=1.34466754530780D-001
        W(37)=2.55741606120220D-002
        Lpt(38,1)=1.44460257761150D-002
        Lpt(38,2)=2.64566948406520D-001
        Lpt(38,3)=7.20987025817365D-001
        W(38)=8.88090357333800D-003
        Lpt(39,1)=1.44460257761150D-002
        Lpt(39,2)=7.20987025817365D-001
        Lpt(39,3)=2.64566948406520D-001
        W(39)=8.88090357333800D-003
        Lpt(40,1)=7.20987025817365D-001
        Lpt(40,2)=1.44460257761150D-002
        Lpt(40,3)=2.64566948406520D-001
        W(40)=8.88090357333800D-003
        Lpt(41,1)=2.64566948406520D-001
        Lpt(41,2)=1.44460257761150D-002
        Lpt(41,3)=7.20987025817365D-001
        W(41)=8.88090357333800D-003
        Lpt(42,1)=2.64566948406520D-001
        Lpt(42,2)=7.20987025817365D-001
        Lpt(42,3)=1.44460257761150D-002
        W(42)=8.88090357333800D-003
        Lpt(43,1)=7.20987025817365D-001
        Lpt(43,2)=2.64566948406520D-001
        Lpt(43,3)=1.44460257761150D-002
        W(43)=8.88090357333800D-003
        Lpt(44,1)=4.69335788381780D-002
        Lpt(44,2)=3.58539352205951D-001
        Lpt(44,3)=5.94527068955871D-001
        W(44)=1.61245467617310D-002
        Lpt(45,1)=4.69335788381780D-002
        Lpt(45,2)=5.94527068955871D-001
        Lpt(45,3)=3.58539352205951D-001
        W(45)=1.61245467617310D-002
        Lpt(46,1)=5.94527068955871D-001
        Lpt(46,2)=4.69335788381780D-002
        Lpt(46,3)=3.58539352205951D-001
        W(46)=1.61245467617310D-002
        Lpt(47,1)=3.58539352205951D-001
        Lpt(47,2)=4.69335788381780D-002
        Lpt(47,3)=5.94527068955871D-001
        W(47)=1.61245467617310D-002
        Lpt(48,1)=3.58539352205951D-001
        Lpt(48,2)=5.94527068955871D-001
        Lpt(48,3)=4.69335788381780D-002
        W(48)=1.61245467617310D-002
        Lpt(49,1)=5.94527068955871D-001
        Lpt(49,2)=3.58539352205951D-001
        Lpt(49,3)=4.69335788381780D-002
        W(49)=1.61245467617310D-002
        Lpt(50,1)=2.86112035056700D-003
        Lpt(50,2)=1.57807405968595D-001
        Lpt(50,3)=8.39331473680839D-001
        W(50)=2.49194181749100D-003
        Lpt(51,1)=2.86112035056700D-003
        Lpt(51,2)=8.39331473680839D-001
        Lpt(51,3)=1.57807405968595D-001
        W(51)=2.49194181749100D-003
        Lpt(52,1)=8.39331473680839D-001
        Lpt(52,2)=2.86112035056700D-003
        Lpt(52,3)=1.57807405968595D-001
        W(52)=2.49194181749100D-003
        Lpt(53,1)=1.57807405968595D-001
        Lpt(53,2)=2.86112035056700D-003
        Lpt(53,3)=8.39331473680839D-001
        W(53)=2.49194181749100D-003
        Lpt(54,1)=1.57807405968595D-001
        Lpt(54,2)=8.39331473680839D-001
        Lpt(54,3)=2.86112035056700D-003
        W(54)=2.49194181749100D-003
        Lpt(55,1)=8.39331473680839D-001
        Lpt(55,2)=1.57807405968595D-001
        Lpt(55,3)=2.86112035056700D-003
        W(55)=2.49194181749100D-003
        Lpt(56,1)=2.23861424097916D-001
        Lpt(56,2)=7.50505969759110D-002
        Lpt(56,3)=7.01087978926173D-001
        W(56)=1.82428401189510D-002
        Lpt(57,1)=2.23861424097916D-001
        Lpt(57,2)=7.01087978926173D-001
        Lpt(57,3)=7.50505969759110D-002
        W(57)=1.82428401189510D-002
        Lpt(58,1)=7.01087978926173D-001
        Lpt(58,2)=2.23861424097916D-001
        Lpt(58,3)=7.50505969759110D-002
        W(58)=1.82428401189510D-002
        Lpt(59,1)=7.50505969759110D-002
        Lpt(59,2)=2.23861424097916D-001
        Lpt(59,3)=7.01087978926173D-001
        W(59)=1.82428401189510D-002
        Lpt(60,1)=7.50505969759110D-002
        Lpt(60,2)=7.01087978926173D-001
        Lpt(60,3)=2.23861424097916D-001
        W(60)=1.82428401189510D-002
        Lpt(61,1)=7.01087978926173D-001
        Lpt(61,2)=7.50505969759110D-002
        Lpt(61,3)=2.23861424097916D-001
        W(61)=1.82428401189510D-002
        Lpt(62,1)=3.46470748167600D-002
        Lpt(62,2)=1.42421601113383D-001
        Lpt(62,3)=8.22931324069857D-001
        W(62)=1.02585637361990D-002
        Lpt(63,1)=3.46470748167600D-002
        Lpt(63,2)=8.22931324069857D-001
        Lpt(63,3)=1.42421601113383D-001
        W(63)=1.02585637361990D-002
        Lpt(64,1)=8.22931324069857D-001
        Lpt(64,2)=3.46470748167600D-002
        Lpt(64,3)=1.42421601113383D-001
        W(64)=1.02585637361990D-002
        Lpt(65,1)=1.42421601113383D-001
        Lpt(  65,2)=3.46470748167600D-002
        Lpt(65,3)=8.22931324069857D-001
        W(65)=1.02585637361990D-002
        Lpt(66,1)=1.42421601113383D-001
        Lpt(66,2)=8.22931324069857D-001
        Lpt(66,3)=3.46470748167600D-002
        W(66)=1.02585637361990D-002
        Lpt(67,1)=8.22931324069857D-001
        Lpt(67,2)=1.42421601113383D-001
        Lpt(67,3)=3.46470748167600D-002
        W(67)=1.02585637361990D-002
        Lpt(68,1)=1.01611192962780D-002
        Lpt(68,2)=6.54946280829380D-002
        Lpt(68,3)=9.24344252620784D-001
        W(68)=3.79992885530200D-003
        Lpt(69,1)=1.01611192962780D-002
        Lpt(69,2)=9.24344252620784D-001
        Lpt(69,3)=6.54946280829380D-002
        W(69)=3.79992885530200D-003
        Lpt(70,1)=9.24344252620784D-001
        Lpt(70,2)=1.01611192962780D-002
        Lpt(70,3)=6.54946280829380D-002
        W(70)=3.79992885530200D-003
        Lpt(71,1)=6.54946280829380D-002
        Lpt(71,2)=1.01611192962780D-002
        Lpt(71,3)=9.24344252620784D-001
        W(71)=3.79992885530200D-003
        Lpt(72,1)=6.54946280829380D-002
        Lpt(72,2)=9.24344252620784D-001
        Lpt(72,3)=1.01611192962780D-002
        W(72)=3.79992885530200D-003
        Lpt(73,1)=9.24344252620784D-001
        Lpt(73,2)=6.54946280829380D-002
        Lpt(73,3)=1.01611192962780D-002
        W(73)=3.79992885530200D-003

      do i=1,73
        do j=1,3
          el(j,i)=Lpt(i,j)
        enddo
        el(4,i)=W(i)
      enddo

      lint=73

c     Unspecified quadrature specified

      else
        write(dfich2,2000) l
        lint    = -1
	  stop
      endif

c     Format

2000  format(' *ERROR* TINT2D: Wrong quadrature, l =',i3)

      return  
      end

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
C
      subroutine subelem(ElemGGe,Xe,Ye,XG,YG,NumSub,SubXe,SubYe,n,nel)

c      * * F E A P * * A Finite Element Analysis Program

c-----[--.----+----.----+----.-----------------------------------------]

c     Purpose: Descomposicin del dominio del elemento en subelementos
c			 para la integracion
c     --------------------------------------

c      Inputs:
c			ElemGGe		Matriz de caracterizacin del elemento
c			Xe(8)		Coordenadas X de los nodos del elemento
c			Ye(8)		Coordenadas Y de los nodos del elemento
c			XG			Coordenada X del extremo de Grieta
c			YG			Coordenada Y del extremo de Grieta		

c      Outputs:
c			NumSub		Nmero de subelementos generados
c			SubXe(10,4)	Coordenadas X de los puntos de los subelementos			
c			SubYe(10,4)	Coordenadas X de los puntos de los subelementos
c-----[--.----+----.----+----.-----------------------------------------]
	implicit none
	
c     include  'eldata.h'
c  	include  'iofile.h'

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


	integer NumSub,n1,n2,l1,l2,lado,lado2,nl,i,tipo,lad,lad2,lads
	integer n,nel
	real*8  ElemGGe(8),XG,YG,xm,ym,x1,y1,x2,y2,xl,yl,xl2,yl2,xls,yls,
     &		Xe(8),Ye(8),SubXe(10,4),SubYe(10,4),tol
	logical comp

	
	tipo=ElemGGe(2)
	tol=1d-6


c      write(dfich2,*) 'N elem=',n,'   ElemGG(i,1)=',ElemGGe(1)
c      write(dfich2,*) 'ElemGG(i,2)=',ElemGGe(2),'   tipo=',tipo

c     write(dfich2,*)
c	write(dfich2,*)
c	write(dfich2,*) 'Xe(i)=', (Xe(i),i=1,8)
c	write(dfich2,*)
c	write(dfich2,*) 'Ye(i)=', (Ye(i),i=1,8)
c	write(dfich2,*)


	
c	Interseccion en 2 nodos opuestos
c
c		2									
c		3
c		4
c		5
c		11
c		12
c		20
c		22
c		30
c		31
c		32
c		40
c		41
c		50
c		51
c		80 


c	!!!Convierto a enteros con la asignacion en variable entera:preguntar 



	select case(tipo)

	case(2)
	  NumSub= 2;
	  SubXe= 0
	  SubYe= 0
	  n1= min(ElemGGe(3),ElemGGe(4));
	  SubXe(1,1)= Xe(n1);      SubYe(1,1)= Ye(n1);
	  SubXe(1,2)= Xe(n1+1);    SubYe(1,2)= Ye(n1+1);
	  SubXe(1,3)= Xe(n1+2);    SubYe(1,3)= Ye(n1+2);
	  SubXe(2,1)= Xe(n1);      SubYe(2,1)= Ye(n1);
	  SubXe(2,2)= Xe(n1+2);    SubYe(2,2)= Ye(n1+2);
	  SubXe(2,3)= Xe(n1+3);    SubYe(2,3)= Ye(n1+3);

	

c	 === Interseccion en nodo y lado
	case(3)
	  NumSub= 5;
	  SubXe=0
	  SubYe=0
	  n1= ElemGGe(3);
	  l1= ElemGGe(4);
	  x1= ElemGGe(5);
	  y1= ElemGGe(6);

	  if ((abs(n1-l1).eq.1).or.((n1.eq.4).and.(l1.eq.1))) then

c	    % - triangulo + cuadrilatero
    
    	    SubXe(1,1)= Xe(n1);      SubYe(1,1)= Ye(n1);
	    SubXe(1,2)= Xe(n1+1);    SubYe(1,2)= Ye(n1+1);
	    SubXe(1,3)= x1;          SubYe(1,3)= y1;
	    
		xm= (Xe(n1)+x1+Xe(n1+2)+Xe(n1+3))/4;
	    ym= (Ye(n1)+y1+Ye(n1+2)+Ye(n1+3))/4;
    
	    SubXe(2,1)= Xe(n1);      SubYe(2,1)= Ye(n1);
	    SubXe(2,2)= x1;          SubYe(2,2)= y1;
	    SubXe(2,3)= xm;          SubYe(2,3)= ym;
    
	    SubXe(3,1)= x1;			 SubYe(3,1)= y1;
	    SubXe(3,2)= Xe(n1+2);    SubYe(3,2)= Ye(n1+2);
	    SubXe(3,3)= xm;			 SubYe(3,3)= ym;
    
	    SubXe(4,1)= Xe(n1+2);    SubYe(4,1)= Ye(n1+2);
	    SubXe(4,2)= Xe(n1+3);    SubYe(4,2)= Ye(n1+3);
	    SubXe(4,3)= xm;			 SubYe(4,3)= ym;
    
	    SubXe(5,1)= Xe(n1+3);    SubYe(5,1)= Ye(n1+3);
	    SubXe(5,2)= Xe(n1+4);    SubYe(5,2)= Ye(n1+4);
	    SubXe(5,3)= xm;			 SubYe(5,3)= ym;
    
	  else
c	    % - cuadrilatero + triangulo
    
	    SubXe(1,1)= Xe(n1);      SubYe(1,1)= Ye(n1);
	    SubXe(1,2)= x1;          SubYe(1,2)= y1;
	    SubXe(1,3)= Xe(n1+3);    SubYe(1,3)= Ye(n1+3);

	    xm= (Xe(n1)+Xe(n1+1)+Xe(n1+2)+x1)/4;
	    ym= (Ye(n1)+Ye(n1+1)+Ye(n1+2)+y1)/4;
    
	    SubXe(2,1)= Xe(n1);      SubYe(2,1)= Ye(n1);
	    SubXe(2,2)= Xe(n1+1);    SubYe(2,2)= Ye(n1+1);
	    SubXe(2,3)= xm;          SubYe(2,3)= ym;
    
	    SubXe(3,1)= Xe(n1+1);    SubYe(3,1)= Ye(n1+1);
	    SubXe(3,2)= Xe(n1+2);    SubYe(3,2)= Ye(n1+2);
	    SubXe(3,3)= xm;          SubYe(3,3)= ym;
    
	    SubXe(4,1)= Xe(n1+2);    SubYe(4,1)= Ye(n1+2);
	    SubXe(4,2)= x1;          SubYe(4,2)= y1;
	    SubXe(4,3)= xm;          SubYe(4,3)= ym;
    
	    SubXe(5,1)= x1;          SubYe(5,1)= y1;
	    SubXe(5,2)= Xe(n1);      SubYe(5,2)= Ye(n1);
	    SubXe(5,3)= xm;          SubYe(5,3)= ym;
	  end if
  


c		% === Interseccion en 2 lados opuestos
	case(4)

	    NumSub=2;
		SubXe(1,:)=
     &	(/ElemGGe(5),Xe(ElemGGe(3)+1),Xe(ElemGGe(3)+2),ElemGGe(7)/);
	    SubXe(2,:)=
     &	(/ElemGGe(7),Xe(ElemGGe(3)+3),Xe(ElemGGe(3)+4),ElemGGe(5)/);
	    SubYe(1,:)=
     &	(/ElemGGe(6),Ye(ElemGGe(3)+1),Ye(ElemGGe(3)+2),ElemGGe(8)/);
	    SubYe(2,:)=
     &	(/ElemGGe(8),Ye(ElemGGe(3)+3),Ye(ElemGGe(3)+4),ElemGGe(6)/);



c	 === Interseccion en 2 lados contiguos
	case(5)
	  l1= ElemGGe(3);
	  l2= ElemGGe(4);
	  if ((l1.gt.l2).or.((l1.eq.1).and.(l2.eq.4)))then
	   l2= ElemGGe(3);
	   l1= ElemGGe(4);
	   x2= ElemGGe(5);
	   y2= ElemGGe(6);
	   x1= ElemGGe(7);
	   y1= ElemGGe(8);
	  else
	   l1= ElemGGe(3)
	   l2= ElemGGe(4);
	   x1= ElemGGe(5);
	   y1= ElemGGe(6);
	   x2= ElemGGe(7);
	   y2= ElemGGe(8);
	  end if
	  NumSub= 6;  
	  SubXe=0
	  SubYe=0
  
	  SubXe(1,1)= x1;          SubYe(1,1)= y1;
	  SubXe(1,2)= Xe(l1+1);    SubYe(1,2)= Ye(l1+1);
	  SubXe(1,3)= x2;          SubYe(1,3)= y2;
  
	  xm= (x1+x2+Xe(l1+2)+Xe(l1+3)+Xe(l1+4))/5;
	  ym= (y1+y2+Ye(l1+2)+Ye(l1+3)+Ye(l1+4))/5;
  
	  SubXe(2,1)= x1;          SubYe(2,1)= y1;
	  SubXe(2,2)= x2;          SubYe(2,2)= y2;
	  SubXe(2,3)= xm;          SubYe(2,3)= ym;
  
	  SubXe(3,1)= x2;          SubYe(3,1)= y2;
	  SubXe(3,2)= Xe(l1+2);    SubYe(3,2)= Ye(l1+2);
	  SubXe(3,3)= xm;          SubYe(3,3)= ym;
  
	  SubXe(4,1)= Xe(l1+2);    SubYe(4,1)= Ye(l1+2);
	  SubXe(4,2)= Xe(l1+3);    SubYe(4,2)= Ye(l1+3);
	  SubXe(4,3)= xm;          SubYe(4,3)= ym;
  
	  SubXe(5,1)= Xe(l1+3);    SubYe(5,1)= Ye(l1+3);
	  SubXe(5,2)= Xe(l1+4);    SubYe(5,2)= Ye(l1+4);
	  SubXe(5,3)= xm;          SubYe(5,3)= ym;
  
	  SubXe(6,1)= Xe(l1+4);    SubYe(6,1)= Ye(l1+4);
	  SubXe(6,2)= x1;          SubYe(6,2)= y1;
	  SubXe(6,3)= xm;          SubYe(6,3)= ym;



c	% == Tipo 11
	case(11)
	    NumSub=3;
	    nl=ElemGGe(3);
	    SubXe= 0
	    SubYe= 0
	    do i= 1,3
	      SubXe(i,1)=XG;           SubYe(i,1)= YG;
	      SubXe(i,2)=Xe(nl+i);     SubYe(i,2)= Ye(nl+i);
	      SubXe(i,3)=Xe(nl+i+1);   SubYe(i,3)= Ye(nl+i+1);
	    end do 
	    

c	% == Tipo 12
	case(12)
	    NumSub=2;
		n1=ElemGGe(3);

		if ((abs(XG-Xe(n1)).le.tol).and.(abs(YG-Ye(n1)).le.tol))then
		  n1=ElemGGe(3);
		elseif ((abs(XG-Xe(n1+1)).le.tol).and.(abs(YG-Ye(n1+1)).le.tol))then
		  n1=n1+1
  	    else
            write(dfich2,*) 'Paso por aqu'
	      write(dfich2,*) '*ERROR* El elemento ',n,' de tipo ',tipo,
     &                   ' no ha podido subdividirse en subelem.f'
	      stop

	    end if   

	    SubXe= 0;
	    SubYe= 0;
	    do i= 1,2
	      SubXe(i,1)=XG;           SubYe(i,1)= YG;
	      SubXe(i,2)=Xe(n1+i);     SubYe(i,2)= Ye(n1+i);
	      SubXe(i,3)=Xe(n1+i+1);   SubYe(i,3)= Ye(n1+i+1);
	    end do
	 

c	% == Tipo 20
	case(20)
	    NumSub=4;
	    n1=ElemGGe(3);
	    SubXe= 0
	    SubYe= 0
	    do i= 1,4 
	      SubXe(i,1)=XG;           SubYe(i,1)= YG;
	      SubXe(i,2)=Xe(n1+i-1);   SubYe(i,2)= Ye(n1+i-1);
	      SubXe(i,3)=Xe(n1+i);     SubYe(i,3)= Ye(n1+i);
	    end  do
	

c	% == Tipo 22
	case(22)
	    NumSub=2;
	    n1=ElemGGe(3);
	    SubXe= 0
	    SubYe= 0
	    do i= 1,2
	      SubXe(i,1)=Xe(n1+2*(i-1));       SubYe(i,1)= Ye(n1+2*(i-1));
	      SubXe(i,2)=Xe(n1+1+2*(i-1));     SubYe(i,2)= Ye(n1+1+2*(i-1));
	      SubXe(i,3)=Xe(n1+2+2*(i-1));     SubYe(i,3)= Ye(n1+2+2*(i-1));
	    end  do
	

c	% == Tipo 30
	case(30)
	    NumSub=5;
	    lado=ElemGGe(4);
	    xl=ElemGGe(5);
	    yl=ElemGGe(6);
	    SubXe= 0
	    SubYe= 0
    
	    SubXe(1,1)=XG;              SubYe(1,1)= YG;
	    SubXe(1,2)=xl;              SubYe(1,2)= yl;
	    SubXe(1,3)=Xe(lado+1);      SubYe(1,3)= Ye(lado+1);
	    do i= 2,4
	      SubXe(i,1)=XG;              SubYe(i,1)= YG;
	      SubXe(i,2)=Xe(lado+i-1);    SubYe(i,2)= Ye(lado+i-1);
	      SubXe(i,3)=Xe(lado+i);      SubYe(i,3)= Ye(lado+i);
	    end do
	    SubXe(5,1)=XG;              SubYe(5,1)= YG;
	    SubXe(5,2)=Xe(lado+4);      SubYe(5,2)= Ye(lado+4);
	    SubXe(5,3)=xl;              SubYe(5,3)= yl;
	

c	% == Tipo 31
	case(31)
	    NumSub=3;
	    lado=ElemGGe(4);
c	    %xl=ElemGGe(5);   es el mismo XG   
c	    %yl=ElemGGe(6);
	    SubXe= 0
	    SubYe= 0
    
	    do i= 1,3
	      SubXe(i,1)=XG;              SubYe(i,1)= YG;
	      SubXe(i,2)=Xe(lado+i);      SubYe(i,2)= Ye(lado+i);
	      SubXe(i,3)=Xe(lado+i+1);    SubYe(i,3)= Ye(lado+i+1);
	    end do
	

c	% == Tipo 32
	case(32)
	    NumSub=3;
	    lado=ElemGGe(4);
	    xl=ElemGGe(5);
	    yl=ElemGGe(6);
	    SubXe= 0;
	    SubYe= 0;
    
	    SubXe(1,1)=XG;              SubYe(1,1)= YG;
	    SubXe(1,2)=Xe(lado);        SubYe(1,2)= Ye(lado);
	    SubXe(1,3)=xl;              SubYe(1,3)= yl;

	    SubXe(2,1)=XG;              SubYe(2,1)= YG;
	    SubXe(2,2)=xl;              SubYe(2,2)= yl;
	    SubXe(2,3)=Xe(lado+1);      SubYe(2,3)= Ye(lado+1);
    
	    if ((lado-n).eq.1) then
		  SubXe(3,1)=XG;              SubYe(3,1)= YG;
		  SubXe(3,2)=Xe(lado+1);      SubYe(3,2)= Ye(lado+1);
		  SubXe(3,3)=Xe(lado+2);      SubYe(3,3)= Ye(lado+2);
	    else 
		  SubXe(3,1)=XG;              SubYe(3,1)= YG;
		  SubXe(3,2)=Xe(lado+3);      SubYe(3,2)= Ye(lado+3);
		  SubXe(3,3)=Xe(lado+4);      SubYe(3,3)= Ye(lado+4);
	    end  if
	

c	% == Tipo 40
	case(40)
	    NumSub=6;
	    lad=ElemGGe(3);
	    lad2=ElemGGe(4);
	    xl=ElemGGe(5);
	    yl=ElemGGe(6);    
	    xl2=ElemGGe(7);
	    yl2=ElemGGe(8);
	    SubXe= 0;
	    SubYe= 0;
    
	    SubXe(1,1)=XG;              SubYe(1,1)= YG;
	    SubXe(1,2)=Xe(lad);         SubYe(1,2)= Ye(lad);
	    SubXe(1,3)=xl;              SubYe(1,3)= yl;

	    SubXe(2,1)=XG;              SubYe(2,1)= YG;
	    SubXe(2,2)=xl;              SubYe(2,2)= yl;
	    SubXe(2,3)=Xe(lad+1);       SubYe(2,3)= Ye(lad+1);
    
	    SubXe(3,1)=XG;              SubYe(3,1)= YG;
	    SubXe(3,2)=Xe(lad+1);       SubYe(3,2)= Ye(lad+1);
	    SubXe(3,3)=Xe(lad+2);       SubYe(3,3)= Ye(lad+2);

	    SubXe(4,1)=XG;              SubYe(4,1)= YG;
	    SubXe(4,2)=Xe(lad2);        SubYe(4,2)= Ye(lad2);
	    SubXe(4,3)=xl2;             SubYe(4,3)= yl2;
    
	    SubXe(5,1)=XG;              SubYe(5,1)= YG;
	    SubXe(5,2)=xl2;             SubYe(5,2)= yl2;
	    SubXe(5,3)=Xe(lad2+1);      SubYe(5,3)= Ye(lad2+1);

	    SubXe(6,1)=XG;              SubYe(6,1)= YG;
	    SubXe(6,2)=Xe(lad2+1);      SubYe(6,2)= Ye(lad2+1);
	    SubXe(6,3)=Xe(lad2+2);      SubYe(6,3)= Ye(lad2+2);
	

c	% == Tipo 41
	case(41)
	    NumSub=4;
	    lad=ElemGGe(3);
	    lad2=ElemGGe(4);
	    xl=ElemGGe(5);
	    yl=ElemGGe(6);    
	    xl2=ElemGGe(7);
	    yl2=ElemGGe(8);


c		comp=
    
c	    if ((XG.eq.xl).and.(YG.eq.yl)) then  !!!!!!!!!!reales
		if ((abs(XG-xl).lt.tol).and.(abs(YG-yl).lt.tol)) then
		  lads=lad;
		  xls=xl2;
		  yls=yl2;
		elseif ((abs(XG-xl2).lt.tol).and.(abs(YG-yl2).lt.tol)) then
c	    elseif ((XG.eq.xl2).and.(YG .eq.yl2)) then !!!!!!!!!!reales
		  lads=lad2;
		  xls=xl;
		  yls=yl;
	    else
	      write(dfich2,*) '*ERROR* El elemento ',n,' de tipo ',tipo,
     &                   ' no ha podido subdividirse en subelem.f'
	      stop
	    end if   
    
	    SubXe= 0;
	    SubYe= 0;
    
	    SubXe(1,1)=XG;              SubYe(1,1)= YG;
	    SubXe(1,2)=Xe(lads+1);      SubYe(1,2)= Ye(lads+1);
	    SubXe(1,3)=Xe(lads+2);      SubYe(1,3)= Ye(lads+2);

	    SubXe(2,1)=XG;              SubYe(2,1)= YG;
	    SubXe(2,2)=Xe(lads+2);      SubYe(2,2)= Ye(lads+2);
	    SubXe(2,3)=xls;             SubYe(2,3)= yls;
    
	    SubXe(3,1)=XG;              SubYe(3,1)= YG;
	    SubXe(3,2)=xls;             SubYe(3,2)= yls;
	    SubXe(3,3)=Xe(lads+3);      SubYe(3,3)= Ye(lads+3);

	    SubXe(4,1)=XG;              SubYe(4,1)= YG;
	    SubXe(4,2)=Xe(lads+3);      SubYe(4,2)= Ye(lads+3);
	    SubXe(4,3)=Xe(lads+4);      SubYe(4,3)= Ye(lads+4);
    
	

c	% === Tipo 50
	case(50)
	    NumSub=6;
	    lad=ElemGGe(3);
		lad2=ElemGGe(4)
	    xl=ElemGGe(5);
	    yl=ElemGGe(6);    
	    xl2=ElemGGe(7);
	    yl2=ElemGGe(8);
	    if ((lad.eq.1) .and. (lad2.eq.4)) then
		  lad=ElemGGe(4);
		  xl=ElemGGe(7);
		  yl=ElemGGe(8);    
		  xl2=ElemGGe(5);
		  yl2=ElemGGe(6);      
	    end if

	    SubXe= 0;
	    SubYe= 0;
    
	    SubXe(1,1)=XG;              SubYe(1,1)= YG;
	    SubXe(1,2)=Xe(lad);         SubYe(1,2)= Ye(lad);
	    SubXe(1,3)=xl;              SubYe(1,3)= yl;

	    SubXe(2,1)=XG;              SubYe(2,1)= YG;
	    SubXe(2,2)=xl;              SubYe(2,2)= yl;
	    SubXe(2,3)=Xe(lad+1);       SubYe(2,3)= Ye(lad+1);
    
	    SubXe(3,1)=XG;              SubYe(3,1)= YG;
	    SubXe(3,2)=Xe(lad+1);       SubYe(3,2)= Ye(lad+1);
	    SubXe(3,3)=xl2;             SubYe(3,3)= yl2;

	    SubXe(4,1)=XG;              SubYe(4,1)= YG;
	    SubXe(4,2)=xl2;             SubYe(4,2)= yl2;
	    SubXe(4,3)=Xe(lad+2);       SubYe(4,3)= Ye(lad+2);
    
	    SubXe(5,1)=XG;              SubYe(5,1)= YG;
	    SubXe(5,2)=Xe(lad+2);       SubYe(5,2)= Ye(lad+2);
	    SubXe(5,3)=Xe(lad+3);       SubYe(5,3)= Ye(lad+3);

	    SubXe(6,1)=XG;              SubYe(6,1)= YG;
	    SubXe(6,2)=Xe(lad+3);       SubYe(6,2)= Ye(lad+3);
	    SubXe(6,3)=Xe(lad+4);       SubYe(6,3)= Ye(lad+4);
	

c	% === Tipo 51
	case(51)
	    NumSub=4;
	    lad=ElemGGe(3);
	    lad2=ElemGGe(4);
	    xl=ElemGGe(5);
	    yl=ElemGGe(6);    
	    xl2=ElemGGe(7);
	    yl2=ElemGGe(8);
      
	    SubXe= 0;
	    SubYe= 0;

c		comp=((abs(XG-xl).lt.tol).and.(abs(YG-yl).lt.tol))
		
	    if ((XG.eq.xl).and.(YG.eq.yl))  then !Lado con fin de grieta

c		if(comp) then

		  lads=lad;
		  			

		  SubXe(1,1)=XG;              SubYe(1,1)= YG;
		  SubXe(1,2)=Xe(lads+1);      SubYe(1,2)= Ye(lads+1);
		  SubXe(1,3)=xl2;             SubYe(1,3)= yl2;

		  SubXe(2,1)=XG;              SubYe(2,1)= YG;
		  SubXe(2,2)=xl2;             SubYe(2,2)= yl2;
		  SubXe(2,3)=Xe(lads+2);      SubYe(2,3)= Ye(lads+2);
    
		  SubXe(3,1)=XG;              SubYe(3,1)= YG;
		  SubXe(3,2)=Xe(lads+2);      SubYe(3,2)= Ye(lads+2);
		  SubXe(3,3)=Xe(lads+3);      SubYe(3,3)= Ye(lads+3);

		  SubXe(4,1)=XG;              SubYe(4,1)= YG;
		  SubXe(4,2)=Xe(lads+3);      SubYe(4,2)= Ye(lads+3);
		  SubXe(4,3)=Xe(lads+4);      SubYe(4,3)= Ye(lads+4);
    
	     elseif ((XG.eq.xl2).and.(YG.eq.yl2))  then !!!!!reales
c	     elseif ((abs(XG-xl2).lt.tol).and.(abs(YG-yl2).lt.tol))then 
 
		  lads=lad2;
		  SubXe(1,1)=XG;              SubYe(1,1)= YG;
		  SubXe(1,2)=Xe(lads+1);      SubYe(1,2)= Ye(lads+1);
		  SubXe(1,3)=Xe(lads+2);      SubYe(1,3)= Ye(lads+2);

		  SubXe(2,1)=XG;              SubYe(2,1)= YG;
		  SubXe(2,2)=Xe(lads+2);      SubYe(2,2)= Ye(lads+2);
		  SubXe(2,3)=Xe(lads+3);      SubYe(2,3)= Ye(lads+3);
    
		  SubXe(3,1)=XG;              SubYe(3,1)= YG;
		  SubXe(3,2)=Xe(lads+3);      SubYe(3,2)= Ye(lads+3);
		  SubXe(3,3)=xl;              SubYe(3,3)= yl;

		  SubXe(4,1)=XG;              SubYe(4,1)= YG;
		  SubXe(4,2)=xl;              SubYe(4,2)= yl;
		  SubXe(4,3)=Xe(lads+4);      SubYe(4,3)= Ye(lads+4);
	     else
	      write(dfich2,*) '*ERROR* El elemento ',n,' de tipo ',tipo,
     &                   ' no ha podido subdividirse en subelem.f'
	      stop
	    end if
    
	

c    	% == Tipo 80
	  case(80)
          n1=0
	    do i=1,nel
		if ((XG.eq.Xe(i)).and.(YG.eq.Ye(i))) then
	  	  n1=i
	    	endif
     	  end do
	  if (n1.eq.0) then
	 
	      write(dfich2,*) '*ERROR* El elemento ',n,' de tipo ',tipo,
     &                   ' no ha podido subdividirse en subelem.f'
	      stop
	  endif
	  NumSub= 2;  
	  SubXe= 0;
	  SubYe= 0;
  
	  do i= 1,2
	    SubXe(i,1)= XG;          SubYe(i,1)= YG;
	    SubXe(i,2)= Xe(n1+i);    SubYe(i,2)= Ye(n1+i);
	    SubXe(i,3)= Xe(n1+i+1);  SubYe(i,3)= Ye(n1+i+1);
	  end do


        end select
 



       end


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
C
      subroutine invcuad4(Xe,Ye,x,y,s,t,N)


c-----[--.----+----.----+----.-----------------------------------------]

c     Purpose: Calcular las coordenadas locales en el elemento de los puntos de gauss
c				a partir de sus coordenadas globales
c     --------------------------------------

c      Inputs:
c			Xe		Coordenadas X de los nodos del elemento
c			Ye		Coordenadas Y de los nodos del elemento
c			x		Coordenada x global del punto de Gauss
c			y	    Coordenada y global del punto de Gauss

c      Outputs:
c			s		Coordenadas x local del punto de Gauss
c			t		Coordenadas y local del punto de Gauss			
c			N		Funciones de Forma
	
c-----[--.----+----.----+----.-----------------------------------------]


      implicit  none


      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2



	integer iter
	real*8	Xe(4),Ye(4),x,y,s,t,N(4),eps,error,XY(2),dNl(4,2),M(2,2),
     &		delta(2)			

	s= 0;
	t= 0;
	eps= 1.0d-10;
	Iter= 0;
	N= (/0.25, 0.25, 0.25, 0.25/);
	error = 1.0d0;

c	Iterativamente calcula las coordenadas locales del punto
	do iter=1,100
	  if (error.lt.eps) exit

	  XY(1)= dot_product(N,Xe);
	  XY(2)= dot_product(N,Ye);
	  
	  XY(1)= x-XY(1);
	  XY(2)= y-XY(2);
	  
	  error= sqrt( XY(1)**2 + XY(2)**2);
	  
	  dNl(1,1)= -(1-t)/4;
	  dNl(1,2)= -(1-s)/4;
	  dNl(2,1)=  (1-t)/4;
	  dNl(2,2)= -(1+s)/4;
	  dNl(3,1)=  (1+t)/4;
	  dNl(3,2)=  (1+s)/4;
	  dNl(4,1)= -(1+t)/4;
	  dNl(4,2)=  (1-s)/4;
	  M(1,1)= dot_product(dNl(:,1),Xe);
	  M(1,2)= dot_product(dNl(:,2),Xe);
	  M(2,1)= dot_product(dNl(:,1),Ye);
	  M(2,2)= dot_product(dNl(:,2),Ye);
	  

	  call invertEug(M,2,2)
	  delta= matmul(M,XY);               
	  s= s + delta(1);
	  t= t + delta(2);
	
	  N(1)= (1-s)*(1-t)/4;
	  N(2)= (1+s)*(1-t)/4;
	  N(3)= (1+s)*(1+t)/4;
	  N(4)= (1-s)*(1+t)/4;
	
	end do

      if (error.gt.eps) then
	  write(dfich2,*) ' *WARNING* No convergence in INVCUAD4'
	  stop
	endif

	end

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
C
      subroutine invertEug(a,nmax,ndm)



c-----[--.----+----.----+----.-----------------------------------------]
c      Purpose: Invert small square matrix

c      Inputs:
c         a(ndm,*) - Matrix to be inverted
c         nmax     - Size of upper submatrix to invert
c         ndm      - Dimension of array

c      Outputs:
c         a(ndm,*) - Submatrix replaces original terms, others not
c                    changed
c-----[--.----+----.----+----.-----------------------------------------]
      implicit  none

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


      integer   i,j,n,ndm,nmax
      real*8    d, a(ndm,*)
      logical   flag

      save


      flag=.false.

      do n = 1,nmax
        if(a(n,n).ne.0.0d0) then
          d = 1.d0/a(n,n)
          do j = 1,nmax
            a(n,j) = -a(n,j)*d
          end do ! j

          do i = 1,nmax
            if(n.ne.i) then
              do j = 1,nmax
                if(n.ne.j) a(i,j) = a(i,j) + a(i,n)*a(n,j)
              end do ! j
            endif
            a(i,n) = a(i,n)*d
          end do ! i
          a(n,n) = d
        else
          write(dfich2,*) ' *WARNING* Zero pivot in INVERT'
          write(dfich2,*) ' Utilizo la otra rutina para invertir'
          flag=.true. 
		exit         
        endif
      end do ! n

      if (flag) then !Utilizo la otra rutina para invertir
        call INV_J(a,ndm) 
	endif

      end


C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
C
      subroutine invert(a,nmax,ndm)



c-----[--.----+----.----+----.-----------------------------------------]
c      Purpose: Invert small square matrix

c      Inputs:
c         a(ndm,*) - Matrix to be inverted
c         nmax     - Size of upper submatrix to invert
c         ndm      - Dimension of array

c      Outputs:
c         a(ndm,*) - Submatrix replaces original terms, others not
c                    changed
c-----[--.----+----.----+----.-----------------------------------------]
      implicit  none

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


      integer   i,j,n,ndm,nmax
      real*8    d, a(ndm,*)

      save

      do n = 1,nmax
        if(a(n,n).ne.0.0d0) then
          d = 1.d0/a(n,n)
          do j = 1,nmax
            a(n,j) = -a(n,j)*d
          end do ! j

          do i = 1,nmax
            if(n.ne.i) then
              do j = 1,nmax
                if(n.ne.j) a(i,j) = a(i,j) + a(i,n)*a(n,j)
              end do ! j
            endif
            a(i,n) = a(i,n)*d
          end do ! i
          a(n,n) = d
        else
          write(dfich2,*) ' *WARNING* Zero pivot in INVERT'
          stop	 
        endif
      end do ! n

      end


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
CC
      SUBROUTINE TipoXelemento(OUTDIR,LENOUTDIR,JELEM,NNODE,NelmX,
     *			 ix,TipoXe)            

      IMPLICIT NONE

C       Rutina que busca los num. de nodos del elemto en cuestin (conectividad)
c       Tb. busca para cada uno de esos nodos del elemento en cuestin
c       qu TipoX tiene y los guarda en TipoXe

c       OUTPUTS: ix  :  conectividad (num. de nodos del elemento)
c                TipoXe  : TipoX para cada nodo del elemento


CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2

      character*256 OUTDIR
	integer LENOUTDIR,i,j,k
      integer JELEM,NNODE,NelmX,numelem,valores(NNODE)
	integer TipoXe(NNODE)
 
      integer ne,nn(NNODE),ix(NNODE)
	character*1 basu !para quitar las comas de la conectividad


CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC


	OPEN(68,FILE=OUTDIR(1:LENOUTDIR)//'\ficheros\TopConXTipoX')
	OPEN(69,FILE=OUTDIR(1:LENOUTDIR)//'\ficheros\TopConX')
      
	do i=1,NelmX
	   READ(68,*) numelem,(valores(j),j=1,NNODE)
	   READ(69,1000) ne,basu,nn(1),basu,nn(2),basu,nn(3),basu,nn(4)
	   if (numelem.eq.JELEM) then
            do k=1,NNODE
	        TipoXe(k)=valores(k)
	        ix(k)=nn(k)
		  end do
	      exit
	   end if  
      end do   	  
	
	CLOSE(68)
     	CLOSE(69)


c	write(dfich2,*) (TipoXe(k),k=1,NNODE)
c	write(dfich2,*) (ix(k),k=1,NNODE)

1000  format(I6,A1,I6,A1,I6,A1,I6,A1,I6)

	RETURN

	END


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
CC


	SUBROUTINE K_L4U12stiffc4(E,Nu,K,Dof,nel,ndm,MCRD,COORDS,
     *	         TDP,NnodX,ix,TipoXe,Dist,NPG,XYG,lint,sg,Xe,Ye,          	
     *	         flag,BenG,DBenG,JenG)
     




	IMPLICIT NONE

c         nel = NNODE = Nmero de nodos por elemento
c         ix(nel) = conectividad (num. de nodos del elemento)
c         TipoXe(nel) = tipo de nodo X (0,1 o 2) en los nodos del elmto 
c         ndm = dimens = dimensin fsica del problema: 2 para 2D o 3 para 3D 
c         MCRD = dimensin fsica del problema. ABAQUS siempre pone 3 si hay ms de 
c                3 gdl por nodo (como es el caso) y en cuanto a las coordenadas nodales
c                x,y,z que almacena en COORDS, no pasa nada, 
c                porque la z la pone a 0.0 si es 2D
 
 
      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2


	INTEGER Dof, nel, ndm, MCRD, TDP, NnodX,NPG,lint,flag,pos
	INTEGER TipoXe(nel),ix(nel)
      REAL*8 E, Nu,Dist(NnodX,3),XYG(NPG,2),sg(3,*)
	REAL*8 K(Dof,Dof)
      REAL*8 Xe(2*nel),Ye(2*nel),COORDS(MCRD,nel),xl(ndm,nel)
	REAL*8 xsj(lint),shp(3,16,lint)
	REAL*8 dFI(nel,2,4),dFInodo(nel,2,4),H,Hnodo(nel)

      REAL*8 Be(3,Dof), DB(3,Dof), BT(Dof,3), D(3,3)
      REAL*8 BenG(3*lint,Dof),DBenG(3*lint,Dof),JenG(lint)

	logical HayNodoTipo1,HayNodoTipo2
	integer l,i,j,kk 

	  
c      INTEGER NGauss, I, Ig, Jg, Nte, ii, jj, Ngdlfisicos
c      REAL*8 Psi(2), Eta(2), H(2), Xe(NNpe), Ye(NNpe)
c	REAL*8 dJ, J(2,2)

C23456789012345678901234567890123456789012345678901234567890123456789012
C23456789012345678901234567890123456789012345678901234567890123456789012
C23456789012345678901234567890123456789012345678901234567890123456789012
C23456789012345678901234567890123456789012345678901234567890123456789012

c        Reduzco la info que paso via coords a xl de 3 dim a 2 dim
      do i=1,ndm
	 do j=1,nel
	   xl(i,j)=COORDS(i,j)
       end do
      end do

c	Inicializa matriz K, etc.
      call inicializaM(K,Dof,Dof)          

c     Clculo de la matriz constitutiva (elasticidad). D=Matriz de rigidez
	CALL CALC_D(TDP,D,E,Nu)

c	Inicializacin de variables

	HayNodoTipo1=.false.
	HayNodoTipo2=.false.

c	Identifica tipo de enriquecimiento X del nodo
	
	do i=1,nel
	    if (TipoXe(i).eq.1) then
	      HayNodoTipo1=.true.
	    elseif (TipoXe(i).eq.2) then
	      HayNodoTipo2=.true.
	    endif
	end do

c     write(dfich2,*) haynodotipo1
c	write(dfich2,*) haynodotipo2


c       Numerical integration loop

        do l = 1,lint

      write(dfich2,*) 'Pto de integracin n ',l,' de ',lint


c		Shape Functions and derivatives, jacobian.

c             Reduzco la info que paso via coords a xl de 3 dim a 2 dim
          call shp2d(sg(1,l),xl,shp,xsj(l),ndm,nel,ix,.false.)
		if (flag.eq.1) then
            xsj(l) = sg(3,l) !Elemento subdividido para integracin
		else
		  xsj(l) = xsj(l)*sg(3,l) !Integracin estndar
		endif


c         Compute stresses and strains

c	    Derivadas de Funciones de Extremo de Grieta en PG y en los nodos del elem
          if (HayNodoTipo2) then
		  call fExGrieta(NPG,XYG,shp,Xe,Ye,dFI,dFInodo)	
		endif

c		Funcion de Heaviside para el PG y en los nodos del elem
		if (HayNodoTipo1) then
		  call heaviside(NnodX,Dist,nel,ix,shp,H,Hnodo)
		endif

cccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c         COMENTO LO QUE SIGUE. EN ABAQUS NO LO HAGO AS
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

c		Deformaciones
c		call strnc4(d,xl,ul,shp,ndf,ndm,nel,xx,yy,eps,
c     &			    dFI,H,ix,dudy)

c		Tensiones
c          call modlsd(d,0.0d0,eps,hr(nh1),hr(nh2),0,0,
c     &                dd,sig(1,l),isw)

c         Compute stress contributions
c          call residc4(xsj(l),xx,yy,shp,sig(1,l),d,
c     &                 p,ndf)



c         Tangent stiffness computation: 
C         (MATRIZ DE RIGIDEZ DE ELEMENTO)

c		  Ensamblado de Be

		  Be=0   
		  Pos=1			

c		  Lazo para los nodos
		  do i= 1,nel

c			Contribucin a la Matriz B de las funciones de 
c             forma estndares
			Be(1,Pos)  = shp(1,i,1)
			Be(2,Pos+1)= shp(2,i,1)
			Be(3,Pos)  = shp(2,i,1)
			Be(3,Pos+1)= shp(1,i,1)	
			
						

c			Contribucin a la Matriz B de las funciones de
c             forma afectadas de la funcin de Heaviside
			if (TipoXe(i).eq.1) then
			  Be(1,2+Pos)  = (H-Hnodo(i))*shp(1,i,1)
			  Be(2,3+Pos)  = (H-Hnodo(i))*shp(2,i,1)
			  Be(3,2+Pos)  = (H-Hnodo(i))*shp(2,i,1)
			  Be(3,3+Pos)  = (H-Hnodo(i))*shp(1,i,1)		

c               Sin shift:

c			  Be(1,2+Pos)  = H*shp(1,i,1)
c			  Be(2,3+Pos)  = H*shp(2,i,1)
c			  Be(3,2+Pos)  = H*shp(2,i,1)
c			  Be(3,3+Pos)  = H*shp(1,i,1)		


c			Contribucin a la Matriz B de las funciones de
c			forma afectadas de la solucin asinttica en
c			extremo de grieta

			elseif(TipoXe(i).eq.2) then
			  do kk= 1,4
			    Be(1,2*kk+2+Pos)= dFI(i,1,kk)-dFInodo(i,1,kk)
		        Be(2,2*kk+3+Pos)= dFI(i,2,kk)-dFInodo(i,2,kk)
			    Be(3,2*kk+2+Pos)= dFI(i,2,kk)-dFInodo(i,2,kk)
			    Be(3,2*kk+3+Pos)= dFI(i,1,kk)-dFInodo(i,1,kk)
			  end do					
			end if 

c               Sin shift:

c			elseif(TipoXe(i).eq.2) then
c			  do kk= 1,4
c			    Be(1,2*kk+2+Pos)= dFI(i,1,kk)
c			    Be(2,2*kk+3+Pos)= dFI(i,2,kk)
c			    Be(3,2*kk+2+Pos)= dFI(i,2,kk)
c			    Be(3,2*kk+3+Pos)= dFI(i,1,kk)
c			  end do					
c			end if 


			Pos=Pos+12 ! Cada nodo tiene 12 gdl

		  end do ! i   (lazo para cada nodo)

c		  Matriz Bt*D
c		  BD=matmul(transpose(Be),Dmat)

c		  Matriz de rigidez integrando Bt*D*B
c		  s= s + matmul(BD,Be)*xsj(l)

c		  Matriz D*B
		  DB=matmul(D,Be)

c		  Matriz B transpuesta
		  BT=transpose(Be)

c		  Matriz de rigidez integrando Bt*D*B
		  K= K + matmul(BT,DB)*xsj(l)


c       Grabo la informacin para cada punto de Gauss
            do  i=1,3
	        do j=1,Dof
	         BenG(3*(l-1)+i,j)=Be(i,j)
	         DBenG(3*(l-1)+i,j)=DB(i,j)
	        end do
		  end do
            JenG(l)=xsj(l)

c	WRITE(dfich2,*) 'xsj(',l,')= ',xsj(l)
	
        end do ! l lazo para cada punto de integracin
 
c	WRITE(dfich2,*)
c	WRITE(dfich2,*) 'K(9,9-12)=',(K(9,I), I=9,12)
c	WRITE(dfich2,*) 'K(21,21-24)=',(K(21,I), I=21,24)
c	WRITE(dfich2,*) 'K(33,33-36)=',(K(33,I), I=33,36)
c	WRITE(dfich2,*) 'K(45,45-48)=',(K(45,I), I=45,48)




C23456789012345678901234567890123456789012345678901234567890123456789012
 



	RETURN
	END



C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C


      subroutine shp2d(ss,xl,shp,xsj,ndm,nel,ix,flg)


c-----[--.----+----.----+----.-----------------------------------------]
c      Purpose: Computes shape function and derivatives for
c               quadrilateral elements

c      Inputs:
c         ss(2)     - Natural coordinates for point
c         xl(ndm,*) - Nodal coordinates for element
c         ndm       - Spatial dimension of mesh
c         nel       - Number of nodes on element
c         ix(*)     - Nodes attached to element. 
c         flg       - Flag, compute global x/y derivatives if false,
c                           else derivatives are w/r natural coords.

c      Outputs:
c         shp(3,*)  - Shape functions and derivatives at point
c                     shp(1,i) = dN_i/dx or dN_i/dxi_1
c                     shp(2,i) = dN_i/dy or dN_i/dxi_2
c                     shp(3,i) = N_i
c         xsj       - Jacobian determinant at point
c-----[--.----+----.----+----.-----------------------------------------]
      implicit  none

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2



      logical   flg
      integer   ndm,nel, i,j,k, ix(*)
      real*8    xsj, temp
      real*8    shp(3,*),xl(ndm,*), s(4),t(4),xs(3,2),sx(2,2),ss(2)

      save

c     Set values of half natural coords at nodes

      data s/-0.5d0,0.5d0,0.5d0,-0.5d0/,t/-0.5d0,-0.5d0,0.5d0,0.5d0/

ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c        OJO  Comento las rutinas que no vamos a usar
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

c      write(dfich2,*) ' ********************* '
c      write(dfich2,*) ((xl(i,j),j=1,nel),i=1,ndm)
c      write(dfich2,*) ' ********************* '



c     Form 4-node quadrilateral shape functions

      if(nel.eq.4 .and. .not.flg) then
         call shapef(ss(1),ss(2),xl,shp,xsj,ndm,flg)
      elseif(nel.eq.16) then
c        call shp2dc(ss,xl,shp,temp,xsj,1, flg)
         write(dfich2,*) '**ERROR** Comentada la rutina en shp2d.f'
         stop
      elseif(nel.eq.12) then
c        call shp2ds(ss,xl,shp,temp,xsj,1, flg)
         write(dfich2,*) '**ERROR** Comentada la rutina en shp2d.f'
         stop
      else
        do i = 1,4
          shp(3,i) = (0.5d0+s(i)*ss(1))*(0.5d0+t(i)*ss(2))
          shp(1,i) = s(i)*(0.5d0+t(i)*ss(2))
          shp(2,i) = t(i)*(0.5d0+s(i)*ss(1))
        end do ! i

c       Form triangle by adding third and fourth together

        if(nel.eq.3) then
          do i = 1,3
            shp(i,3) = shp(i,3)+shp(i,4)
          end do ! i
        end if

c       Add quadratic terms if necessary

        if(nel.gt.4) then
c           call shap2(ss(1),ss(2),shp,ix,nel)
            write(dfich2,*) '**ERROR** Comentada la rutina en shp2d.f'
            stop
        endif 
	   
c       Construct jacobian and its inverse

        do i = 1,max(3,ndm)
          do j = 1,2
            xs(i,j) = 0.0d0
            do k = 1,nel
              xs(i,j) = xs(i,j) + xl(i,k)*shp(j,k)
            end do ! k
          end do ! j
        end do ! i
        if(ndm.eq.2) then
          xsj = xs(1,1)*xs(2,2)-xs(1,2)*xs(2,1)
        elseif(ndm.eq.3) then
          xsj = sqrt((xs(2,1)*xs(3,2)-xs(2,2)*xs(3,1))**2
     &             + (xs(3,1)*xs(1,2)-xs(3,2)*xs(1,1))**2
     &             + (xs(1,1)*xs(2,2)-xs(1,2)*xs(2,1))**2)
        endif
        if(.not.flg) then
          if(xsj.eq.0.0d0) then
            temp = 1.0d0
          else
            temp = 1.d0/xsj
          endif
          sx(1,1) = xs(2,2)*temp
          sx(2,2) = xs(1,1)*temp
          sx(1,2) =-xs(1,2)*temp
          sx(2,1) =-xs(2,1)*temp

c         Form global derivatives

          do i = 1,nel
            temp     = shp(1,i)*sx(1,1)+shp(2,i)*sx(2,1)
            shp(2,i) = shp(1,i)*sx(1,2)+shp(2,i)*sx(2,2)
            shp(1,i) = temp
          end do ! i

c         Return center node in hierarchical form for 8-nodes

          if(nel.eq.8) then
            temp     = shp(1,9)*sx(1,1)+shp(2,9)*sx(2,1)
            shp(2,9) = shp(1,9)*sx(1,2)+shp(2,9)*sx(2,2)
            shp(1,9) = temp
          endif
        endif
      endif

      end

C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C 
      subroutine shapef(s,t,xl,shp,xsj,ndm,flg)


c-----[--.----+----.----+----.-----------------------------------------]
c      Purpose: Shape function routine for 4-node isoparametric
c               quadrilaterals

c      Inputs:
c         s,t       - Natural coordinates of point
c         xl(ndm,*) - Nodal coordinates for element
c         ndm       - Spatial dimension of mesh
c         flg       - Flag, Compute global derivatives if true,
c                           else compute derivatives w/r natural coords.

c      Outputs:
c         shp(3,*)  - Shape functions and derivatives at point
c                     shp(1,i) = dN_i/dx  or dN_i/dxi_1
c                     shp(2,i) = dN_i/dy  or dN_i/dxi_2
c                     shp(3,i) = N_i
c         xsj       - Jacobian determinant at point
c-----[--.----+----.----+----.-----------------------------------------]
      implicit  none

      logical   flg
      integer   ndm
      real*8    xo,xs,xt, yo,ys,yt, xsm,xsp,xtm,xtp, ysm,ysp,ytm,ytp
      real*8    s,t, xsj,xsj1, sh,th,sp,tp,sm,tm, xl(ndm,4),shp(3,4)

      save

c     Set up interpolations

      sh = 0.5d0*s
      th = 0.5d0*t
      sp = 0.5d0 + sh
      tp = 0.5d0 + th
      sm = 0.5d0 - sh
      tm = 0.5d0 - th
      shp(3,1) =   sm*tm
      shp(3,2) =   sp*tm
      shp(3,3) =   sp*tp
      shp(3,4) =   sm*tp

c     Set up natural coordinate functions (times 4)

      xo =  xl(1,1)-xl(1,2)+xl(1,3)-xl(1,4)
      xs = -xl(1,1)+xl(1,2)+xl(1,3)-xl(1,4) + xo*t
      xt = -xl(1,1)-xl(1,2)+xl(1,3)+xl(1,4) + xo*s
      yo =  xl(2,1)-xl(2,2)+xl(2,3)-xl(2,4)
      ys = -xl(2,1)+xl(2,2)+xl(2,3)-xl(2,4) + yo*t
      yt = -xl(2,1)-xl(2,2)+xl(2,3)+xl(2,4) + yo*s

c     Compute jacobian (times 16)

      xsj1 = xs*yt - xt*ys

c     Divide jacobian by 16 (multiply by .0625)

      xsj = 0.0625d0*xsj1
      if(.not.flg) then
        if(xsj1.eq.0.0d0) then
          xsj1 = 1.0d0
        else
          xsj1 = 1.0d0/xsj1
        endif

c       Divide functions by jacobian

        xs  = (xs+xs)*xsj1
        xt  = (xt+xt)*xsj1
        ys  = (ys+ys)*xsj1
        yt  = (yt+yt)*xsj1

c       Multiply by interpolations

        ytm =  yt*tm
        ysm =  ys*sm
        ytp =  yt*tp
        ysp =  ys*sp
        xtm =  xt*tm
        xsm =  xs*sm
        xtp =  xt*tp
        xsp =  xs*sp

c       Compute shape functions

        shp(1,1) = - ytm+ysm
        shp(1,2) =   ytm+ysp
        shp(1,3) =   ytp-ysp
        shp(1,4) = - ytp-ysm
        shp(2,1) =   xtm-xsm
        shp(2,2) = - xtm-xsp
        shp(2,3) = - xtp+xsp
        shp(2,4) =   xtp+xsm
      endif

      end


C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C 
      subroutine fExGrieta(NPG,XYG,shp,Xe,Ye,dFI,dFInodo)



c-----[--.----+----.----+----.-----------------------------------------]

c     Purpose: Calcular las funciones de extremo de grieta en un punto.  
c			 Se hace una transformacin de coordenadas a polares con origen  
c			 en extremo de grieta. Se calculan las funciones de extremo de 
c			 grieta y luego sus derivadas respecto a coordenadas globales.
c     --------------------------------------

c      Inputs:
c			X		Coordenada X punto de Gauss
c			Y		Coordenada Y punto de Gauss
c			XYG		Coordenadas de los puntos de Grieta
c			shp		Funciones de forma y sus derivadas en el punto
c       

c      Outputs:
c			dFI(nel,2,4)	Derivadas de funciones de extremo de grieta en PG
c			dFInodo(nel,2,4) Derivadas de funciones de extremo de grieta en nodos del elem

c-----[--.----+----.----+----.-----------------------------------------]

      implicit  none



      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2



	integer	i,j,k,NPG
	real*8	X,Y,XYG(NPG,2),shp(3,4),longG,XYG0(2),tx,ty,rt,rn,r,r2
      real*8  rr,theta,dthx,dthy,drrx,drry,F(4),dF(4,2),dFI(4,2,4)	
	real*8  Xe(8),Ye(8),betta,dFInodo(4,2,4)
     		

	XYG0=XYG(NPG,1:2)

c	Coordenadas globales del punto de Gauss
	X= dot_product(shp(3,1:4),Xe(1:4))
      Y= dot_product(shp(3,1:4),Ye(1:4))


c	Calculo de vectores unitarios tangente y normal en extremo de grieta
	longG= sqrt((XYG(NPG-1,1)-XYG0(1))**2+(XYG(NPG-1,2)-XYG0(2))**2);
	tx= (XYG0(1)-XYG(NPG-1,1))/longG;
	ty= (XYG0(2)-XYG(NPG-1,2))/longG;

c	% --- Coordenadas polares en extremo de grieta 
      rt=  (X-XYG0(1))*tx + (Y-XYG0(2))*ty;
      rn= -(X-XYG0(1))*ty + (Y-XYG0(2))*tx;
      r2= (X-XYG0(1))**2 + (Y-XYG0(2))**2;
      r= sqrt(r2);
      rr= sqrt(r);
      theta= atan2(rn,rt);
	betta= atan2(Y-XYG0(2),X-XYG0(1))

c      % --- Derivadas de coordenadas de extremo de grieta
c      dthx= -(ty*rt+tx*rn)/r2;
c      dthy=  (tx*rt-ty*rn)/r2;
	dthx=-(Y-XYG0(2))/r2
	dthy=(X-XYG0(1))/r2
      drrx=(X-XYG0(1))/2/r/rr;
      drry=(Y-XYG0(2))/2/r/rr;

c      % --- Funciones singulares extremo de grieta
c			Fi(x)
      F(1)= rr*sin(theta/2);
      F(2)= rr*cos(theta/2);
      F(3)= rr*sin(theta/2)*sin(theta);
      F(4)= rr*cos(theta/2)*sin(theta);

c      % --- Derivadas de funciones singulares extremo de grieta
c			dFi/dx, dFi/dy
c      dF(1,1)= sin(theta/2)*drrx + rr*cos(theta/2)*dthx/2;
c      dF(1,2)= sin(theta/2)*drry + rr*cos(theta/2)*dthy/2;
c      dF(2,1)= cos(theta/2)*drrx - rr*sin(theta/2)*dthx/2;
c      dF(2,2)= cos(theta/2)*drry - rr*sin(theta/2)*dthy/2;
	dF(1,1)= sin(theta/2-betta)/2/rr
	dF(1,2)= cos(theta/2-betta)/2/rr
	dF(2,1)= dF(1,2)
	dF(2,2)= -dF(1,1)
      dF(3,1)= sin(theta/2)*sin(theta)*drrx + rr*( cos(theta/2)*
     &	     sin(theta)/2 + sin(theta/2)*cos(theta) )*dthx;
      dF(3,2)= sin(theta/2)*sin(theta)*drry + rr*( cos(theta/2)*
     &	     sin(theta)/2 + sin(theta/2)*cos(theta) )*dthy;
      dF(4,1)= cos(theta/2)*sin(theta)*drrx + rr*(-sin(theta/2)*
     &	     sin(theta)/2 + cos(theta/2)*cos(theta) )*dthx;
      dF(4,2)= cos(theta/2)*sin(theta)*drry + rr*(-sin(theta/2)*
     &	     sin(theta)/2 + cos(theta/2)*cos(theta) )*dthy;

c      %--- Derivadas de interpolacion
      do i=1,4
        do j=1,2
          do k=1,4
            dFI(i,j,k)= shp(j,i)*F(k) + shp(3,i)*dF(k,j);
          end do
        end do
      end do


c	Para conocer las deriv funciones de extremo de grieta en los nodos del elemento (Eugenio)
c       y poder tener los gdl fsicos en los dos primeros gdl. 

c       ******* Bucle para las posiciones nodales *********

      do i=1,4

c	  Coordenadas globales del nodo i
	  X= Xe(i)
        Y= Ye(i)

c	   --- Coordenadas polares en extremo de grieta 
        rt=  (X-XYG0(1))*tx + (Y-XYG0(2))*ty;
        rn= -(X-XYG0(1))*ty + (Y-XYG0(2))*tx;
        r2= (X-XYG0(1))**2 + (Y-XYG0(2))**2;
        r= sqrt(r2);
        rr= sqrt(r);
        theta= atan2(rn,rt);
	  betta= atan2(Y-XYG0(2),X-XYG0(1))


C      write(dfich2,*) 'Angulo theta=',theta
C      write(dfich2,*) 'Angulo beta=',betta

c       --- Derivadas de coordenadas de extremo de grieta
	  dthx=-(Y-XYG0(2))/r2
	  dthy=(X-XYG0(1))/r2
        drrx=(X-XYG0(1))/2/r/rr;
        drry=(Y-XYG0(2))/2/r/rr;

c       --- Funciones singulares extremo de grieta
c			Fi(x)
        F(1)= rr*sin(theta/2);
        F(2)= rr*cos(theta/2);
        F(3)= rr*sin(theta/2)*sin(theta);
        F(4)= rr*cos(theta/2)*sin(theta);

c        --- Derivadas de funciones singulares extremo de grieta
c			dFi/dx, dFi/dy
	  
c        No hacen falta las derivadas de F porque el valor de F en los nodos 
c        es una constante que no depende de x,y en la expresin de la aprox. de desplaz. 

c      %--- Derivadas de interpolacion
        do j=1,2
          do k=1,4
            dFInodo(i,j,k)= shp(j,i)*F(k);
          end do
        end do     

      end do



 

	end
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C 



	subroutine heaviside(NnodX,Dist,nel,ix,shp,H,Hnodo)


c-----[--.----+----.----+----.-----------------------------------------]

c     Purpose: Calcular la funcin de Heaviside en un punto x. 
c			 Evalua la distancia del punto a la grieta interpolando
c			 la distancia de los nodos a la grieta con las funciones de
c			 forma en el punto x.
c     --------------------------------------

c      Inputs:
c			Dist(n,3) = Dist(nel,3)	Matriz de distancia de nodos a grieta
c			ix(*) = ix(nel)		Conectividad del elemento
c			shp(3,nel)	Funciones de forma y sus derivadas en el punto

c      Outputs:
c			H 			Funcin heaviside en Punto x,y
c             Hnodo   	Funcin heaviside en nodos del elemento
c-----[--.----+----.----+----.-----------------------------------------]

      implicit  none

      integer dfich,dfich2   
      common /debugfich/ dfich,dfich2
	
	integer i,nel,ix(nel),j,NnodX
	real*8  VDist(4),Dist(NnodX,3),DisPG,shp(3,nel),H,Hnodo(4)
	
c	Distancias de los nodos del elemento a la grieta extradas de la matriz [Dist]
	do i=1,4
	  do j=1,NnodX
	    if (Dist(j,1).eq.ix(i)) then
	      VDist(i)=Dist(j,2)
	      exit
	    endif
	  enddo
	end do

c	Proyectar la distancia en los nodos al punto x
	DisPG=dot_product(VDist,shp(3,1:4))

c	Funcin de Heaviside en el punto. 
c		(Unitaria y de signo igual al de la distancia evaluada en x)
	H=sign(1.0d0,DisPG)
      write(dfich2,*) 'Heaviside H=',H

c	Para conocer la funcin de Heaviside en los nodos del elemento (Eugenio)
c       y poder tener los gdl fsicos en los dos primeros gdl. 
c		(Unitaria y de signo igual al de la distancia evaluada en x)
	do i=1,4
	  Hnodo(i)=sign(1.0d0,VDist(i))
      end do

      write(dfich2,*) 'Heaviside en nodos Hnodo=',(Hnodo(i),i=1,4)

	end
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C 
C
	SUBROUTINE SVARS_L4U12(JTYPE,JELEM,SVARS,NSVARS,U,Dof,BenG,DBenG,
     .                           JenG,NTPG,mpg,xypg)
	IMPLICIT NONE
	INTEGER NSVARS, Dof, NTPG, JTYPE,JELEM,mpg
	REAL*8  SVARS(NSVARS), U(Dof),BenG(3*NTPG,Dof),DBenG(3*NTPG,Dof)
        REAL*8  JenG(NTPG),B(3,Dof),DB(3,Dof),Bdvdx(3,Dof),Bdudy(3,Dof)
        REAL*8  EPS(3),SIG(3),W,dvdx(3),dudy(3),JAC,xypg(2,mpg)
C
        INTEGER i,j,k

C       ------------------------------------------------------------
      integer dfich,dfich2
      common /debugfich/ dfich,dfich2

c      integer epssigPG,dNdxyPG,listNPG 
c      common /outputfich/ epssigPG,dNdxyPG,listNPG   ***No uso esto***
C       ------------------------------------------------------------



C     Para verificar la solucin para los gdl en un fichero:
c      write(dfich2,*) '*************'
c      write(dfich2,*)  'JELEM=',JELEM
c      write(dfich2,*) '*************'
c      write(dfich2,*) (U(i),i=1,Dof)



c     Lo primero que hago es escribir el NTPG=lint en SVARS, ya que puede variar
c     de un elemento enriquecido a otro:

      SVARS(1)=NTPG

c     Para cada punto de integracin (se ha supuesto anteriromente un mximo de mpg=50 
c     por elemento, por lo que SVARS se dimenson para 1+50x20= 1001):  

        DO 10 i=1,NTPG
c           write(dfich2,*) 'Coord globales pto gauss ',i
c           write(dfich2,*) xypg(1,i),xypg(2,i)

           JAC=JenG(i)
           DO 20 k=1,3
             DO 20 j=1,Dof    
               B(k,j)=BenG(3*(i-1)+k,j)
               Bdvdx(k,j)=B(k,j)
	         Bdudy(k,j)=B(k,j)
               DB(k,j)=DBenG(3*(i-1)+k,j) 
20         CONTINUE
           CALL MULT_V(B,3,Dof,U,EPS,3)
           CALL MULT_V(DB,3,Dof,U,SIG,3)
           W=0.5d0*(EPS(1)*SIG(1)+EPS(2)*SIG(2)+EPS(3)*SIG(3))

C          Para el clculo de dv/dx y du/dy
c          De la 3 fila de B, anulo las posiciones donde estn dN/dy 
           do j=1,Dof,2
		   Bdvdx(3,j)=0.0d0
           end do
           CALL MULT_V(Bdvdx,3,Dof,U,dvdx,3)                                 
C                (slo vale la tercera componente)

c          De la 3 fila de B, anulo las posiciones donde estn dN/dx 
           do j=2,Dof,2
		   Bdudy(3,j)=0.0d0
           end do
           CALL MULT_V(Bdudy,3,Dof,U,dudy,3)                                 
C                (slo vale la tercera componente)




C          Escritura en SVARS
           SVARS(1+20*(i-1)+1)=EPS(1)
           SVARS(1+20*(i-1)+2)=EPS(2)
           SVARS(1+20*(i-1)+3)=EPS(3)
           SVARS(1+20*(i-1)+4)=SIG(1)
           SVARS(1+20*(i-1)+5)=SIG(2)
           SVARS(1+20*(i-1)+6)=SIG(3)
           SVARS(1+20*(i-1)+7)=W
           SVARS(1+20*(i-1)+8)=dvdx(3)
	     SVARS(1+20*(i-1)+9)=dudy(3)
           SVARS(1+20*(i-1)+10)=JAC   ! Recuerdo: El jacobiano incluye el peso

C          Guardo tambin las derivadas de N  (dN/dx, dN/dy) para calcular luego dq/dx, dq/dy
C                    (slo interesan las de los gdl fsicos, que estn sin enriquecer)
           SVARS(1+20*(i-1)+11)=B(1,1)
           SVARS(1+20*(i-1)+12)=B(1,13)
           SVARS(1+20*(i-1)+13)=B(1,25)
           SVARS(1+20*(i-1)+14)=B(1,37)
           SVARS(1+20*(i-1)+15)=B(2,2)
           SVARS(1+20*(i-1)+16)=B(2,14)
           SVARS(1+20*(i-1)+17)=B(2,26)
           SVARS(1+20*(i-1)+18)=B(2,38)

C          Guardo tambin las coor globales de cada punto de Gauss

           SVARS(1+20*(i-1)+19)=xypg(1,i)
	     SVARS(1+20*(i-1)+20)=xypg(2,i)

           
c          Escritura en ficheros directos (no lo uso)

c           write(epssigPG,1000) EPS(1)
c           write(epssigPG,1000) EPS(2)
c           write(epssigPG,1000) EPS(3)
c           write(epssigPG,1000) SIG(1)
c           write(epssigPG,1000) SIG(2)
c           write(epssigPG,1000) SIG(3)
c           write(epssigPG,1000) W
c           write(epssigPG,1000) dvdx(3)
c           write(epssigPG,1000) JAC   ! Recuerdo: El jacobiano incluye el peso
c   
c           write(dNdxyPG,1000) B(1,1)
c           write(dNdxyPG,1000) B(1,13)
c           write(dNdxyPG,1000) B(1,25)
c           write(dNdxyPG,1000) B(1,37)
c           write(dNdxyPG,1000) B(2,2)
c           write(dNdxyPG,1000) B(2,14)
c           write(dNdxyPG,1000) B(2,26)
c           write(dNdxyPG,1000) B(2,38)
          
10      CONTINUE !i

c     write(listNPG,1005) JELEM,NTPG



1000  format(E22.15)
1005  format(2I7)

        RETURN
	END



C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C

C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C